/**
 * This file adds some LIVE to the Theme Customizer live preview. To leverage
 * this, set your custom settings to 'postMessage' and then add your handling
 * here. Your javascript should grab settings from customizer controls, and 
 * then make any necessary changes to the page using jQuery.
 */
 ( function( $ ) {

	// Update the site title in real time...

	//header details
	wp.customize( 'header_position', function( value ) {
		value.bind( function( newval ) {
            $('#header_img_id').attr("align", newval);
		} );
	} );

	wp.customize( 'header_image_upload', function( value ) {
		value.bind( function( newval ) {
            $('#header_img_id').attr("src", newval);
		} );
	} );

    wp.customize( 'header_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$('#header_bg_id').css("background-color", newval);
		} );
	} );

    wp.customize( 'header_logo_width', function( value ) {
		value.bind( function( newval ) {
            $('#header_img_id').attr("width", newval);
		} );
	} );

    wp.customize( 'header_logo_height', function( value ) {
		value.bind( function( newval ) {
            $('#header_img_id').attr("height", newval);
		} );
	} );

    wp.customize( 'header_wsize', function( value ) {
		value.bind( function( newval ) {
			$('#header_bg_id').css("width", newval);
		} );
	} );

	// wp.customize( 'header_height', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#header_bg_id').css("height", newval);
	// 	} );
	// } );

	//text details
	wp.customize( 'text_content1', function( value ) {
		value.bind( function( newval ) {

			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_id_' + templateid + themeid + '1';
			
			newval = newval.replace(/\n/g,"<br>");
			$(textId).html( newval );
		} );
	} );

	wp.customize( 'text_content2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_id_' + templateid + themeid + '2';
			
			newval = newval.replace(/\n/g,"<br>");
			$(textId).html( newval );
		} );
	} );

	wp.customize( 'text_fontcolor1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_id_' + templateid + themeid + '1';
			$(textId).css("color", newval);
		} );
	} );

	wp.customize( 'text_fontcolor2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_id_' + templateid + themeid + '2';
			$(textId).css("color", newval);
		} );
	} );

	wp.customize( 'text_fontsize1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_id_' + templateid + themeid + '1';
			$(textId).css("font-size", newval+"px");
		} );
	} );

	wp.customize( 'text_fontsize2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_id_' + templateid + themeid + '2';
			$(textId).css("font-size", newval+"px");
		} );
	} );

	wp.customize( 'text_fontstyle1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_id_' + templateid + themeid + '1';
			$(textId).css("font-family", newval);
		} );
	} );

	wp.customize( 'text_fontstyle2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_id_' + templateid + themeid + '2';
			$(textId).css("font-family", newval);
		} );
	} );

	wp.customize( 'text_bgcolor1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_bg_id_' + templateid + themeid + '1';
			$(textId).css("background-color", newval);
		} );
	} );

	wp.customize( 'text_bgimage1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");
			var textId = '#text_bg_id_' + templateid + themeid + '1';
		  $(textId).css("background-image",'url('+newval+')');
		} );
	} );

	wp.customize( 'text_bgimage2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");
			var textId = '#text_bg_id_' + templateid + themeid + '2';
		  $(textId).css("background-image",'url('+newval+')');
		});
	});

	wp.customize( 'text_bgcolor2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_bg_id_' + templateid + themeid + '2';
			$(textId).css("background-color", newval);
		} );
	} );

	wp.customize( 'text_wsize1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_bg_id_' + templateid + themeid + '1';
			$(textId).css("width", newval);
		} );
	} );

	wp.customize( 'text_wsize2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_bg_id_' + templateid + themeid + '2';
			$(textId).css("width", newval);
		} );
	} );

	wp.customize( 'text_top1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_bg_id_' + templateid + themeid + '1';
			va = newval + "px"+ ' ' + newval +"px" + ' ' +'0  0';
			$(textId).css("border-radius", va );
		} );
	} );

	wp.customize( 'text_top2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_bg_id_' + templateid + themeid + '2';
			va = newval + "px"+ ' ' + newval +"px" + ' ' +'0  0';
			$(textId).css("border-radius", va );
		} );
	} );

	wp.customize( 'text_bottom1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_bg_id_' + templateid + themeid + '1';
			va = '0 0'+' '+newval + "px"+' '+newval+"px";
			$(textId).css("border-radius", va );
		} );
	} );

	wp.customize( 'text_bottom2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#text_bg_id_' + templateid + themeid + '2';
			va ='0 0'+' '+newval + "px"+' '+newval+"px";
			$(textId).css("border-radius", va );
		} );
	} );

	// wp.customize( 'text_height1', function( value ) {
	// 	value.bind( function( newval ) {
	// 		var pageURL = document.referrer;
	// 		var url = new URL(pageURL);
	// 		var templateid = url.searchParams.get("templateid");
	// 		var themeid = url.searchParams.get("themeid");

	// 		var textId = '#text_bg_id_' + templateid + themeid + '1';
	// 		$(textId).css("height", newval);
	// 	} );
	// } );

	// wp.customize( 'text_height2', function( value ) {
	// 	value.bind( function( newval ) {
	// 		var pageURL = document.referrer;
	// 		var url = new URL(pageURL);
	// 		var templateid = url.searchParams.get("templateid");
	// 		var themeid = url.searchParams.get("themeid");

	// 		var textId = '#text_bg_id_' + templateid + themeid + '2';
	// 		$(textId).css("height", newval);
	// 	} );
	// } );


	// image details
	wp.customize( 'image_position', function( value ) {
		value.bind( function( newval ) {
			$('#imageblock2').attr("align", newval);
		} );
	} );

	wp.customize( 'image_upload', function( value ) {
		value.bind( function( newval ) {
			$('#imageblock2').attr("src", newval);
		} );
	} );

	wp.customize( 'image_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$('#image_bg_id').css("background-color", newval);
		} );
	} );

	wp.customize( 'image_width', function( value ) {
		value.bind( function( newval ) {
			$('#imageblock2').attr("width", newval);
		} );
	} );

	wp.customize( 'image_height', function( value ) {
		value.bind( function( newval ) {
			$('#imageblock2').attr("height", newval);
		} );
	} );

	wp.customize( 'image_wsize', function( value ) {
		value.bind( function( newval ) {
			$('#image_bg_id').css("width", newval);
		} );
	} );

	wp.customize( 'image_top', function( value ) {
		value.bind( function( newval ) {
			va = newval + "px"+ ' ' + newval +"px" + ' ' +'0  0';
			$('#image_bg_id').css("border-radius", va);
		} );
	} );

	wp.customize( 'image_bottom', function( value ) {
		value.bind( function( newval ) {
			va ='0 0'+' '+newval + "px"+' '+newval+"px";
			$('#image_bg_id').css("border-radius", va);
		} );
	} );
	wp.customize( 'image_rounded', function( value ) {
		value.bind( function( newval ) {
			$('#imageblock2').css("border-radius", newval+"%");
		} );
	} );
	wp.customize( 'image_bcolor', function( value ) {
		value.bind( function( newval ) {
			$('#imageblock2').css("border-color", newval);
		} );
	} );
	wp.customize( 'image_bsize', function( value ) {
		value.bind( function( newval ) {
			$('#imageblock2').css("border-width", newval);
		} );
	} );
	wp.customize( 'image_border', function( value ) {
		value.bind( function( newval ) {

			$('#imageblock2').css("border", newval);
		} );
	} );
	

	// wp.customize( 'sm_image_height', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#image_bg_id').css("height", newval);
	// 	} );
	// } );
	
	//Button Details
	wp.customize( 'button_link', function( value ) {
		value.bind( function( newval ) {
			$('#button_id').attr("href", newval);
		} );
	} );

	wp.customize( 'button_text', function( value ) {
		value.bind( function( newval ) {
			$('#button_id').html( newval );
		} );
	} );

	wp.customize( 'button_color', function( value ) {
		value.bind( function( newval ) {
			$('#button_id').css("background", newval);
		} );
	} );

	wp.customize( 'button_position', function( value ) {
		value.bind( function( newval ) {
			$('#buttonpos_id').attr("align", newval);
		} );
	} );

	wp.customize( 'button_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$('#button_bg_id').css("background-color", newval);
		} );
	} );

	wp.customize( 'button_wsize', function( value ) {
		value.bind( function( newval ) {
			$('#button_bg_id').css("width", newval);
		} );
	} );

	wp.customize( 'button_widthsize', function( value ) {
		value.bind( function( newval ) {
			$('#button_id').css("width", newval);
		} );
	} );

	wp.customize( 'button_ftcolor', function( value ) {
		value.bind( function( newval ) {
			$('#button_id').css("color", newval);
		} );
	} );

	wp.customize( 'button_height', function( value ) {
		value.bind( function( newval ) {
			$('#button_id').css("line-height", newval);
		} );
	} );

	wp.customize( 'button_radius', function( value ) {
		value.bind( function( newval ) {
			$('#button_id').css("border-radius", newval+"px");
		} );
	} );

	// wp.customize( 'sm_button_height', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#button_bg_id').css("height", newval);
	// 	} );
	// } );

	//divider details
	wp.customize( 'divider_width1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#divider_id_' + templateid + themeid + '1';
			$(textId).css("width", newval);
		} );
	} );

	wp.customize( 'divider_height1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#divider_id_' + templateid + themeid + '1';
			$(textId).css("height", newval);
		} );
	} );

	wp.customize( 'divider_color1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#divider_id_' + templateid + themeid + '1';
			$(textId).css("background", newval);
		} );
	} );

	wp.customize( 'divider_bgcolor1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#divider_bg_id_' + templateid + themeid + '1';
			$(textId).css("background-color", newval);
		} );
	} );

	wp.customize( 'divider_wsize1', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#divider_bg_id_' + templateid + themeid + '1';
			$(textId).css("width", newval);
		} );
	} );

	wp.customize( 'divider_width2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#divider_id_' + templateid + themeid + '2';
			$(textId).css("width", newval);
		} );
	} );

	wp.customize( 'divider_height2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#divider_id_' + templateid + themeid + '2';
			$(textId).css("height", newval);
		} );
	} );

	wp.customize( 'divider_color2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '#divider_id_' + templateid + themeid + '2';
			$(textId).css("background", newval);
		} );
	} );

	wp.customize( 'divider_bgcolor2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '##divider_bg_id_' + templateid + themeid + '2';
			$(textId).css("background-color", newval);
		} );
	} );

	wp.customize( 'divider_wsize2', function( value ) {
		value.bind( function( newval ) {
			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId = '##divider_bg_id_' + templateid + themeid + '2';
			$(textId).css("width", newval);
		} );
	} );

	// wp.customize( 'sm_divider_height', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#divider_bg_id').css("height", newval);
	// 	} );
	// } );

	//textarea details
	wp.customize( 'textarea_entertext', function( value ) {
		value.bind( function( newval ) {
			$('#textarea_id').html( newval );
		} );
	} );

	wp.customize( 'textarea_position', function( value ) {
		value.bind( function( newval ) {
			$('#textarea_position').attr("align", newval);
		} );
	} );

	wp.customize( 'textarea_fontcolor', function( value ) {
		value.bind( function( newval ) {
			$('#textarea_id').css("color", newval);
		} );
	} );

	wp.customize( 'textarea_style', function( value ) {
		value.bind( function( newval ) {
			$('#textarea_id').css("font-family", newval);
		} );
	} );

	wp.customize( 'textarea_size', function( value ) {
		value.bind( function( newval ) {
			$('#textarea_id').css("font-size", newval+"px");
		} );
	} );

	wp.customize( 'textarea_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$('#textarea_bg_id').css("background-color", newval);
		} );
	} );

	wp.customize( 'textarea_wsize', function( value ) {
		value.bind( function( newval ) {
			$('#textarea_bg_id').css("width", newval);
		} );
	} );

	// wp.customize( 'textarea_height', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#textarea_bg_id').css("height", newval);
	// 	} );
	// } );

	//social links details
	wp.customize( 'social_position', function( value ) {
		value.bind( function( newval ) {
			$('#sociallink_bg_id').css("text-align", newval);
		} );
	} );

	wp.customize( 'social_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$('#sociallink_bg_id').css("background", newval);
		} );
	} );

	wp.customize( 'social_fblink', function( value ) {
		value.bind( function( newval ) {
			$('#facebook_id').attr("href", newval);
		} );
	} );

	wp.customize( 'social_twlink', function( value ) {
		value.bind( function( newval ) {
			$('#twitter_id').attr("href", newval);
		} );
	} );

	wp.customize( 'social_glink', function( value ) {
		value.bind( function( newval ) {
			$('#googleplus_id').attr("href", newval);
		} );
	} );

	wp.customize( 'social_ldlink', function( value ) {
		value.bind( function( newval ) {
			$('#linkedin_id').attr("href", newval);
		} );
	} );

	wp.customize( 'social_sklink', function( value ) {
		value.bind( function( newval ) {
			$('#instagram_id').attr("href", newval);
		} );
	} );

	wp.customize( 'social_ytlink', function( value ) {
		value.bind( function( newval ) {
			$('#youtube_id').attr("href", newval);
		} );
	} );

	wp.customize( 'social_inlink', function( value ) {
		value.bind( function( newval ) {
			$('#skype_id').attr("href", newval);
		} );
	} );

	wp.customize( 'social_wsize', function( value ) {
		value.bind( function( newval ) {
			$('#sociallink_id').css("width", newval);
		} );
	} );

	// wp.customize( 'social_height', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#sociallink_id').css("height", newval);
	// 	} );
	// } );

	//order details
	wp.customize( 'order_fontstyle', function( value ) {
		value.bind( function( newval ) {
			$('#sm_ordertable').css("font-family", newval);
		} );
	} );

	wp.customize( 'order_tr_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$('#ordertableedit').css("background", newval);
		} );
	} );

	wp.customize( 'order_fontcolor', function( value ) {
		value.bind( function( newval ) {
			$('#swcm_template_font_color11').css("color", newval);
			$('#swcm_template_font_color21').css("color", newval);
		} );
	} );

	wp.customize( 'order_hr_color', function( value ) {
		value.bind( function( newval ) {
			$('#swcm_table_color11').css("background", newval);
			$('#swcm_table_color21').css("background", newval);
			$('#swcm_table_color31').css("background", newval);
		} );
	} );

	wp.customize( 'order_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$('#order_detailsnew1').css("background-color", newval);
		} );
	} );

	wp.customize( 'order_wsize', function( value ) {
		value.bind( function( newval ) {
			$('#order_details_id').css("width", newval);
		} );
	} );

	// wp.customize( 'order_height', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#order_details_id').css("height", newval);
	// 	} );
	// } );

	//customer details
	wp.customize( 'customer_fontfamily', function( value ) {
		value.bind( function( newval ) {
			$('#custdetailscol').css("font-family", newval);
		} );
	} );

	wp.customize( 'customer_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$('#custdetailscol').css("background-color", newval);
		} );
	} );
	
	wp.customize( 'customer_ftcolor', function( value ) {
		value.bind( function( newval ) {
			$('#custdetailscol').css("color", newval);
		} );
	} );

	wp.customize( 'customer_wsize', function( value ) {
		value.bind( function( newval ) {
			$('#customer_detailsnew1').css("width", newval);
		} );
	} );

	// wp.customize( 'customer_height', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#customer_detailsnew1').css("height", newval);
	// 	} );
	// } );

	// wp.customize( 'background_bgcolor', function( value ) {
	// 	value.bind( function( newval ) {
	// 		$('#background').css("background-color", newval);
	// 	} );
	// } );

	wp.customize('mail_subject',function(value){
		value.bind( function( newval ) {
		} );
	});	

	wp.customize( 'sm_border_twidth', function( value ) {
		value.bind( function( newval ) {
			$('#sm_template_container').css("border-top-width", newval+"px");
		} );
	} );

	wp.customize( 'sm_border_rwidth', function( value ) {
		value.bind( function( newval ) {
			$('#sm_template_container').css("border-right-width", newval+"px");
		} );
	} );

	wp.customize( 'sm_border_bwidth', function( value ) {
		value.bind( function( newval ) {
			$('#sm_template_container').css("border-bottom-width", newval+"px");
		} );
	} );

	wp.customize( 'sm_border_lwidth', function( value ) {
		value.bind( function( newval ) {
			$('#sm_template_container').css("border-left-width", newval+"px");
		} );
	} );

	wp.customize( 'sm_border_color', function( value ) {
		value.bind( function( newval ) {
			$('#sm_template_container').css("border-color", newval);
		} );
	} );

	wp.customize( 'sm_border_radius', function( value ) {
		value.bind( function( newval ) {
			$('#sm_template_container').css("border-radius", newval+"px");
		} );
	} );

	wp.customize( 'sm_border_bgcolor', function( value ) {
		value.bind( function( newval ) {
			$('#sm_template_container').css("background-color", newval);
			$('#header_bg_id').css("background-color", newval);
			$('#textarea_bg_id').css("background-color", newval);

			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var themeid = url.searchParams.get("themeid");

			if(themeid == 1){
				$('#divider_id').css("background", newval);
				$('#sociallink_bg_id').css("background", newval);
			}
			else if(themeid == 3){
				$('#image_bg_id').css("background-color", newval);
				$('#sociallink_bg_id').css("background", newval);
			}
		} );
	} );

	wp.customize( 'sm_border_bgimage', function( value ) {
		value.bind( function( newval ) {
			$('#sm_template_container').css("background-color", '');
			$("#sm_template_container").css("opacity","");
			$("#sm_template_container").css("background-image", "url(" + newval + ")");

			$('#header_bg_id').css("background-color", '');
			$('#textarea_bg_id').css("background-color", '');
			$('#textarea_bg_id').css("opacity", '');

			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId1 = '#text_bg_id_' + templateid + themeid + '1';
			var textId2 = '#text_bg_id_' + templateid + themeid + '2';
			$(textId1).css("background-color", '');
			$(textId1).css("opacity", '');
			$(textId2).css("background-color", '');
			$(textId2).css("opacity", '');

			if(templateid == 1 || templateid == 2 || templateid == 3){
				$('#button_bg_id').css("background-color", '');
				$('#button_bg_id').css("opacity", '');
			}

			if(themeid == 1 || themeid == 3 || themeid == 4 || themeid == 5 || themeid == 8 || themeid == 9 || themeid == 10){
				$('#sociallink_bg_id').css("background", '');
				$('#sociallink_bg_id').css("opacity", '');
			}

			if(themeid == 1){
				$('#divider_bg_id').css("background", '');
				$('#divider_bg_id').css("opacity", '');

				$('#divider_id').css("background", '');

				$('#image_bg_id').css("background-color", '');
				$('#image_bg_id').css("opacity", '');
			}

		} );
	} );

	wp.customize( 'sm_border_container_width', function( value ) {
		value.bind( function( newval ) {
			$('#custom_template_container').css("max-width", newval+"px");

			var fieldVal = newval - 90;
			$('#header_bg_id').css("width", fieldVal);	
			$('#textarea_bg_id').css("width", fieldVal);

			var pageURL = document.referrer;
			var url = new URL(pageURL);
			var templateid = url.searchParams.get("templateid");
			var themeid = url.searchParams.get("themeid");

			var textId1 = '#text_bg_id_' + templateid + themeid + '1';
			$(textId1).css("width", fieldVal);

			if(themeid != 6 && themeid != 4){
				var textId2 = '#text_bg_id_' + templateid + themeid + '2';
				$(textId2).css("width", fieldVal);
			}

			if(themeid == 1 || themeid == 3){
				$('#image_bg_id').css("width", fieldVal);
				$('#sociallink_id').css("width", fieldVal);
			}

			if(templateid == 1 || templateid == 2 || templateid == 3 ){
				$('#button_bg_id').css("width", fieldVal);
			}

			if(themeid == 1){
				$('#divider_id').css("width", fieldVal);
			}
		} );
	} );

	// wp.customize( 'sm_border_container_height', function( value ) {
	// 	value.bind( function( newval ) {
	// 		//$('#sm_template_container').css("height", newval+"px");

	// 		var headerVal = newval - 659;
	// 		var headerImageVal = headerVal - 40;
	// 		$('#header_bg_id').css("height", headerVal);
	// 		$('#header_img_id').attr("height", headerImageVal);
			
	// 		var textVal = newval - 669;
	// 		$('#textarea_bg_id').css("height", textVal);

	// 		var pageURL = document.referrer;
	// 		var url = new URL(pageURL);
	// 		var templateid = url.searchParams.get("templateid");
	// 		var themeid = url.searchParams.get("themeid");

	// 		var textId1 = '#text_bg_id_' + templateid + themeid + '1';
	// 		var textId2 = '#text_bg_id_' + templateid + themeid + '2';

	// 		if(themeid == 1 || themeid == 3){
	// 			var imageVal = newval - 658;
	// 			var imageValue = imageVal - 40;
	// 			$('#image_bg_id').css("height", imageVal);
	// 			$('#imageblock2').attr("height", imageValue);

	// 			var socialVal = newval - 701;
	// 			$('#sociallink_id').css("height", socialVal);
	// 		}

	// 		if(templateid == 1 || templateid == 2 || templateid == 3 ){
	// 			var buttonVal = newval - 674;
	// 			var buttonValue = buttonVal - 54;
	// 			$('#button_bg_id').css("height", buttonVal);
	// 			//$('#button_id').css("line-height", buttonValue);
	// 		}

	// 		if(templateid == 1 || templateid == 10 || templateid == 12){
	// 			var text1Val = newval - 610;
	// 			$(textId1).css("height", text1Val);	
	// 		}

	// 		if(templateid == 1){
	// 			var text2Val = newval - 536;	
	// 			$(textId2).css("height", text2Val);
	// 		}

	// 		if(templateid == 10 || templateid == 12 || templateid == 11 || templateid == 13 || templateid == 8){
	// 			var text2Val = newval - 684;	
	// 			$(textId2).css("height", text2Val);
	// 		}

	// 		if(templateid == 3){
	// 			var text1Val = newval - 463;
	// 			$(textId1).css("height", text1Val);	
				
	// 			var text2Val = newval - 500;	
	// 			$(textId2).css("height", text2Val);
	// 		}

	// 		if(templateid == 3 || templateid == 6 || templateid == 8){
	// 			var text1Val = newval - 573;
	// 			$(textId1).css("height", text1Val);	
	// 		}

	// 		if(templateid == 5 || templateid == 11 || templateid == 7){
	// 			var text1Val = newval - 647;
	// 			$(textId1).css("height", text1Val);	
	// 		}

	// 		if(templateid == 13){
	// 			var text1Val = newval - 536;
	// 			$(textId1).css("height", text1Val);	
	// 		}

	// 		if(templateid == 7){
	// 			var text2Val = newval - 684;	
	// 			$(textId2).css("height", text2Val);
	// 		}

	// 		if(templateid == 4){
	// 			var text1Val = newval - 652;
	// 			$(textId1).css("height", text1Val);	
	// 		}

	// 		if(templateid == 3){
	// 			var text2Val = newval - 610;	
	// 			$(textId2).css("height", text2Val);
	// 		}
		
	// 		if(themeid == 1){
	// 			var dividerVal = newval - 685;
	// 			$('#divider_id').css("height", dividerVal);
	// 		}
	// 	} );
	// } );
	
} )( jQuery );