<?php
/**
 * Email Design Studio.
 *
 * Email Design Studio plugin file.
 *
 * @package   Smackcoders\SMEMAILCUSTOM
 * @copyright Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU General Public License, version 3 or higher
 *
 * @wordpress-plugin
 * Plugin Name:  Email Design Studio
 * Version:    	 0.1
 * Description:  Customize the default wp & woocommerce email templates with send mail options.
 * Author:       Smackcoders
 * Author URI:   https://www.smackcoders.com/wordpress.html
 * Text Domain:  email-design-studio
 * Domain Path:  /languages
 * License:      GPL v3
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


namespace Smackcoders\SMEMAILCUSTOM;
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	die;
}

include_once(ABSPATH.'wp-admin/includes/plugin.php');
require_once(__DIR__.'/plugin.php');
require_once(__DIR__.'/admin.php');
include_once ABSPATH . 'wp-includes/class-wp-customize-control.php';
require_once(__DIR__.'/includes/class-smmail-templateload.php');
require_once(__DIR__.'/includes/class-smmail-mailorders.php');
require_once(__DIR__.'/includes/class-smmail-emaillog.php');
require_once(__DIR__.'/includes/class-smrange-value-control.php');
require_once(__DIR__.'/sm-template-page.php');
require_once(__DIR__.'/sm-fetch-template-details.php');
require_once(__DIR__.'/includes/class-smmail-testmail.php');
require_once(__DIR__.'/sm-mail-send.php');

$sm_tables_uploader = glob(__DIR__ . '/tables/*.php');
foreach ($sm_tables_uploader as $sm_tables_uploader_value) {
    require_once $sm_tables_uploader_value;
}

/**
 * When plugin loads 
 */
add_action( 'plugins_loaded', 'Smackcoders\\SMEMAILCUSTOM\\pluginInit' );
add_action("admin_menu", "Smackcoders\\SMEMAILCUSTOM\\sm_email_options_submenu");


function pluginInit() {
	Plugin::getInstance();
  Admin::getInstance();
}

register_activation_hook( __FILE__, array('Smackcoders\\SMEMAILCUSTOM\\Plugin','sm_activate' ));
register_deactivation_hook( __FILE__, array('Smackcoders\\SMEMAILCUSTOM\\Plugin','sm_deactivate' ));

function sm_email_options_submenu() {
  add_submenu_page(
    'options-generals.php',
    'Email Design Studio',
    'Email Design Studio',
    'administrator',
    'customize.php?sm-email-customize=1&emaillog=1' );
  add_submenu_page(
        'options-general.php',
        'Email Design Studio',
        'Email Design Studio',
        'administrator',
        'customize.php?sm-email-customize=1&templateid=1&themeid=1' );
       
}
