<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;
if ( ! defined( 'ABSPATH' ) ) 
exit; // Exit if accessed directly

global $wpdb;
$customiser_obj = new SMTemplatePage();

$value = '';

// get template details

$template_id  = 3;
$active_theme_id = get_option("sm_mail_blog_comment_activate_template");

$get_template_details = $wpdb->get_var("SELECT template_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $active_theme_id ");
$unser_template_details = json_decode($get_template_details, true);	

foreach($unser_template_details as $template_key => $template_value){
    $value .= $customiser_obj->drag_template_details($template_key, 'edit', 'template_details', $template_id, $active_theme_id);
}

$blog_name = get_bloginfo();
$login_url = wp_login_url();

$comments_counts = $wpdb->get_var( "SELECT COUNT(*) FROM {$wpdb->prefix}comments WHERE comment_approved = '0'" );
$comment = get_comment($comment_ID);
$post = get_post($comment->comment_post_ID);
$post_title = $post->post_title;
$permalink = get_permalink($post->ID);
$comment_author = $comment->comment_author;
$comment_author_IP = $comment->comment_author_IP;
$comment_author_domain = gethostbyaddr($comment->comment_author_IP);
$comment_author_email = $comment->comment_author_email;
$comment_author_url = $comment->comment_author_url;
$comment_content = $comment->comment_content;
$approve_url = admin_url( "comment.php?action=approve&c={$comment_ID}#wpbody-content" );
$trash_url = admin_url( "comment.php?action=trash&c={$comment_ID}#wpbody-content" );
$spam_url = admin_url( "comment.php?action=spam&c={$comment_ID}#wpbody-content" );
$moderation_url = admin_url( 'edit-comments.php?comment_status=moderated#wpbody-content' );
$sm_template_background_color = '#FFFFFF';

$value = str_replace('{post_title}',$post_title,$value);  
$value = str_replace('{permalink}',$permalink,$value);  
$value = str_replace('href="www.google.com"','href="'.$permalink.'"',$value);
$value = str_replace('{comment_author}',$comment_author,$value);  
$value = str_replace('{comment_author_IP}',$comment_author_IP,$value);  
$value = str_replace('{comment_author_domain}',$comment_author_domain,$value);  
$value = str_replace('{comment_author_email}',$comment_author_email,$value);  
$value = str_replace('{comment_author_url}',$comment_author_url,$value);  
$value = str_replace('{comment_content}',$comment_content,$value);
$value = str_replace('{approve_url}',$approve_url,$value);
$value = str_replace('{trash_url}',$trash_url,$value);
$value = str_replace('{spam_url}',$spam_url,$value);
$value = str_replace('{moderation_url}',$moderation_url,$value);
$value = str_replace('{comments_counts}',$comments_counts,$value);

$get_template_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $active_theme_id ");
$unser_template_border_details = json_decode($get_template_border_details, true);	

$border_rwidth = $unser_template_border_details['border_rwidth'];
$border_lwidth = $unser_template_border_details['border_lwidth'];
$border_twidth = $unser_template_border_details['border_twidth'];
$border_bwidth = $unser_template_border_details['border_bwidth'];
$border_color = $unser_template_border_details['border_color'];
$border_radius = $unser_template_border_details['border_radius'];
$border_bgcolor = $unser_template_border_details['border_bgcolor'];
$border_bgimage = $unser_template_border_details['border_bgimage'];
$container_width = $unser_template_border_details['container_width'];
//$container_height = $unser_template_border_details['container_height'];

$message='
<!DOCTYPE html>
    <html>
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        </head>';
    
        $message.='<body style="background:'.$sm_template_background_color.';margin-left:30px;margin-right:70px;">';
        $message.='<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
            <tr>
	            <td>
	                <table  border="0" cellpadding="0" cellspacing="0" width="100%" id="custom_template_container" style=" max-width:'.$container_width.'px;padding: 10px 10px 0; margin: auto;">
                        <tr> 
                            <td align="center" valign="top">';
        
        if(!empty($border_bgcolor)){
            $message .= '<div id="sm_template_container" style="border-style: solid;border-top-width:'.$border_twidth.'px;border-right-width:'.$border_rwidth.'px;border-bottom-width:'.$border_bwidth.'px;border-left-width:'.$border_lwidth.'px;border-color:'.$border_color.';border-radius:'.$border_radius.'px;background-color:'.$border_bgcolor.';padding:25px;">';
        }
        else{
           $message .= '<div id="sm_template_container" style="border-style: solid;border-top-width:'.$border_twidth.'px;border-right-width:'.$border_rwidth.'px;border-bottom-width:'.$border_bwidth.'px;border-left-width:'.$border_lwidth.'px;border-color:'.$border_color.';border-radius:'.$border_radius.'px;background-image:url('.$border_bgimage.');padding:25px;">';
        }
        
        $message .= ''.stripslashes($value).'
                                </div>
                            </td>
                        </tr>
	                </table>
	            </td>
            </tr>
        </table>
        </body>
    </html>';
?>