<?php
/**
 * Customer invoice email
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates/Emails
 * @version     2.4.0
 */
namespace Smackcoders\SMEMAILCUSTOM;
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $wpdb;
$customiser_obj = new SMTemplatePage();
$active_theme_id = get_option("sm_mail_customer_invoice_activate_template");

$value = $customiser_obj->get_details($order->get_order_number(), 12, $active_theme_id);
$sm_template_background_color = '#FFFFFF';

$get_template_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 12 AND theme_id = $active_theme_id ");
$unser_template_border_details = json_decode($get_template_border_details, true);	

$border_rwidth = $unser_template_border_details['border_rwidth'];
$border_lwidth = $unser_template_border_details['border_lwidth'];
$border_twidth = $unser_template_border_details['border_twidth'];
$border_bwidth = $unser_template_border_details['border_bwidth'];
$border_color = $unser_template_border_details['border_color'];
$border_radius = $unser_template_border_details['border_radius'];
$border_bgcolor = $unser_template_border_details['border_bgcolor'];
$border_bgimage = $unser_template_border_details['border_bgimage'];
$container_width = $unser_template_border_details['container_width'];
//$container_height = $unser_template_border_details['container_height'];

?> 
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    </head>
    <body style="background:<?php echo esc_attr($sm_template_background_color);?>;margin-left:30px;margin-right:70px;">
        <table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
            <tr>
                <td>
                    <table  border="0" cellpadding="0" cellspacing="0" width="100%" id="custom_template_container" style=" max-width:<?php echo esc_attr($container_width); ?>px;padding: 10px 10px 0; margin: auto;margin-bottom: 10px;">
                        <tr> 
                            <td align="center" valign="top">

                            <?php
                                if(!empty($border_bgcolor)){
                                    ?>
                                        <div id="sm_template_container" style="border-style: solid;border-top-width:<?php echo esc_attr($border_twidth); ?>px;border-right-width:<?php echo esc_attr($border_rwidth); ?>px;border-bottom-width:<?php echo esc_attr($border_bwidth); ?>px;border-left-width:<?php echo esc_attr($border_lwidth); ?>px;border-color:<?php echo esc_attr($border_color); ?>;border-radius:<?php echo esc_attr($border_radius); ?>px;background-color:<?php echo esc_attr($border_bgcolor); ?>;padding:25px;">
                                    <?php
                                }
                                else{
                                    ?>
                                        <div id="sm_template_container" style="border-style: solid;border-top-width:<?php echo esc_attr($border_twidth); ?>px;border-right-width:<?php echo esc_attr($border_rwidth); ?>px;border-bottom-width:<?php echo esc_attr($border_bwidth); ?>px;border-left-width:<?php echo esc_attr($border_lwidth); ?>px;border-color:<?php echo esc_attr($border_color); ?>;border-radius:<?php echo esc_attr($border_radius); ?>px;background-image:url(<?php echo esc_url($border_bgimage); ?>);padding:25px;">
                                    <?php
                                }
                            ?>
                                    <?php echo  wp_kses_post(stripslashes($value)); ?>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>