<?php

//namespace Smackcoders\SMEMAILCUSTOM;

// Exit if accessed directly
if ( ! defined('ABSPATH') ) {
	exit;
}

include_once ABSPATH . 'wp-includes/class-wp-customize-control.php';


if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'WP_Customize_EmailOrders_Control' ) ) {
	
	class WP_Customize_EmailOrders_Control extends WP_Customize_Control {
		public $type = 'EmailOrders';


		public function render_content() {
            $get_url = wp_unslash( $_SERVER['HTTP_REFERER']);
            $url_components = parse_url($get_url); 
            parse_str($url_components['query'], $params); 

            $themeid = $params['themeid'];
            $ordertype = get_option('sm_mail_selected_template'.$themeid);
			?>
                <span class="customize-control-title">
                    <?php _e( 'Email Type', 'customizer-new-pro' ); ?>
                </span>
                <div class="kt-template-woomail-load-controls">
                    <div id="input_<?php echo esc_attr('sm-email-load'); ?>" class="image-radio-select">
                        <label class="<?php echo esc_attr('sm-email-load'); ?> image-radio-select-item">
                            <select name="emailorders" id="<?php echo esc_attr('email-order-list'); ?>" >

                                <?php
                                    $get_last_selected_theme = get_option('sm_mail_selected_theme');

                                    if($get_last_selected_theme > 10){
                                        ?>
                                            <option <?php selected($ordertype,'none');?> value="none">--None--</option>
                                            <option <?php selected($ordertype,'contact_form_confirmation_mail');?>value ="contact_form_confirmation_mail">Contact Form Confirmation Mail</option>
                                            <option <?php selected($ordertype,'wpforms_confirmation_mail');?>value ="wpforms_confirmation_mail">WP Forms Confirmation Mail</option>
                                        <?php
                                    }
                                    else{
                                        ?>
                                            <option <?php selected($ordertype,'none');?>  value="none">--None--</option>
                                            <option  <?php selected($ordertype,'new_account');?> value="new_account">New Account</option>
                                            <option  <?php selected($ordertype,'reset_password');?>  value="reset_password">Reset Password</option>
                                            <option <?php selected($ordertype,'blog_comment');?>value="blog_comment">Blog Comment</option>
                                            <option <?php selected($ordertype,'product_delivered');?>value="product_delivered">Product Delivered</option>
                                            <option <?php selected($ordertype,'note_to_customer');?> value ="note_to_customer">Note To Customer</option>
                                        <?php
                                    }
                                ?>  
                            </select>
                        </label>
                    </div>
                    
                 <?php wp_nonce_field( 'sm-mail-customizer-new-pro', 'customizer-new-pro' ); ?>
                </div>
			<?php
		}
	}
}