<?php

//namespace Smackcoders\SMEMAILCUSTOM;

// Exit if accessed directly
if ( ! defined('ABSPATH') ) {
	exit;
}

include_once ABSPATH . 'wp-includes/class-wp-customize-control.php';


if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'WP_Customize_mailTemplate_Control' ) ) {
	
	class WP_Customize_mailTemplate_Control extends WP_Customize_Control {
		public $type = 'mailTemplate';


		public function render_content() {
		
			$name = 'mail-woomail-prebuilt-template';

			$swcm_upload_dir = plugins_url();
			$destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images/';
			$get_url = wp_unslash( $_SERVER['HTTP_REFERER'] );

			$url_components = parse_url($get_url); 
			parse_str($url_components['query'], $params); 
			$template_id = isset($params['templateid'])?$params['templateid']:'';

				$image_array = array(
					'sm_theme_1' => $destination_folder . 'theme1.png',
					'sm_theme_2' => $destination_folder . 'theme2.png',
					'sm_theme_4' => $destination_folder . 'theme4.png',
					'sm_theme_6' => $destination_folder . 'theme6.png',
					'sm_theme_9' => $destination_folder . 'theme9.png',
					'sm_theme_10' => $destination_folder . 'theme10.png'	);	
			?>

			<span class="customize-control-title">
				<?php _e( 'Load Template', 'customizer-new-pro' ); ?>
			</span>
			<div class="kt-template-woomail-load-controls">
				<div id="input_<?php echo esc_attr('sm-template-load'); ?>" class="image-radio-select">
				<?php
				
				 foreach ( $image_array as $value => $label ) : ?>
					<label class="<?php echo esc_attr('sm-template-load' . $value); ?> image-radio-select-item" data-image-value="<?php echo esc_attr( $value ); ?>" id="<?php echo esc_attr($value); ?>">
						
						<?php
							if($value == 'sm_theme_11' || $value == 'sm_theme_12' || $value == 'sm_theme_13'){
								?>
									<img src="<?php echo esc_url($label); ?>" alt="<?php echo esc_attr( $value ); ?>" title="<?php echo esc_attr_e('Templates for Contact Form, WPForms'); ?>">
								<?php
							}
							else{
								?>
									<img src="<?php echo esc_url($label); ?>" alt="<?php echo esc_attr( $value ); ?>" title="<?php echo esc_attr_e('Templates for WooCommerce Orders, Wordpress Users'); ?>">
								<?php
							}
						?>
							
					</label>
				<?php endforeach; ?>
				</div>
				
			</div>
			<?php
		}
	}
}