<?php
if ( ! defined('ABSPATH') ) {
	exit;
}
include_once ABSPATH . 'wp-includes/class-wp-customize-control.php';
/**
 * This is a customized version of https://github.com/soderlind/class-customizer-range-value-control
 */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'WP_Customize_Rangevalue_Control' ) ) {
	class WP_Customize_Rangevalue_Control extends WP_Customize_Control {
		public $type = 'rangevalue';

		/**
		 * Enqueue scripts/styles.
		 *
		 * @since 3.4.0
		 */
		public function enqueue() {
            $swcm_upload_dir = plugins_url();
			$destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/';
			wp_enqueue_script( 'sm-customizer-range-value-control', $destination_folder . 'js/customizer-range-value-control.js', array( 'jquery' ), true );
			wp_enqueue_style( 'sm-customizer-range-value-control', $destination_folder. 'css/customizer-range-value-control.css', array());
			wp_enqueue_style('smackWCM_font-awesome-swcm',$destination_folder.'css/font-awesome-all.css', array());
			wp_enqueue_style('smackWCM_jQuery-ui-swcm', $destination_folder.'css/jquery-ui-swcm.css', array());
		}

		/**
		 * Render the control's content.
		 *
		 * @author soderlind
		 * @version 1.2.0
		 */
		public function render_content() {
			?>
			<label>
				<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
				<div class="range-slider"  style="width:100%; display:flex;flex-direction: row;justify-content: flex-start;">
					<span  style="width:100%; flex: 1 0 0; vertical-align: middle;"><input class="range-slider__range" type="range" value="<?php echo esc_attr( $this->value() ); ?>" <?php $this->input_attrs(); $this->link(); ?>>
					<span class="range-slider__value">0</span></span>
					<span class="et_divi_reset_slider"><i  style="float:center;color:grey;font-size:large;width: 5%;height: 37px;text-align: center;padding-top: 1%;" class="fas fa-redo-alt" aria-hidden="true"></i></span>	
				</div>
				<?php if ( ! empty( $this->description ) ) : ?>
				<span class="description customize-control-description"><?php echo esc_attr($this->description); ?></span>
				<?php endif; ?>
			</label>
			<?php
		}
	}
}