<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class SMFetchTemplate
{
    protected static $instance = null;

    public static function getInstance() {
		if ( null == self::$instance ) {
			self::$instance = new self;
		}
		return self::$instance;
	}

	public function sm_customizer_save($instance){
	    
        $get_url = wp_unslash( $_SERVER['HTTP_REFERER'] );
        $url_components = parse_url($get_url); 
        parse_str($url_components['query'], $params);
        
        if( isset($params['sm-email-customize']) && $params['sm-email-customize'] == 1 ) {
           
			$get_customized_data = sanitize_text_field($_POST['customized']);

		
			if (!empty($get_customized_data)) {
                $post_values = json_decode( stripslashes_deep( $get_customized_data ), true );
			
             	if (!empty($get_customized_data) && ! empty( $post_values ))  {
                    if ( is_array( $post_values ) ) {

                        global $wpdb;
                        require_once(__DIR__.'/sm-template-page.php');

                        $templateid = $params['templateid'];
                        $themeid = $params['themeid'];
                           
                            $get_template_details = $wpdb->get_var("SELECT template_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $templateid AND theme_id = $themeid AND status = 'temporary'");
                            $decode_template_details = json_decode($get_template_details, true);
							$get_template_details_reset = $wpdb->get_var("SELECT template_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $templateid AND theme_id = $themeid AND status = 'permanent'");
                            $decode_template_details_reset = json_decode($get_template_details_reset, true);
                    
                            $template_details_array = array(
                                'header_position' => array('parent' => 'header_details', 'child' => 'image_position'),
                                'header_image_upload' => array('parent' => 'header_details', 'child' => 'image_url'),
                                'header_bgcolor' => array('parent' => 'header_details', 'child' => 'bg_color'),
                                'header_logo_width' => array('parent' => 'header_details', 'child' => 'width'),
                                'header_logo_height' => array('parent' => 'header_details', 'child' => 'height'),
                                'header_wsize' => array('parent' => 'header_details', 'child' => 'rwidth'),
								//'header_height' => array('parent' => 'header_details', 'child' => 'hrheight'),

                                'text_fontcolor1' => array('parent' => "maindragtext_{$templateid}{$themeid}1", 'child' => 'ftcolor'),
                                'text_fontcolor2' => array('parent' => "maindragtext_{$templateid}{$themeid}2", 'child' => 'ftcolor'),
                                'text_fontsize1' => array('parent' => "maindragtext_{$templateid}{$themeid}1", 'child' => 'ftsize'),
                                'text_fontsize2' => array('parent' => "maindragtext_{$templateid}{$themeid}2", 'child' => 'ftsize'),
                                'text_fontstyle1' => array('parent' => "maindragtext_{$templateid}{$themeid}1", 'child' => 'ftstyle'),
                                'text_fontstyle2' => array('parent' => "maindragtext_{$templateid}{$themeid}2", 'child' => 'ftstyle'),
                                'text_bgcolor1' => array('parent' => "maindragtext_{$templateid}{$themeid}1", 'child' => 'bgcolor'),
								'text_bgimage1' => array('parent' => "maindragtext_{$templateid}{$themeid}1", 'child' => 'bgimage'),
								'text_bgcolor2' => array('parent' => "maindragtext_{$templateid}{$themeid}2", 'child' => 'bgcolor'),
								'text_bgimage2' => array('parent' => "maindragtext_{$templateid}{$themeid}2", 'child' => 'bgimage'),
                                'text_wsize1' => array('parent' => "maindragtext_{$templateid}{$themeid}1", 'child' => 'rwidth'),
                                'text_wsize2' => array('parent' => "maindragtext_{$templateid}{$themeid}2", 'child' => 'rwidth'),
								'text_top1' => array('parent' => "maindragtext_{$templateid}{$themeid}1", 'child' => 'top'),
								'text_top2' => array('parent' => "maindragtext_{$templateid}{$themeid}2", 'child' => 'top'),
								'text_bottom1' => array('parent' => "maindragtext_{$templateid}{$themeid}1", 'child' => 'bottom'),
								'text_bottom2' => array('parent' => "maindragtext_{$templateid}{$themeid}2", 'child' => 'bottom'),
								//'text_height1' => array('parent' => "maindragtext_{$templateid}{$themeid}1", 'child' => 'height'),
								//'text_height2' => array('parent' => "maindragtext_{$templateid}{$themeid}2", 'child' => 'height'),
                               
                                'image_position' => array('parent' => 'imageblockdrag', 'child' => 'img_position'),
                                'image_upload' => array('parent' => 'imageblockdrag', 'child' => 'img_url'),
                                'image_bgcolor' => array('parent' => 'imageblockdrag', 'child' => 'img_bgcolor'),
                                'image_width' => array('parent' => 'imageblockdrag', 'child' => 'img_width'),
                                'image_height' => array('parent' => 'imageblockdrag', 'child' => 'img_height'),
                                'image_wsize' => array('parent' => 'imageblockdrag', 'child' => 'rwidth'),
								'image_top' => array('parent' => 'imageblockdrag', 'child' => 'top'),
            					'image_bottom' => array('parent' => 'imageblockdrag', 'child' => 'bottom'),
								'image_rounded' => array('parent' => 'imageblockdrag','child' => 'rounded'),
								'image_border' => array('parent' => 'imageblockdrag','child' => 'border'),
								'image_bcolor' => array('parent' => 'imageblockdrag','child' => 'bcolor'),
								'image_bsize' => array('parent' => 'imageblockdrag','child' => 'bsize'),
								//'sm_image_height' => array('parent' => 'imageblockdrag', 'child' => 'height'),

                                'button_link' => array('parent' => 'button_details', 'child' => 'link'),
                                'button_text' => array('parent' => 'button_details', 'child' => 'text'),
                                'button_color' => array('parent' => 'button_details', 'child' => 'color'),
                                'button_position' => array('parent' => 'button_details', 'child' => 'position'),
                                'button_bgcolor' => array('parent' => 'button_details', 'child' => 'bg_color'),
                                'button_wsize' => array('parent' => 'button_details', 'child' => 'rwidth'),
                                'button_height' => array('parent' => 'button_details', 'child' => 'bheight'),
                                'button_radius' => array('parent' => 'button_details', 'child' => 'bradius'),
								//'sm_button_height' => array('parent' => 'button_details', 'child' => 'height'),
								'button_widthsize' => array('parent' => 'button_details', 'child' => 'bwidth'),
								'button_ftcolor' => array('parent' => 'button_details', 'child' => 'bftcolor'),

                                'divider_width1' => array('parent' => "hr_details_{$templateid}{$themeid}1", 'child' => 'width'),
								'divider_width2' => array('parent' => "hr_details_{$templateid}{$themeid}2", 'child' => 'width'),
								'divider_height1' => array('parent' => "hr_details_{$templateid}{$themeid}1", 'child' => 'height'),
								'divider_height2' => array('parent' => "hr_details_{$templateid}{$themeid}2", 'child' => 'height'),
								'divider_color1' => array('parent' => "hr_details_{$templateid}{$themeid}1", 'child' => 'color'),
								'divider_color2' => array('parent' => "hr_details_{$templateid}{$themeid}2", 'child' => 'color'),
								'divider_bgcolor1' => array('parent' => "hr_details_{$templateid}{$themeid}1", 'child' => 'bgcolor'),
								'divider_bgcolor2' => array('parent' => "hr_details_{$templateid}{$themeid}2", 'child' => 'bgcolor'),
								'divider_wsize1' => array('parent' => "hr_details_{$templateid}{$themeid}1", 'child' => 'rwidth'),
								'divider_wsize2' => array('parent' => "hr_details_{$templateid}{$themeid}2", 'child' => 'rwidth'),
								//'sm_divider_height' => array('parent' => 'hr_details', 'child' => 'dvheight'),

                                'textarea_entertext' => array('parent' => 'maintext_details', 'child' => 'text'),
                                'textarea_position' => array('parent' => 'maintext_details', 'child' => 'position'),
                                'textarea_fontcolor' => array('parent' => 'maintext_details', 'child' => 'color'),
                                'textarea_style' => array('parent' => 'maintext_details', 'child' => 'style'),
                                'textarea_size' => array('parent' => 'maintext_details', 'child' => 'size'),
                                'textarea_bgcolor' => array('parent' => 'maintext_details', 'child' => 'bgcolor'),
                                'textarea_wsize' => array('parent' => 'maintext_details', 'child' => 'rwidth'),
								//'textarea_height' => array('parent' => 'maintext_details', 'child' => 'height'),

                                'social_position' => array('parent' => 'socialblockdrag', 'child' => 'position'),
                                'social_bgcolor' => array('parent' => 'socialblockdrag', 'child' => 'bgcolor'),
                                'social_fblink' => array('parent' => 'socialblockdrag', 'child' => 'fb'),
                                'social_twlink' => array('parent' => 'socialblockdrag', 'child' => 'twitter'),
                                'social_glink' => array('parent' => 'socialblockdrag', 'child' => 'google'),
                                'social_ldlink' => array('parent' => 'socialblockdrag', 'child' => 'linkedin'),
                                'social_sklink' => array('parent' => 'socialblockdrag', 'child' => 'skype'),
                                'social_ytlink' => array('parent' => 'socialblockdrag', 'child' => 'youtube'),
                                'social_inlink' => array('parent' => 'socialblockdrag', 'child' => 'instagram'),
                                'social_wsize' => array('parent' => 'socialblockdrag', 'child' => 'rwidth'),
								//'social_height' => array('parent' => 'socialblockdrag', 'child' => 'height'),

                                'order_fontstyle' => array('parent' => 'order_details', 'child' => 'ftfamily'),
                                'order_tr_bgcolor' => array('parent' => 'order_details', 'child' => 'trbgcolor'),
                                'order_fontcolor' => array('parent' => 'order_details', 'child' => 'ftcolor'),
                                'order_hr_color' => array('parent' => 'order_details', 'child' => 'hrcolor'),
                                'order_bgcolor' => array('parent' => 'order_details', 'child' => 'orbgcolor'),
                                'order_wsize' => array('parent' => 'order_details', 'child' => 'rwidth'),
								//'order_height' => array('parent' => 'order_details', 'child' => 'height'),

                                'customer_fontfamily' => array('parent' => 'customer_details', 'child' => 'style'),
                                'customer_bgcolor' => array('parent' => 'customer_details', 'child' => 'bgcolor'),
                                'customer_ftcolor' => array('parent' => 'customer_details', 'child' => 'ftcolor'),
                                'customer_wsize' => array('parent' => 'customer_details', 'child' => 'rwidth'),
								//'customer_height' => array('parent' => 'customer_details', 'child' => 'height'),

                            );

                            $template_obj = new SMTemplatePage();
                            foreach ( $post_values as $key => $current_value ) {
                                if(array_key_exists($key, $template_details_array)){
									$admin = new admin();
									$previous = $admin->get_default_value($key);
									if($key == "text_bgimage1"){
										$decode_template_details[$template_details_array[$key]['parent']][$template_details_array[$key]['child']] = $current_value;
										$decode_template_details[$template_details_array['text_bgcolor1']['parent']][$template_details_array['text_bgcolor1']['child']] = '';
									}
									
									elseif($key == 'text_bgcolor1'){
										$decode_template_details[$template_details_array[$key]['parent']][$template_details_array[$key]['child']] = $current_value;
										$decode_template_details[$template_details_array['text_bgimage1']['parent']][$template_details_array['text_bgimage1']['child']] = '';
									}

									elseif($key == "text_bgimage2"){
										$decode_template_details[$template_details_array[$key]['parent']][$template_details_array[$key]['child']] = $current_value;
										$decode_template_details[$template_details_array['text_bgcolor2']['parent']][$template_details_array['text_bgcolor2']['child']] = '';
									}
									
									elseif($key == 'text_bgcolor2'){
										$decode_template_details[$template_details_array[$key]['parent']][$template_details_array[$key]['child']] = $current_value;
										$decode_template_details[$template_details_array['text_bgimage2']['parent']][$template_details_array['text_bgimage2']['child']] = '';
									}

									else{
										$decode_template_details_reset[$template_details_array[$key]['parent']][$template_details_array[$key]['child']] = $previous;
										$decode_template_details[$template_details_array[$key]['parent']][$template_details_array[$key]['child']] = $current_value;
										
									}
                                }
								
                                elseif($key == 'mail_recipient'){
                                    update_option('sm_mail_customiser_recipient_email', $current_value);
                                }
								elseif($key == 'smtp_username' || $key == 'smtp_password'){
									if($key == 'smtp_username'){
										$username = $current_value;
									}
									else if($key == 'smtp_password'){
										$password = $current_value;
									}
									if($username != ''&& $password != ''){
										$smtp_settings_array = array(
											'smtp_username' => $username,
											'smtp_password' => $password
										);
										update_option('swcm_smtp_credentials', $smtp_settings_array);
									}
									else{
										update_option('swcm_smtp_credentials', '');
									}
								}

                                elseif($key == 'background_bgcolor'){
                                    $template_obj->update_test_table_bgcolor($current_value , $templateid, $themeid);
                                }

                                elseif($key == 'text_content1'){ 
                                    $current_value = str_replace("\n", '<br>', $current_value);
                                    update_option("sm_customizer_maintext_{$templateid}{$themeid}1", $current_value);
                                }

                                elseif($key == 'text_content2'){
                                    $current_value = str_replace("\n", '<br>', $current_value);
                                    update_option("sm_customizer_maintext_{$templateid}{$themeid}2", $current_value);
                                }
                                
                                elseif($key == 'mail_subject'){
                                    $template_obj->update_test_table_subject($current_value , $templateid, $themeid); 
                                }

								elseif(strpos($key, 'sm_border_') !== FALSE){
									$template_obj->update_border_details($key, $current_value , $templateid, $themeid, $decode_template_details); 
								
									if($key == 'sm_border_bgcolor'){
										$decode_template_details['header_details']['bg_color'] = $current_value;
										$decode_template_details['maintext_details']['bgcolor'] = $current_value;
							
										if($themeid == 1){
											$decode_template_details['hr_details_']['color'] = $current_value;
											$decode_template_details['socialblockdrag']['bgcolor'] = $current_value;
										}
										elseif($themeid == 3){
											$decode_template_details['imageblockdrag']['img_bgcolor'] = $current_value;
											$decode_template_details['socialblockdrag']['bgcolor'] = $current_value;
										}
									}

									elseif($key == 'sm_border_container_width'){

										$modified_value = $current_value - 90;
										$decode_template_details['header_details']['rwidth'] = $modified_value;
										$decode_template_details['maintext_details']['rwidth'] = $modified_value;
							
										$textId1 = "maindragtext_{$templateid}{$themeid}1";
										$decode_template_details[$textId1]['rwidth'] = $modified_value;
							
										if($themeid != 6 && $themeid != 4){
											$textId2 = "maindragtext_{$templateid}{$themeid}2";
											$decode_template_details[$textId2]['rwidth'] = $modified_value;
										}

										if($themeid == 1 || $themeid == 3){
											$decode_template_details['imageblockdrag']['rwidth'] = $modified_value;
											$decode_template_details['socialblockdrag']['rwidth'] = $modified_value;

											if($themeid == 1){
												$decode_template_details["hr_details_{$templateid}{$themeid}1"]['rwidth'] = $modified_value;
											}
										}

										if($templateid == 1 || $templateid == 2 || $templateid == 3 ){
											$decode_template_details['button_details']['rwidth'] = $modified_value;
										}
									}

									// elseif($key == 'sm_border_container_height'){

									// 	$header_value = $current_value - 659;
									// 	$decode_template_details['header_details']['hrheight'] = $header_value;
									// 	$decode_template_details['header_details']['height'] = $header_value - 40;

									// 	$text_value = $current_value - 669;
									// 	$decode_template_details['maintext_details']['height'] = $text_value;
							
									// 	$textId1 = "maindragtext_{$templateid}{$themeid}1";
									// 	$textId2 = "maindragtext_{$templateid}{$themeid}2";
									// 	$text1_value = $current_value - 463;
										
									// 	if($templateid == 1 || $templateid == 2 || $templateid == 3 ){
									// 		$bt_value = $current_value - 74;
									// 		$decode_template_details['button_details']['height'] = $bt_value;
									// 	}

									// 	if($themeid == 1 || $themeid == 3){
									// 		$imageVal = $current_value - 658;
									// 		$imageValue = $imageVal - 40;

									// 		$decode_template_details['imageblockdrag']['img_height'] = $imageVal;
									// 		$decode_template_details['imageblockdrag']['height'] = $imageValue;

									// 		$socialVal = $current_value - 701;
									// 		$decode_template_details['socialblockdrag']['height'] = $socialVal;
									// 	}
							
									// 	if($templateid == 1 || $templateid == 10 || $templateid == 12){
									// 		$text1_value = $current_value - 610;
									// 		$decode_template_details[$textId1]['height'] = $text1_value;
									// 	}
							
									// 	if($templateid == 1){
									// 		$text2_value = $current_value - 536;
									// 		$decode_template_details[$textId2]['height'] = $text2_value;
									// 	}
							
									// 	if($templateid == 10 || $templateid == 12 || $templateid == 11 || $templateid == 13 || $templateid == 8){
									// 		$text2_value = $current_value - 684;
									// 		$decode_template_details[$textId2]['height'] = $text2_value;
									// 	}
							
									// 	if($templateid == 3){
									// 		$text1_value = $current_value - 463;
									// 		$decode_template_details[$textId1]['height'] = $text1_value;
											
									// 		$text2_value = $current_value - 500;
									// 		$decode_template_details[$textId2]['height'] = $text2_value;
									// 	}
							
									// 	if($templateid == 3 || $templateid == 6 || $templateid == 8){
									// 		$text1_value = $current_value - 573;
									// 		$decode_template_details[$textId1]['height'] = $text1_value;
									// 	}
							
									// 	if($templateid == 5 || $templateid == 11 || $templateid == 7){
									// 		$text1_value = $current_value - 647;
									// 		$decode_template_details[$textId1]['height'] = $text1_value;
									// 	}
							
									// 	if($templateid == 13){
									// 		$text1_value = $current_value - 536;
									// 		$decode_template_details[$textId1]['height'] = $text1_value;
									// 	}
							
									// 	if($templateid == 7){
									// 		$text2_value = $current_value - 684;
									// 		$decode_template_details[$textId2]['height'] = $text2_value;
									// 	}
							
									// 	if($templateid == 4){
									// 		$text1_value = $current_value - 652;
									// 		$decode_template_details[$textId1]['height'] = $text1_value;
									// 	}
							
									// 	if($templateid == 3){
									// 		$text2_value = $current_value - 610;
									// 		$decode_template_details[$textId2]['height'] = $text2_value;
									// 	}
									
									// 	if($themeid == 1){
									// 		$dividerVal =  $current_value - 685;
									// 		$decode_template_details['hr_details']['dvheight'] = $dividerVal;
									// 	}
									// }
								}
                            // }
                            $template_obj->update_test_table_reset($decode_template_details_reset, $templateid, $themeid);
                            $template_obj->update_test_table($decode_template_details, $templateid, $themeid);
                        } 

						update_option('sm_mail_last_edited_template', $templateid);
                    }
                }
            }
        }
    }

    public function fetch_order_details($order = "", $id, $template_type, $template_id, $theme_id, $source = null)
	{
		global $wpdb;
	
		//Payment total
		$order_no = $order->get_order_number();

		//promo section
		$pro_m = get_option('swcm_email_promo');
		$pro_mo = explode( ',', $pro_m );

		$ln= sizeof($pro_mo);
		for($i=0;$i<$ln;$i++){
			if(preg_match('~[a-zA-Z]~', $pro_mo[$i])){
				$produ = get_page_by_title( $pro_mo[$i], OBJECT, 'product' );
				$url = get_permalink( $produ->ID );
				$image = wp_get_attachment_image_src( get_post_thumbnail_id($produ->ID), 'single-post-thumbnail' );
				$namep = $pro_mo[$i];
			}else{
				$image = wp_get_attachment_image_src( get_post_thumbnail_id($pro_mo[$i]), 'single-post-thumbnail' );
				$url = get_permalink($pro_mo[$i]);
				$namep = get_the_title($pro_mo[$i]);
			}
			if(!isset($mop))
				$mop="";
				$image[0] = isset($image[0])?$image[0]:'';
			$mop .= '<div><img src '.$image[0]. '><a href="'.$url.'" target="blank">'.$namep.'</a>'."&nbsp;&nbsp;&nbsp;</div>";
		}

		//Payment Method
		$pri = get_post_meta( $order->get_order_number(), '_payment_method_title', true );
		$order_id = $order->get_user_id();
		$var = $order->get_date_created();
		$order_date = $var."date";

		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id AND status = 'temporary'");
		$unser_template_details = json_decode($get_template_details, true);
		$sm_template_font_color = $unser_template_details[$id]['ftcolor'];
		$sm_template_font_family = $unser_template_details[$id]['ftfamily'];
		$sm_table_header = $unser_template_details[$id]['hrcolor'];
		$sm_table_body_background_color = $unser_template_details[$id]['trbgcolor'];
		$sm_ordertable_background_color = $unser_template_details[$id]['orbgcolor'];
		$widthsize = $unser_template_details[$id]['rwidth'];
		//$order_height = $unser_template_details[$id]['height'];
		
		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id AND status = 'temporary'");
		$unser_border_details = json_decode($get_border_details, true);						
		
		if(!empty($unser_border_details['border_bgimage']) && $theme_id != '2'){
			$bg_color = '';
			$tr_bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_ordertable_background_color.';';
			$tr_bg_color = 'background:'.$sm_table_body_background_color.';';
		}
		
		if(!isset($order_details))
		$order_details="";

		$order_details .= '
			<div> 
				<div class="new" id="order_details_id"><div id="order_detailsnew1" style="'.$bg_color.'position:relative;width:'.$widthsize.'px;margin:auto; " class="dragelementshowsmenu  edit_hover_class order_number" >
					<div style="line-height:1.3em;color:'.$sm_template_font_color.';font-family:"Poppins", sans-serif;cursor:pointer;">
					</div> 
						
					<h1 style="font-size: larger;font-weight: bolder;padding-left: 11%; text-align:left; margin-top:0; padding-top:20px; color:black; ">Order No: #'.$order_no .' </h1>
						<div id="sm_ordertable" style="font-family:'.$sm_template_font_family.';color:'.$sm_template_font_color.'; padding:20px 30px;">
							<table onclick="" id="ordertableedit" style="'.$tr_bg_color.'margin:auto; border: 1px solid #eee;border-top:1px solid #eee;border-bottom:1px solid #eee;border-left:1px solid #eee;border-right:1px solid #eee; width:100%; max-width:700px;" cellspacing="10" cellpadding="10" border="1" frame=hsides rules=rows>
								<thead>
									<tr style="text-align:left;border: 1px solid #eee;">
										<th id="swcm_table_color11" style="background:' . $sm_table_header . ';color: #fff; text-transform: uppercase;font-size: 12px;color:black;padding: 12px;border-collapse: collapse;">';?> 
				
											<?php 
												$order_details .= esc_html__( 'Product' , 'email-design-studio' ); 
											?> 
											<?php $order_details .='</th>

										<th width="20%" id="swcm_table_color21" style="background:'. $sm_table_header .';color: #fff; text-transform: uppercase;font-size: 12px;color:black;text-align:right; padding: 12px;border-collapse: collapse;">';?>
											<?php $order_details .= esc_html__( 'Quantity', 'email-design-studio' ); $order_details .= '</th>
										<th width="20%" id="swcm_table_color31" style="background:'. $sm_table_header .';color: #fff; text-transform: uppercase;font-size: 12px;color:black; text-align:right;padding: 12px;border-collapse: collapse;">';?>
											<?php $order_details .= esc_html__( 'Price', 'email-design-studior' ); $order_details .='</th>
									</tr>
								</thead>
								<tbody id="swcm_template_font_color11" style="color:'.$sm_template_font_color.';border: 1px solid #eee;padding: 12px 35px;border-collapse: collapse; font-family:inherit;">';?>

									<?php 
										$order_data = $order->get_data(); // The Order data

										foreach ($order->get_items() as $item_id => $item_data) {

											// Get an instance of corresponding the WC_Product object
											$product = $item_data->get_product();
											$product_name = $product->get_name(); // Get the product name

											$item_quantity = $item_data->get_quantity(); // Get the item quantity

											$item_total = $item_data->get_total(); // Get the item line total
											$order_details .='
											<tr class="order_item" style=""> 
												<td class="td" style="text-align:left; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$product_name.'</td> 
												<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$item_quantity.'</td> 
												<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'. number_format( $item_total, 2 ).'</td> </tr>';
											}
									?>
										<?php $order_details .='
								</tbody>

								<tfoot id="swcm_template_font_color21" style="color:'.$sm_template_font_color.';border: 1px solid #eee;border-top:1px solid #eee;padding: 12px 35px;border-collapse: collapse; font-size:16px;">';?> 
								<?php if ( $totals = $order->get_order_item_totals() ) { 
									$i = 0; 
									foreach ( $totals as $total ) { 
										$i++;?> <?php $order_details .= '
									<tr id="swcm_template_font_color31" style="color:inherit;border:none;outline:none; border-collapse: collapse;"> 
										<td colspan="2" id="swcm_template_font_color41" style="text-align:right;border:none; outline:none; font-size:inherit; font-weight:bold; color:inherit;">';?> 
										<?php $order_details .= esc_html__($total['label'], 'email-design-studio'); 
										$order_details .= '</td> 
										<td style="border:none; text-align:right; outline:none; font-size:inherit; color:inherit;">';?>
										<?php $order_details .= $total['value'];$order_details .='</td></tr>';?> <?php } } $order_details .= '</tfoot>
							</table>';?>

						<?php 
						//do_action( 'woocommerce_email_after_order_table', $order, true, false ); 
						$order_details .= ' </div></div></div>
					<div>
				</div>   
			</div>';
		
		return $order_details;
	}

	public function fetch_order_details_theme9($order = "", $id, $template_type, $template_id, $theme_id, $source = null)
	{
		
		if(!empty($order)){
			$order_no = $order->get_order_number();
		}
		else{
			$order_no = '';
		}

		$pro_m = get_option('swcm_email_promo');
		$pro_mo = explode( ',', $pro_m );

		$ln= sizeof($pro_mo);
		for($i=0;$i<$ln;$i++){
			if(preg_match('~[a-zA-Z]~', $pro_mo[$i])){
				$produ = get_page_by_title( $pro_mo[$i], OBJECT, 'product' );
				$url = get_permalink( $produ->ID );
				$image = wp_get_attachment_image_src( get_post_thumbnail_id($produ->ID), 'single-post-thumbnail' );
				$namep = $pro_mo[$i];
			}else{
				$image = wp_get_attachment_image_src( get_post_thumbnail_id($pro_mo[$i]), 'single-post-thumbnail' );
				$url = get_permalink($pro_mo[$i]);
				$namep = get_the_title($pro_mo[$i]);
			}
			if(!isset($mop))
				$mop="";
				$image[0] =isset($image[0])?$image[0]:''; 
			$mop .= '<div><img src '.$image[0]. '><a href="'.$url.'" target="blank">'.$namep.'</a>'."&nbsp;&nbsp;&nbsp;</div>";
		}

		//Payment Method
		if(!empty($order)){
			$pri = get_post_meta( $order->get_order_number(), '_payment_method_title', true );
			$order_id = $order->get_user_id();
			$var = $order->get_date_created();
			$order_date = $var."date";
		}
		else{
			$order_id = '';
		}

		global $wpdb;
		

		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id");
		$unser_template_details = json_decode($get_template_details, true);
		$sm_template_font_color = $unser_template_details[$id]['ftcolor'];
		$sm_template_font_family = $unser_template_details[$id]['ftfamily'];
		$sm_table_header = $unser_template_details[$id]['hrcolor'];
		$sm_table_body_background_color = $unser_template_details[$id]['trbgcolor'];
		$sm_ordertable_background_color = $unser_template_details[$id]['orbgcolor'];
		$widthsize = $unser_template_details[$id]['rwidth'];
		$swcm_template_body_background_color = get_option('swcm_template_body_background_color');
		$order_details_id = "order_details_" . $id;
		
		if($theme_id == '9'){
			$base_color = '#0AD4C0';
		}
		elseif($theme_id == '3'){
			$base_color = '#B32E82';
		}
		elseif($theme_id == '4'){
			$base_color = '#E41F4D';
		}
		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
		
		if(!empty($unser_border_details['border_bgimage'])){
			$bg_color = '';
			$tr_bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_ordertable_background_color.';';
			$tr_bg_color = 'background:'.$sm_table_body_background_color.';';
		}

		if(!isset($order_details))
		$order_details="";
		if(!empty($source)){
			$order_details .= '
				<div> <div class="new" id="'."$order_details_id".'"><div id="order_detailsnew1" style="'.$bg_color.'; font-family:'.$sm_template_font_family.'; position:relative;width:'.$widthsize.'px;margin:auto; " class="dragelementshowsmenu  edit_hover_class order_number" >
					<div style="line-height:1.3em;color:'.$sm_template_font_color.';font-family:"Poppins", sans-serif;cursor:pointer;">
					</div> 
					     
							<h1 style="font-size: larger;font-weight: bolder;padding-left: 11%; text-align:left;margin-top:0; padding-top:20px; color:'.$base_color.'; ">Order No: #'.$order_no .' </h1>
							<div id="sm_ordertable" style="font-family:'.$sm_template_font_family.';color:'.$sm_template_font_color.'; padding:20px 30px;">
							<table id="ordertableedit" style="'.$tr_bg_color.';margin:auto; border: 1px solid #eee;border-top:1px solid #eee;border-bottom:1px solid #eee;border-left:1px solid #eee;border-right:1px solid #eee; width:100%; max-width:700px;" cellspacing="10" cellpadding="10" border="1" frame=hsides rules=rows>
								<thead>
									<tr style="text-align:left;border: 2px solid '.$base_color.';">
										<th id="swcm_table_color11" style="background:' . $sm_table_header . ';color: #fff; text-transform: uppercase;font-size: 12px;color:black;padding: 12px;border-collapse: collapse;">';?> 
					
								<?php $order_details .= esc_html__( 'Product' , 'email-design-studio'); ?> <?php $order_details .='</th>
										<th width="20%" id="swcm_table_color21" style="background:'. $sm_table_header .';color: #fff; text-transform: uppercase;font-size: 12px;color:black;text-align:right; padding: 12px;border-collapse: collapse;">';?><?php $order_details .= esc_html__( 'Quantity', 'email-design-studio' ); $order_details .= '</th>
										<th width="20%" id="swcm_table_color31" style="background:'. $sm_table_header .';color: #fff; text-transform: uppercase;font-size: 12px;color:black; text-align:right;padding: 12px;border-collapse: collapse;">';?><?php $order_details .= esc_html__( 'Price', 'email-design-studio' ); $order_details .='</th>
									</tr>
								</thead>
								<tbody id="swcm_template_font_color11" style="color:'.$sm_template_font_color.';border: 2px solid '.$base_color.';padding: 12px 35px;border-collapse: collapse; font-family:inherit;">';?>

									<?php 
										if(!empty($order)){
											$order_data = $order->get_data(); // The Order data
											foreach ($order->get_items() as $item_id => $item_data) {
												// Get an instance of corresponding the WC_Product object
												$product = $item_data->get_product();
												$product_name = $product->get_name(); // Get the product name
												$item_quantity = $item_data->get_quantity(); // Get the item quantity
												$item_total = $item_data->get_total(); // Get the item line total
												
												$order_details .='
												<tr class="order_item" style=""> 
													<td class="td" style="text-align:left; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$product_name.'</td> 
													<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$item_quantity.'</td> 
													<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'. number_format( $item_total, 2 ).'</td> </tr>';
											}
										}
										else{
											$product = $product_name = '';
											$item_quantity = 'Subtotal';
											$item_total = '₹0.00';

											$order_details .='
												<tr class="order_item" style=""> 
													<td class="td" style="text-align:left; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$product_name.'</td> 
													<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$item_quantity.'</td> 
													<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$item_total.'</td> </tr>
												<tr class="order_item" style=""> 
													<td class="td" style="text-align:left; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$product_name.'</td> 
													<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">Total</td> 
													<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">₹0.00</td> </tr>';

										}
									?>
									<?php $order_details .='
								</tbody>

								<tfoot id="swcm_template_font_color21" style="color:'.$sm_template_font_color.';border: 2px solid '.$base_color.';border-top:1px solid #eee;padding: 12px 35px;border-collapse: collapse; font-size:16px;">';
									if(!empty($order)){
										if ( $totals = $order->get_order_item_totals() ) { 
											$i = 0; 
											foreach ( $totals as $total ) { 
												$i++;
												$order_details .= '
													<tr id="swcm_template_font_color31" style="color:inherit;border:none;outline:none; border-collapse: collapse;"> 
														<td colspan="2" id="swcm_template_font_color41" style="text-align:right;border:none; outline:none; font-size:inherit; font-weight:bold; color:inherit;border-right: 1px solid '.$base_color.';">';
														$order_details .= esc_html__($total['label'],'email-design-studio'); 
														$order_details .= '</td> 
														<td style="border:none; text-align:right; outline:none; font-size:inherit; color:inherit;">';
														$order_details .= $total['value'];$order_details .='</td></tr>';
											} 
										} 
									}
								$order_details .= '</tfoot>
							</table>';
									if(!empty($order)){
										do_action( 'woocommerce_email_after_order_table', $order, true, false ); 
									}
							$order_details .= ' </div></div></div>
							<div>
								<?php do_action( "woocommerce_email_before_order_table", $order, true, false ); ?>
							</div>   
				</div>';
		}
		else{
			$order_details .= '
			<div> <div class="new" id="'."$order_details_id".'"><div id="order_detailsnew1" style="'.$bg_color.'; font-family:'.$sm_template_font_family.'; position:relative;width:'.$widthsize.'px;margin:auto; " class="dragelementshowsmenu  edit_hover_class order_number" >
				<div style="line-height:1.3em;color:#'.$sm_template_font_color.'; ?>;
					font-family:"Poppins", sans-serif;cursor:pointer;">
					<div id="showicons" data-key="appearanceinputnew" class="dragelementshowicons"> 
						<i id="order_details" style="float:right;color:'.$color.';font-size:large;width: 5%;height: 37px;text-align: center;padding-top: 1%;" class="fa fa-trash order_del" aria-hidden="true" onclick="mydelete('."'$order_details_id'".', '."'$id'".', '."'$template_type'".', '."'$template_id'".', '."'$theme_id'".')"></i> 
						<i id="order_detailsclone" style="float:right;color:'.$color.';font-size:large;width: 5%;height: 37px;text-align: center;padding-top: 1%;" class="fa fa-clone" aria-hidden="true" onclick="dup('."'orderdetails'".', '."'$orderId'".', '."'$id'".', '."'$template_type'".', '."'$template_id'".', '."'$theme_id'".')"></i> 
						<i onclick="openappearanceblocknew('."'$id'".', '."'$template_type'".', '."'$template_id'".', '."'$theme_id'".')" style="position:absolute: width:100%; height:100%; float:right;color:'.$color.';font-size:large;width: 5%;height: 37px;text-align: center;padding-top: 1%;" class="fa fa-pencil" aria-hidden="true"></i> 
					</div>
				</div> 
				<tr> 
					<td>     
						<h1 style="font-size: larger;font-weight: bolder;padding-left: 11%; margin-top:0; padding-top:20px; color:'.$base_color.';text-align:left; ">Order No: #'.$order_no .' </h1>
						<div id="sm_ordertable" style="font-family:'.$sm_template_font_family.';color:#'.$sm_template_font_color.'; padding:20px 30px;">
						<table id="ordertableedit" style="'.$tr_bg_color.'margin:auto; border: 1px solid #eee; width:100%; max-width:700px;" cellspacing="10" cellpadding="10" frame=hsides rules=rows>
							<thead>
								<tr style="text-align:left;border: 2px solid '.$base_color.';">
									<th id="swcm_table_color11" style="background:' . $sm_table_header . ';color: #fff; text-transform: uppercase;font-size: 12px;color:black;padding: 12px;border-collapse: collapse;">';?> 
				
							<?php $order_details .= esc_html__( 'Product' , 'email-design-studio'); ?> <?php $order_details .='</th>
									<th width="20%" id="swcm_table_color21" style="background:'. $sm_table_header .';color: #fff; text-transform: uppercase;font-size: 12px;color:black;text-align:right; padding: 12px;border-collapse: collapse;">';?><?php $order_details .= esc_html__( 'Quantity', 'email-design-studio' ); $order_details .= '</th>
									<th width="20%" id="swcm_table_color31" style="background:'. $sm_table_header .';color: #fff; text-transform: uppercase;font-size: 12px;color:black; text-align:right;padding: 12px;border-collapse: collapse;">';?><?php $order_details .= esc_html__( 'Price', 'email-design-studio' ); $order_details .='</th>
								</tr>
							</thead>
							<tbody id="swcm_template_font_color11" style="color:#'.$sm_template_font_color.';border: 2px solid '.$base_color.';padding: 12px 35px;border-collapse: collapse; font-family:inherit;">';?>

								<?php 
									if(!empty($order)){
										$order_data = $order->get_data(); // The Order data
										foreach ($order->get_items() as $item_id => $item_data) {
											// Get an instance of corresponding the WC_Product object
											$product = $item_data->get_product();
											$product_name = $product->get_name(); // Get the product name
											$item_quantity = $item_data->get_quantity(); // Get the item quantity
											$item_total = $item_data->get_total(); // Get the item line total
											
											$order_details .='
											<tr class="order_item" style=""> 
												<td class="td" style="text-align:left; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$product_name.'</td> 
												<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$item_quantity.'</td> 
												<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'. number_format( $item_total, 2 ).'</td> </tr>';
										}
									}
									else{
										$product = $product_name = '';
										$item_quantity = 'Subtotal';
										$item_total = '₹0.00';

										$order_details .='
										<tr class="order_item" style=""> 
											<td class="td" style="text-align:left; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$product_name.'</td> 
											<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$item_quantity.'</td> 
											<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$item_total.'</td> </tr>
										<tr class="order_item" style=""> 
											<td class="td" style="text-align:left; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$product_name.'</td> 
											<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">Total</td> 
											<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">₹0.00</td> </tr>';
									}
								?>
								<?php $order_details .='
							</tbody>

							<tfoot id="swcm_template_font_color21" style="color:#'.$sm_template_font_color.';border: 2px solid '.$base_color.';border-top:1px solid #eee;padding: 12px 35px;border-collapse: collapse; font-size:16px;">';
								if(!empty($order)){
									if ( $totals = $order->get_order_item_totals() ) { 
										$i = 0; 
										foreach ( $totals as $total ) { 
											$i++; 
											$order_details .= '
												<tr id="swcm_template_font_color31" style="color:inherit;border:none;outline:none; border-collapse: collapse;"> 
												<td colspan="2" id="swcm_template_font_color41" style="text-align:right;border:none; outline:none; font-size:inherit; font-weight:bold; color:inherit;border-right: 1px solid '.$base_color.';">';
											$order_details .= esc_html__($total['label'],'email-design-studio'); 
											$order_details .= '</th> 
												<td style="border:none; text-align:right; outline:none; font-size:inherit; color:inherit;">';
											$order_details .= $total['value'];$order_details .='</td></tr>';
										} 
									} 
								}
							$order_details .= '</tfoot>
						</table>';
						if(!empty($order)){
							do_action( 'woocommerce_email_after_order_table', $order, true, false ); 
						}
						$order_details .= ' </div></div></div>
	    				<div>
							<?php do_action( "woocommerce_email_before_order_table", $order, true, false ); ?>
      					</div>   
    				</td>
  				</tr>
			</div>';
		}
		return $order_details;
	}

	public function fetch_dummy_order_details($id, $template_type, $template_id, $theme_id, $source = null){
	
		global $wpdb;
		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id");
		$unser_template_details = json_decode($get_template_details, true);
		$sm_template_font_color = $unser_template_details[$id]['ftcolor'];
		$sm_template_font_family = $unser_template_details[$id]['ftfamily'];
		$sm_table_header = $unser_template_details[$id]['hrcolor'];
		$sm_table_body_background_color = $unser_template_details[$id]['trbgcolor'];
		$sm_ordertable_background_color = $unser_template_details[$id]['orbgcolor'];
		$widthsize = $unser_template_details[$id]['rwidth'];
		
		
		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
		
		if(!empty($unser_border_details['border_bgimage'])){
			$bg_color = '';
			$tr_bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_ordertable_background_color.';';
			$tr_bg_color = 'background:'.$sm_table_body_background_color.';';
		}
		
		if(!isset($order_details))
		$order_details="";
		
		$order_details .= '
			<div>
				<div class="new" id="order_details_id">
					<div id="order_detailsnew1" style="'.$bg_color.'font-family:'.$sm_template_font_family.'; position:relative;width:'.$widthsize.'px;margin:auto; " class="dragelementshowsmenu  edit_hover_class order_number" >
						<div style="line-height:1.3em;color:'.$sm_template_font_color.';font-family:"Poppins", sans-serif;cursor:pointer;"></div> 
					     
						<h1 style="font-size: larger;font-weight: bolder;padding-left: 11%; margin-top:0; padding-top:20px; color:black; ">Order No: #0 </h1>
							<div id="sm_ordertable" style="font-family:'.$sm_template_font_family.';color:#'.$sm_template_font_color.'; padding:20px 30px;">
								<table id="ordertableedit" style="'.$tr_bg_color.'margin:auto; border: 1px solid #eee;border-top:1px solid #eee;border-bottom:1px solid #eee;border-left:1px solid #eee;border-right:1px solid #eee; width:100%; max-width:700px;" cellspacing="10" cellpadding="10" border="1" frame=hsides rules=rows>
									<thead>
										<tr style="text-align:left;border: 1px solid #eee;">
											<th id="swcm_table_color11" style="background:' . $sm_table_header . ';color: #fff; text-transform: uppercase;font-size: 12px;color:black;padding: 12px;border-collapse: collapse;">';?> 
					
								<?php 
										$order_details .= esc_html__( 'Product' , 'email-design-studio' ); ?> <?php $order_details .='</th>
											<th width="20%" id="swcm_table_color21" style="background:'. $sm_table_header .';color: #fff; text-transform: uppercase;font-size: 12px;color:black;text-align:right; padding: 12px;border-collapse: collapse;">';?><?php $order_details .= esc_html__( 'Quantity','email-design-studio' ); $order_details .= '</th>
											<th width="20%" id="swcm_table_color31" style="background:'. $sm_table_header .';color: #fff; text-transform: uppercase;font-size: 12px;color:black; text-align:right;padding: 12px;border-collapse: collapse;">';?><?php $order_details .= esc_html__( 'Price', 'email-design-studio' ); $order_details .='</th>
										</tr>
									</thead>
									<tbody id="swcm_template_font_color11" style="color:#'.$sm_template_font_color.';border: 1px solid #eee;padding: 12px 35px;border-collapse: collapse; font-family:inherit;">';?>

									<?php 
									$order_data = ''; // The Order data
	
									// foreach ($order->get_items() as $item_id => $item_data) {
	
									// Get an instance of corresponding the WC_Product object
									$product = '';
									$product_name = ''; // Get the product name
	
									$item_quantity = 'subtotal'; // Get the item quantity
	
									$item_total = '₹0'; // Get the item line total
									$order_details .='
									<tr class="order_item" style=""> 
										<td class="td" style="text-align:left; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$product_name.'</td> 
										<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$item_quantity.'</td> 
										<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$item_total.'</td>
									</tr>
									<tr class="order_item" style=""> 
										<td class="td" style="text-align:left; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">'.$product_name.'</td> 
										<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">Total</td> 
										<td class="td" style="text-align:right; padding:20px 10px; font-size:15px; border:none; border-bottom:1px solid #eee; color:inherit; vertical-align:middle; font-family: inherit;">₹0.00</td> 
									</tr>';
									
									?>
									<?php $order_details .='
								</tbody>
									</table></div>';

		$order_details .= ' </div></div></div>';
		
		return $order_details;
	}

	public function fetch_header_details($id, $template_type, $template_id, $theme_id, $source = null){
		
		global $wpdb;
		
		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id AND status = 'temporary'");
		$unser_template_details = json_decode($get_template_details, true);						
	
		$sm_email_header_background_color = $unser_template_details[$id]['bg_color'];
		$imagepos = $unser_template_details[$id]['image_position'];
		$imgurl = $unser_template_details[$id]['image_url'];
		$imgwidth = $unser_template_details[$id]['width'];
		$imgheight = $unser_template_details[$id]['height'];
		$widthsize = $unser_template_details[$id]['rwidth'];
		//$header_height = $unser_template_details[$id]['hrheight'];
	
		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
		
		if(!empty($unser_border_details['border_bgimage'])){
			$bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_email_header_background_color.';';
		}

		$header_block_details = '
			<div class="new" id="header_id">
				<div id="header_bg_id" class="dragelementshowsmenu edit_hover_class"  style="text-align:center; vertical-align:middle;padding-bottom:0px;overflow: hidden; position: relative;'.$bg_color.'cursor:pointer;width:'.$widthsize.'px;margin:auto;">
					<p  style="overflow: hidden;padding: 20px 50px; margin:0;"><img style="padding-left:2%;padding-right:2%;" id="header_img_id" align="'.$imagepos.'" src="'.esc_url( $imgurl ).'" width="'.$imgwidth.'" height="'.$imgheight.'"></p>	
				</div>
			</div>';	
		
		return $header_block_details;
	}

	public function fetch_text_details($drag_id, $template_type, $template_id, $theme_id, $source = null){
		global $wpdb;
		
		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);
	
		$font_color = $unser_template_details[$drag_id]['color'];
		$textvalue = $unser_template_details[$drag_id]['text'];
		$textposition = $unser_template_details[$drag_id]['position'];
		$sm_txtarea_font = $unser_template_details[$drag_id]['style'];
		$sm_txtarea_ftsize = $unser_template_details[$drag_id]['size'];
		$sm_textarea_background_color = $unser_template_details[$drag_id]['bgcolor'];
		$widthsize = $unser_template_details[$drag_id]['rwidth'];
		//$text_height = $unser_template_details[$drag_id]['height'];

		if($textvalue == "" ){
			$textvalue = '<span style="text-align:center;color:grey;">Click To Edit Text</span>';
		}
		
		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
	
		if(!empty($unser_border_details['border_bgimage'])){
			$bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_textarea_background_color.';';
		}

		$text_block = '
			<div id="textareaId" class="text">
				<div id="textarea_bg_id" class="dragelementshowsmenu edit_hover_class" style="'.$bg_color.'cursor:pointer;width:'.$widthsize.'px;margin:auto;">
					<table id="text_area_order1" style=" display: table;"  cellspacing="0" cellpadding="0" border="0" width="100%" align="center">
						<tbody>
							<tr>
								<td id="textarea_position" align="'.$textposition.'">
									<p name="textblock1" id="textarea_id" style="font-size:'.$sm_txtarea_ftsize.'px;font-family:'.$sm_txtarea_font.';color:'.$font_color.'; padding: 10px 10px;">'.$textvalue.'
									</p>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>';
		
		return $text_block;
	}

	public function fetch_button_details($id, $template_type, $template_id, $theme_id, $source = null){
		global $wpdb;
		
		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);

		$buttonclr = $unser_template_details[$id]['color'];
		$buttontext = $unser_template_details[$id]['text'];
		$buttonlink = $unser_template_details[$id]['link'];
		$buttonposition = $unser_template_details[$id]['position'];
		$sm_button_background_color = $unser_template_details[$id]['bg_color'];
		$rightwidth = $unser_template_details[$id]['rwidth'];
		$buttonheight = $unser_template_details[$id]['bheight'];
		$buttonradius = $unser_template_details[$id]['bradius'];
		//$btheight = $unser_template_details[$id]['height'];
		$buttonwidth = $unser_template_details[$id]['bwidth'];
		$buttonftcolor = $unser_template_details[$id]['bftcolor'];

		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
	
		if(!empty($unser_border_details['border_bgimage']) && $theme_id !='2'){
			$bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_button_background_color.';';
		}

		$button_details = '
			<div class="new" id="button_block_id">
				<div id="button_bg_id" class="dragelementshowsmenu edit_hover_class" style="'.$bg_color.'cursor:pointer;width:'.$rightwidth.'px;margin:auto;">  
					<table style="display: table;" cellspacing="0" cellpadding="0" border="0" background="#ffffff" width="100%" align="center">
					<tbody><tr>
					<td style="padding: 15px 50px;">
					<table id="buttonpos_id" cellspacing="0" cellpadding="0" border="0" align="'.$buttonposition.'"><tbody>
					<tr>
					<td style="margin: 10px;">
					<a id="button_id" href="'.$buttonlink.'" style="line-height:'.$buttonheight.'px;width:'.$buttonwidth.'px; border-radius:'.$buttonradius.'px; text-align: center; text-decoration: none; display: block; margin: 0px; padding: 12px 20px; background:'.$buttonclr.'; color:'.$buttonftcolor.'; font-size: 15px; font-family: inherit; font-weight: normal;">'.$buttontext.'</a></td></tr></tbody></table></td></tr></tbody></table>
				</div>
			</div>';
		
		return $button_details;
	}

	public function fetch_signature_details($id, $template_type, $template_id, $theme_id, $source = null){
		global $wpdb;
		$get_sign_id = explode('_', $id);
		$sign_img_text_id = "signimagepara_$id";
		$sign_img_id = "signimage_$id";

		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);

		$sm_email_signature_background_color = $unser_template_details[$id]['bgcolor'];
		$imagepos = $unser_template_details[$id]['pos'];
		$imgurl = $unser_template_details[$id]['src'];
		$img_width = $unser_template_details[$id]['width'];
		$img_height = $unser_template_details[$id]['height'];
		$widthsize = $unser_template_details[$id]['rwidth'];

		$sign_id = $get_sign_id[1];
		$sign_blockorder_id = "signatureblockorder_$sign_id";
		$sign_blog_id = "signatureblockdrag_$sign_id";

		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
	
		if(!empty($unser_border_details['border_bgimage'])){
			$bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_email_signature_background_color.';';
		}

		$signature_details = '
			<div id="'."$sign_blockorder_id".'" class="new">
				<div id="signature_block_ordernew_'.$id.'" class="dragelementshowsmenu edit_hover_class" style="'.$bg_color.'cursor:pointer;width:'.$widthsize.'px;margin:auto;">  
					<p id="'."$sign_img_text_id".'"  style="overflow: hidden;padding: 20px 50px; margin:0; text-align:'.$imagepos.'; ">
						<img style="padding-left:2%;padding-right:2%;" id="'."$sign_img_id".'"  src="'.esc_url( $imgurl ).'" width="'.$img_width.'" height="'.$img_height.'" ; />
					</p>
				</div>
			</div>';
	
		return $signature_details;
	}

	public function fetch_image_details($id, $template_type, $template_id, $theme_id, $source = null){
		global $wpdb;
	
		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);	
		
		$imagepos = $unser_template_details[$id]['img_position'];
		$img_background_color = $unser_template_details[$id]['img_bgcolor'];
		$imgurl = $unser_template_details[$id]['img_url'];
		$imgwidth = $unser_template_details[$id]['img_width']; 
		$imgheight = $unser_template_details[$id]['img_height'];
		$widthsize = $unser_template_details[$id]['rwidth'];
		$top = $unser_template_details[$id]['top'];
		$bottom = $unser_template_details[$id]['bottom'];
		$rounded = $unser_template_details[$id]['rounded'];
        $border = $unser_template_details[$id]['border'];
        $bsize = $unser_template_details[$id]['bsize'];
        $bcolor = $unser_template_details[$id]['bcolor'];
		//$height = $unser_template_details[$id]['height'];
		if($border != 'None' && $bcolor != '' && $bsize){
            $bordersize  = $bsize.' '.$border.' '.$bcolor;
        }
        else{
            $bordersize  = '';
        }
		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
	
		$additional_style = 'border-radius: '.$top.'px '.$top.'px '.$bottom.'px '.$bottom.'px';
		if(!empty($unser_border_details['border_bgimage']) && $theme_id !='2'){
			$bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$img_background_color.';';
		}

		$image_details = '
			<div class="new" id="image_id">
				<div id="image_bg_id" class="dragelementshowsmenu edit_hover_class" style="text-align:center; vertical-align:middle;padding-bottom:0px;overflow: hidden; position: relative;'.$bg_color.'cursor:pointer;width:'.$widthsize.'px;margin:auto;'.$additional_style.'">
					<p  style="overflow: hidden;padding: 20px 50px; margin:0;">	<img style="padding-left:2%;padding-right:2%;border:'.$bordersize.';border-radius:'.$rounded.'%" id="imageblock2" align="'.$imagepos.'" src="' . esc_url( $imgurl ) . '" alt="" width="'.$imgwidth.'" height="'.$imgheight.';" ; /> </p>
				</div>
			</div>';	
		
		return $image_details;
	}
	public function fetch_maindrag_details($dragid, $template_type, $template_id, $theme_id, $source = null){
		global $wpdb;

		$get_id = explode('_', $dragid);
		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);	
		
		$fontcolor = $unser_template_details[$dragid]['ftcolor'];
		$fontsize = $unser_template_details[$dragid]['ftsize'];
		$fontstyle = $unser_template_details[$dragid]['ftstyle'];
		$widthsize = $unser_template_details[$dragid]['rwidth'];
		$top = $unser_template_details[$dragid]['top'];
		$bottom = $unser_template_details[$dragid]['bottom'];
		//$mainheight = $unser_template_details[$dragid]['height'];
		$sm_maintext_background_color = $unser_template_details[$dragid]['bgcolor'];
		$bgimage = isset($unser_template_details[$dragid]['bgimage'])?$unser_template_details[$dragid]['bgimage']:'';

		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
	
		if(!empty($unser_border_details['border_bgimage']) && $theme_id !='2'){
			$bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_maintext_background_color.';';
		}
		$additional_style = 'border-radius: '.$top.'px '.$top.'px '.$bottom.'px '.$bottom.'px';
		$getId = $get_id[1];
		$maintext = stripslashes(get_option('sm_customizer_maintext_'. $getId)); 
		$maintext_id = "maintextorder_$getId";
		$textarea_id = "text_id_$getId";
		$textarea_bg_id = "text_bg_id_$getId";
		if(!empty($sm_maintext_background_color)){
			$maintextdrag = '<div class="new" id="'."$maintext_id".'">
			<div id="'."$textarea_bg_id".'" style="'.$bg_color.'width:'.$widthsize.'px;margin:auto;'.$additional_style.'" class="dragelementshowsmenu edit_hover_class"> 
			<table style="display: table;"  cellspacing="0" cellpadding="0" border="0" width="100%" align="center">
				<tbody><tr>
					<td style="font-size: 13px; color: rgb(0, 0, 0); line-height: 22px; padding: 10px 50px; font-family:Helvetica,sans-serif;" align="left">
						<div style="color:'.$fontcolor.';font-family:'.$fontstyle.';font-size:'.$fontsize.'px;line-height:230%" id = "'."$textarea_id".'" >'.$maintext.'<span style="text-align:center;color:grey;"></span></div>
					</td>
				</tr></tbody>
			</table>
			</div>
			</div>';
		}
		else{
				$maintextdrag = '<div class="new" id="'."$maintext_id".'">
			<div id="'."$textarea_bg_id".'" style="background-image:url('.$bgimage.');width:'.$widthsize.'px;margin:auto;'.$additional_style.'" class="dragelementshowsmenu edit_hover_class"> 
			<table style="display: table;"  cellspacing="0" cellpadding="0" border="0" width="100%" align="center">
				<tbody><tr>
					<td style="font-size: 13px; color: rgb(0, 0, 0); line-height: 22px; padding: 10px 50px; font-family:Helvetica,sans-serif;" align="left">
						<div style="color:'.$fontcolor.';font-family:'.$fontstyle.';font-size:'.$fontsize.'px;line-height:230%" id = "'."$textarea_id".'" >'.$maintext.'<span style="text-align:center;color:grey;"></span></div>
					</td>
				</tr></tbody>
			</table>
			</div>
			</div>';
		}
		return $maintextdrag;
	}


	public function fetch_customer_details($order, $id, $template_type, $template_id, $theme_id, $source = null)
	{
		//BILLING SECTION
		$address = $order->get_address( 'billing' ); // returns an array
		$name = $address['first_name'];
		$last_name= $address['last_name'];
		$billing_first_name = $name;
		$billing_last_name = $last_name;
		$billing_email = $address['email'];
		$billing_phone = $address['phone'];
		$billing_country  = $address['country'];
		$billing_state = $address['state'];
		$billing_city = $address['city'];
		$billing_company = $address['company'];
		$billing_address_one = $address['address_1'];
		$billing_address_two = $address['address_2'];
		$billing_postcode = $address['postcode'];

		//Shipping Section
		$saddress = $order->get_address( 'shipping' ); // returns an array
		$sname = $saddress['first_name'];
		$slast_name = $saddress['last_name'];
		$shipping_first_name = $sname;
		$shipping_last_name = $slast_name;
		$shipping_country = $saddress['country'];
		$shipping_state = $saddress['state'];
		$shipping_city = $saddress['city'];
		$shipping_company  = $saddress['company'];
		$shipping_address_one = $saddress['address_1'];
		$shipping_address_two = $saddress['address_2'];
		$shipping_postcode = $saddress['postcode'];

		global $wpdb;
		
		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);
	
		$sm_cust_font_color = $unser_template_details[$id]['ftcolor'];
		$sm_cust_body_background_color = $unser_template_details[$id]['bgcolor'];
		$sm_cust_font_family = $unser_template_details[$id]['style'];
		$widthsize = $unser_template_details[$id]['rwidth'];
		//$cheight = $unser_template_details[$id]['height'];

		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
	
		if(!empty($unser_border_details['border_bgimage']) && $theme_id != '2'){
			$bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_cust_body_background_color.';';
		}

		if(!isset($customer_details))
			$customer_details="";
			$customer_details .= '
				<div class="new" id="customer_details_id">
					<div id="customer_detailsnew1" class="dragelementshowsmenu edit_hover_class order_number" style="position:relative;cursor:pointer;text-align:left;width:'.$widthsize.'px;margin:auto;';

			$customer_details.='">
						<div id="custdetailscol" style="padding:20px 50px; font-size:16px; font-family:'.$sm_cust_font_family.';color:'.$sm_cust_font_color.';'.$bg_color.'">
							<h3 style="font-size:18px; color:inherit; font-weight:bolder; font-family:inherit; padding-bottom: 10px;border-bottom: 1px solid #c5c5c5;">';
			$customer_details .=  esc_html__("Customer Details", 'email-design-studio'); 
			$customer_details .= '</h3>';
		
			if ( isset($billing_email) ) : 
				$customer_details .= '<p> </p><div style="text-align:center"> <strong> '; 
				$customer_details .= esc_html__( "Email", 'email-design-studio'); 
				$customer_details .= ':</strong> '; 
				$customer_details .=  $billing_email;
				$customer_details .= '<p></p>';
			endif; 
			if (isset($billing_phone) ) :
				$customer_details .= '<p></p><div style="text-align:center"><strong> ';
				$customer_details .= esc_html__( 'Telephone', 'email-design-studio' ); 
				$customer_details .= ':</strong> '; 
				$customer_details .= $billing_phone; 
				$customer_details .= '<p></p> </div></div>';
			endif; 


			if ( $order->get_formatted_billing_address() || $order->get_formatted_shipping_address() ) : 
				$customer_details .= '
					<table cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-top: 10px; font-size:16px;">
						<tr>
							<td width="25%" valign="top" style="  padding:20px 20px 20px 0px;">
								<p style="font-size:18px; font-weight:bolder; padding-bottom: 10px;border-bottom: 1px solid #c5c5c5;"><strong>Billing Address</strong></p>';  


					$customer_details .= '<div style="border-style: solid;border:none; font-size:15px;">
									<p style="font-size:inherit;">  '; 
				$customer_details .= $billing_first_name . $billing_last_name; $customer_details .= '</p> 
									<p style="font-size:inherit;"> '; 
				$customer_details .= $billing_address_one; 
				$customer_details.= ','; 
				$customer_details .= $billing_address_two; 
				$customer_details .= '</p>
									<p style="font-size:inherit;">'; 
				$customer_details .= $billing_city; 
				$customer_details.= '-'; 
				$customer_details .= $billing_postcode; 
				$customer_details .= '</p> 
									<p style="font-size:inherit;">'; 
				$customer_details .= $billing_state; 
				$customer_details.= ','; 
				$customer_details .= $billing_country; 
				$customer_details .= '</p> 
								</div> 
							</td>';
				$customer_details .= '
							<td width="25%" valign="top" style="padding:20px 0px 20px 20px;">
								<p style="font-size:18px; font-weight:bolder; padding-bottom: 10px;border-bottom: 1px solid #c5c5c5;"><strong>Shipping Address</strong></p>'; 
				$customer_details .= '
								<div style="border-style: solid;border:none; font-size:15px;">
									<p>'; 
				$customer_details .= $shipping_first_name . $shipping_last_name; 
				$customer_details .= '</p>'; 
				if(!empty($shipping_address_one)) {  
					$customer_details.= '<p style="font-size:inherit;">';
					$customer_details .= $shipping_address_one; 
					$customer_details.= ','; 
					$customer_details .= $shipping_address_two; 
					$customer_details .= '</p>'; 
				}
				if(!empty($shipping_city)) {
					$customer_details.='<p style="font-size:inherit;">'; 
					$customer_details .= $shipping_city; 
					$customer_details.= '-'; 
					$customer_details .= $shipping_postcode; 
					$customer_details .= '</p>'; 
				}
				if(!empty($shipping_state)) {
					$customer_details .= '<p style="font-size:inherit;">'; 
					$customer_details .= $shipping_state; 
					$customer_details.= ','; 
					$customer_details .= $shipping_country; 
					$customer_details .= '</p> '; 
				}

				$customer_details .= '</div>  
				</td>                      
				</tr>
				</table></div> ';
				endif; 
				$customer_details .= '</div></div>';

		return $customer_details;
	}

	public function	fetch_dummy_customer_details($id, $template_type, $template_id, $theme_id, $source = null){
		$address = ''; // returns an array
		$name = '';
		$last_name = '';
		$billing_first_name = '';
		$billing_last_name = '';
		$billing_email = '';
		$billing_phone = '';
		$billing_country = '';
		$billing_state = '';
		$billing_city = '';
		$billing_company = '';
		$billing_address_one = '';
		$billing_address_two = '';
		$billing_postcode = '';

		//Shipping Section
		$saddress = ''; // returns an array
		$sname = '';
		$slast_name= '';
		$shipping_first_name = '';
		$shipping_last_name = '';
		$shipping_country = '';
		$shipping_state = '';
		$shipping_city = '';
		$shipping_company = '';
		$shipping_address_one = '';
		$shipping_address_two = '';
		$shipping_postcode = '';

		global $wpdb;
		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);
	
		$sm_cust_font_color = $unser_template_details[$id]['ftcolor'];
		$sm_cust_body_background_color = $unser_template_details[$id]['bgcolor'];
		$sm_cust_font_family = $unser_template_details[$id]['style'];
		$widthsize = $unser_template_details[$id]['rwidth'];
		//$cheight = $unser_template_details[$id]['height'];

		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
	
		if(!empty($unser_border_details['border_bgimage'])){
			$bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_cust_body_background_color.';';
		}

		if(!isset($customer_details))
			$customer_details="";
			$customer_details .= '<div class="new" id="customer_details_id">
			<div id="customer_detailsnew1" class="dragelementshowsmenu edit_hover_class order_number" style="position:relative;cursor:pointer;width:'.$widthsize.'px;margin:auto;';

			if(!empty($source)){
				$customer_details.='" > 
					<div id="custdetailscol" style="padding:20px 50px; font-size:16px; font-family:'.$sm_cust_font_family.';color:#'.$sm_cust_font_color.';'.$bg_color.'">
					<h3 style="font-size:18px; color:inherit; font-weight:bolder; font-family:inherit; padding-bottom: 10px;border-bottom: 1px solid #c5c5c5;">';$customer_details .=  esc_html__("Customer Details",'email-design-studio'); $customer_details .= '</h3>';
			}
			else{
				$customer_details.='" > 
					<div id="custdetailscol" style="padding:20px 50px; font-size:16px; font-family:'.$sm_cust_font_family.';color:#'.$sm_cust_font_color.';'.$bg_color.'">
					<h3 style="font-size:18px; color:inherit; font-weight:bolder; font-family:inherit; padding-bottom: 10px;border-bottom: 1px solid #c5c5c5;">';$customer_details .=  esc_html__("Customer Details",'email-design-studio'); $customer_details .= '</h3>';		
			}
			
			$customer_details .= '<p> <div style="text-align:center"> <strong> '; $customer_details .= esc_html__( "Email",'email-design-studio'); 
			$customer_details .= ':</strong> '; $customer_details .=  $billing_email;
			$customer_details .= '</p>';
	
			$customer_details .= '<p><div style="text-align:center"><strong> ';
			$customer_details .= esc_html__( 'Telephone','email-design-studio'); 
			$customer_details .= ':</strong> '; $customer_details .= $billing_phone; 
			$customer_details .= '</p> </div></div>';
			$customer_details .= ' </div></div></div> ';
		return $customer_details;
	}

	public function fetch_social_details($id, $template_type, $template_id, $theme_id, $source = null){
		global $wpdb;
		$swcm_upload_dir = plugins_url();
		$destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images';

		if($theme_id =="4" || $theme_id == "5" || $theme_id == "10"){
			$facebook = $destination_folder.'/facebook-gray.png'; 
			$twitter = $destination_folder.'/twitter-gray.png';
			$googleplus = $destination_folder.'/google-plus-gray.png';
			$linkedin = $destination_folder.'/linkedin-gray.png';
			$skype = $destination_folder.'/skype-gray.png';
			$youtube = $destination_folder.'/youtube-gray.png';
			$instagram = $destination_folder.'/instagram-gray.png';
		}
		else{
			$facebook = $destination_folder.'/facebook-black.png'; 
			$twitter = $destination_folder.'/twitter-black.png';
			$googleplus = $destination_folder.'/google-plus-black.png';
			$linkedin = $destination_folder.'/linkedin-black.png';
			$skype = $destination_folder.'/skype-black.png';
			$youtube = $destination_folder.'/youtube-black.png';
			$instagram = $destination_folder.'/instagram-black.png';
		}

		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);	

		$swcm_facebook_uri = $unser_template_details[$id]['fb'];
		$swcm_twitter_uri = $unser_template_details[$id]['twitter'];
		$swcm_google_plus_uri = $unser_template_details[$id]['google'];
		$swcm_linkedin_uri = $unser_template_details[$id]['linkedin'];
		$swcm_skype_uri =  $unser_template_details[$id]['skype'];
		$swcm_youtube_uri = $unser_template_details[$id]['youtube'];
		$swcm_instagram_uri = $unser_template_details[$id]['instagram'];
		$sm_url_bgcolor =  $unser_template_details[$id]['bgcolor'];
		$iconspos = $unser_template_details[$id]['position'];
		$widthsize = $unser_template_details[$id]['rwidth'];
		//$s_height = $unser_template_details[$id]['height'];

		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
	
		if(!empty($unser_border_details['border_bgimage'])){
			$bg_color = '';
		}
		else{
			$bg_color = 'background:'.$sm_url_bgcolor.';';
		}

		$fbdisplay = 'none';
		$twitterdisplay = 'none';
		$googledisplay = 'none';
		$linkedindisplay = 'none';
		$skypedisplay = 'none';
		$youtubedisplay = 'none';
		$instagramdisplay = 'inline';
	
		if($swcm_facebook_uri != "https://" && $swcm_facebook_uri != 'false' && $swcm_facebook_uri != ''){
			$fbdisplay = 'inline';
		}
		if($swcm_twitter_uri != "https://" && $swcm_twitter_uri != 'false' && $swcm_twitter_uri != ''){
			$twitterdisplay = 'inline';
		}
		if($swcm_google_plus_uri != "https://" && $swcm_google_plus_uri != 'false' && $swcm_google_plus_uri != ''){
			$googledisplay = 'inline';
		}
		if($swcm_linkedin_uri != "https://" && $swcm_linkedin_uri != 'false' && $swcm_linkedin_uri != ''){
			$linkedindisplay = 'inline';
		}
		if($swcm_skype_uri != "https://" && $swcm_skype_uri != 'false' && $swcm_skype_uri != ''){
			$skypedisplay = 'inline';
		}
		if($swcm_youtube_uri != "https://" && $swcm_youtube_uri != 'false' && $swcm_youtube_uri != ''){
			$youtubedisplay = 'inline';
		}
		if($swcm_instagram_uri == "https://" || $swcm_instagram_uri == 'false'){
			$instagramdisplay = 'none';
		}

		$fb_id = "facebook_id";
		$twitter_id = "twitter_id";
		$googleplus_id = "googleplus_id";
		$linkedin_id = "linkedin_id";
		$instagram_id = "instagram_id";
		$youtube_id = "youtube_id";
		$skype_id = "skype_id";
		$social_id = "sociallink_id";
		
		$social_details = '
			<div class="new" id="socil_id">
			<div id="sociallink_id" class="dragelementshowsmenu edit_hover_class" style="position: relative;cursor:pointer;width:'.$widthsize.'px;margin:auto;'.$bg_color.'">
			<table  style="display: table; text-align:center; padding: 8px 0;" cellspacing="0" cellpadding="0" border="0" width="100%">
			<tbody>
				<tr>

				<td id="sociallink_bg_id" style=" text-align:'.$iconspos.';'.$bg_color.'" padding= "10px 50px;"> 
					<span> 
						<a id="'."$fb_id".'" href="'.$swcm_facebook_uri.'" target="_blank" class="em-facebook" style="border: medium none;display:'.$fbdisplay.'; text-decoration: none;">
							<img src="'.$facebook.'" width="20" height="20" border="0">
						</a>
					</span>
					<span style="margin-left: 1%;">
						<a id="'."$twitter_id".'" href="'.$swcm_twitter_uri.'" target="_blank" class="em-twitter" style="border: medium none; display:'.$twitterdisplay.';text-decoration: none;">
							<img src="'.$twitter.'" width="20" height="20" border="0">
						</a>
					</span>
					<span style="margin-left: 1%;">
						<a id="'."$googleplus_id".'" href="'.$swcm_google_plus_uri.'" target="_blank" class="em-youtube" style="border: medium none;display:'.$googledisplay.'; text-decoration: none;">
							<img src="'.$googleplus.'" width="20" height="20" border="0">
						</a>
					</span>
					<span style="margin-left: 1%;">
						<a id="'."$linkedin_id".'" href="'.$swcm_linkedin_uri.'" target="_blank" class="em-youtube" style="border: medium none;display:'.$linkedindisplay.'; text-decoration: none;">
						<img src="'.$linkedin.'" width="20" height="20" border="0">
						</a>
					</span>
					<span style="margin-left: 1%;">
						<a id="'."$skype_id".'" href="'.$swcm_skype_uri.'" target="_blank" class="em-youtube" style="border: medium none;display:'.$skypedisplay.'; text-decoration: none;">
						<img src="'.$skype.'" width="20" height="20" border="0">
						</a>
					</span>
					<span style="margin-left: 1%;">
						<a id="'."$youtube_id".'" href="'.$swcm_youtube_uri.'" target="_blank" class="em-youtube" style="border: medium none;display:'.$youtubedisplay.'; text-decoration: none;">
							<img src="'.$youtube.'" width="20" height="20" border="0">
						</a>
					</span>
					<span style="margin-left: 1%;">
						<a id="'."$instagram_id".'" href="'.$swcm_instagram_uri.'" target="_blank" class="em-instagram" style="border: medium none;display:'.$instagramdisplay.'; text-decoration: none;">
							<img src="'.$instagram.'" width="20" height="20" border="0">
						</a>
					</span>
				</td></tr></tbody></table> </div>
			</div>';
		
		return $social_details;
	}

	public function fetch_divider_details($dragid, $template_type, $template_id, $theme_id, $source = null){
		global $wpdb;
		$get_id = explode('_', $dragid);
		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);

		$hrwidth = $unser_template_details[$dragid]['width'];
		$hrheight = $unser_template_details[$dragid]['height'];
		$widthsize = $unser_template_details[$dragid]['rwidth'];
		$hrclr = $unser_template_details[$dragid]['color'];
		//$dv_height = $unser_template_details[$dragid]['dvheight'];
		$sm_divider_background_color = $unser_template_details[$dragid]['bgcolor'];
		$getId = $get_id[1];
		$divider_bg_id = "divider_bg_id_$getId";
		$divider_id = "divider_id_$getId";
		$get_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_border_details = json_decode($get_border_details, true);						
	
		if(!empty($unser_border_details['border_bgimage']) && $theme_id !='2'){
			$bg_color = '';
		}
		else{
			$bg_color = 'background-color:'.$sm_divider_background_color.';';
		}
		$hr='';
		$hr .= '<div class="new" id="hr_id">
				<div id="'."$divider_bg_id".'" class="dragelementshowsmenu edit_hover_class" style="overflow:hidden;'.$bg_color.'cursor:pointer;width:'.$widthsize.'px;margin:auto;"> 
				<hr id="'."$divider_id".'" style=" height:'.$hrheight.'px;border-width:0;background:'.$hrclr.';width:'.$hrwidth.'%;text-align:right; padding:0px; margin: 20px auto;">'; 
				$hr .='</div>
			</div>'; 
		
		return $hr;
	}
	public function mailSendOption($mail_to, $mail_subject, $mail_content){
        $activeplugin = get_option('active_plugins');
        // easy-wp-smtp/easy-wp-smtp.php
        if (is_plugin_active('easy-wp-smtp/easy-wp-smtp.php')){
            $urlparts = parse_url(home_url());
            $domain_name = $urlparts['host'];

            if ($domain_name == 'localhost')
            {
                $headers[] = 'From: Wordpress<wordpress@mysite.com>';
                add_filter('wp_mail_content_type', function ($content_type)
                {
                    return 'text/html';
                });
              $value = wp_mail($mail_to, $mail_subject, $mail_content, $headers);
            }
            else
            {
                $headers = array(
                    'Content-Type: text/html;charset=UTF-8'
                );
               $value = wp_mail($mail_to, $mail_subject, $mail_content, $headers);
            }
        }
        else{
          $value = require('MailSendMailer.php');
        }
       return $value;
    }

	public function fetch_footer_details($id, $template_type, $template_id, $theme_id, $source = null){
		global $wpdb;
		$myaccount_page_id = get_option( 'woocommerce_myaccount_page_id' );
		if($myaccount_page_id){
			$myaccount_page_url = get_permalink( $myaccount_page_id );
		}
		$get_footer_id = explode('_', $id);

		$get_template_details = $wpdb->get_var("SELECT $template_type FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $template_id AND theme_id = $theme_id ");
		$unser_template_details = json_decode($get_template_details, true);
	
		$sm_footer_txt1 = $unser_template_details[$id]['text1'];
		$sm_footer_link1 = $unser_template_details[$id]['link1'];
	
		$sm_footer_txt2 = $unser_template_details[$id]['text2'];
		$sm_footer_link2 = $unser_template_details[$id]['link2'];
	
		$sm_footer_txt3 = $unser_template_details[$id]['text3'];
		$sm_footer_link3 = $unser_template_details[$id]['link3'];
	
		$sm_footer_text_color = $unser_template_details[$id]['color'];
		$sm_footer_back_color = $unser_template_details[$id]['bgcolor'];
		$sm_footer_rwidth = $unser_template_details[$id]['rwidth'];

		$footerId = $get_footer_id[1];
		$footer_id = "footer_$footerId";
		$footerdisp_id = "footerdisp_$id";
		$footer_newid = "footernew_$id";
		$footer_text1_id = "footertextonevalue_$id";
		$footer_text2_id = "footertexttwovalue_$id";
		$footer_text3_id = "footertextthreevalue_$id";

		if(!empty($source)){
			$footer_details = '
				<div class="new" id="'."$footer_id".'">
				<div id="'."$footer_newid".'" class="dragelementshowsmenu edit_hover_class" style="position: relative;cursor:pointer;width:'.$sm_footer_rwidth.'px;margin:auto;">
					<table id="'."$footerdisp_id".'" style="display: table; background:'.$sm_footer_back_color.';height:0px;" cellspacing="0" cellpadding="0" border="0" width="100%" align="center">
						<tbody>
							<tr>
								<td style="font-size: 13px;color: rgb(0, 0, 0); line-height: 22px; padding: 10px 50px; font-family: inherit;" align="left">
								<div style="text-align: center;" style="text-align: center;">
									<p>
									<span id="check" style="color: #ffffff; font-size: 11pt;" style="color: #ffffff; font-size: 11pt;">
									<span>
									<a id="'."$footer_text1_id".'" style="color:'.$sm_footer_text_color.'" href="'.$sm_footer_link1.'">'.$sm_footer_txt1.'</a>
									</span> | <span>
									<a id="'."$footer_text2_id".'" style="color:'.$sm_footer_text_color.'" href="'.$sm_footer_link2.'">'.$sm_footer_txt2.'
									</a>
									</span> | <span>
									<a id="'."$footer_text3_id".'" style="color:'.$sm_footer_text_color.'" href="'.$sm_footer_link3.'">'.$sm_footer_txt3.'
									</a>
									</span>
									</span>
									<br bogus="1">
									</p>
								</div>
								</td>
							</tr>
						</tbody>
					</table> 
				</div>
				</div>';
		}
		else{
			$footer_details = '
			<div class="new" id="'."$footer_id".'">
			<div id="'."$footer_newid".'" class="dragelementshowsmenu edit_hover_class" style="position: relative;cursor:pointer;width:'.$sm_footer_rwidth.'px;margin:auto;">
				<div id="showiconsfooter" class="dragelementshowicons" style="position: absolute; width: 100%; height: 100%;cursor:pointer;">
				<i style="float:right;color:black;font-size:large;width: 5%;height: 37px;text-align: center;padding-top: 1%;" id="footer"  class="fa fa-trash order_del" aria-hidden="true" onclick="mydelete('."'$footer_id'".', '."'$id'".', '."'$template_type'".', '."'$template_id'".', '."'$theme_id'".')"></i>
				<i style="float:right;color:black;font-size:large;width: 5%;height: 37px;text-align: center;padding-top: 1%;" id="footerclone"  class="fa fa-clone" aria-hidden="true" onclick="dup('."'footer'".', '."'$footerId'".', '."'$id'".', '."'$template_type'".', '."'$template_id'".', '."'$theme_id'".')"></i>	
				<i onclick="openfootertext('."'$id'".', '."'$template_type'".', '."'$template_id'".', '."'$theme_id'".')" style="float:right;color:black;font-size:large;width: 5%;height: 37px;text-align: center;padding-top: 1%;" class="fa fa-pencil" aria-hidden="true"></i> 
				</div> 
				<table id="'."$footerdisp_id".'" style="display: table; background:'.$sm_footer_back_color.';height:0px;" cellspacing="0" cellpadding="0" border="0" width="100%" align="center">
					<tbody>
						<tr>
							<td style="font-size: 13px;color: rgb(0, 0, 0); line-height: 22px; padding: 10px 50px; font-family: inherit;" align="left">
							<div style="text-align: center;" style="text-align: center;">
								<p>
								<span id="check" style="color: #ffffff; font-size: 11pt;" style="color: #ffffff; font-size: 11pt;">
								<span>
								<a id="'."$footer_text1_id".'" style="color:'.$sm_footer_text_color.'" href="'.$sm_footer_link1.'">'.$sm_footer_txt1.'</a>
								</span> | <span>
								<a id="'."$footer_text2_id".'" style="color:'.$sm_footer_text_color.'" href="'.$sm_footer_link2.'">'.$sm_footer_txt2.'
								</a>
								</span> | <span>
								<a id="'."$footer_text3_id".'" style="color:'.$sm_footer_text_color.'" href="'.$sm_footer_link3.'">'.$sm_footer_txt3.'
								</a>
								</span>
								</span>
								<br bogus="1">
								</p>
							</div>
							</td>
						</tr>
					</tbody>
				</table> 
			</div>
			</div>';
		}
		return $footer_details;
	}
}