<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $wpdb;


$get_url = wp_unslash( $_SERVER['HTTP_REFERER'] ); 
$url_components = parse_url($get_url); 
parse_str($url_components['query'], $params); 
if( isset($params['emaillog'])){
	?>
	<head> 
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
	</head>
	<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
	
					<table class="table table-hover em-table" border="1px solid black" style="text-align:center;width:700px;margin:auto;margin-top:50px;">
						<thead>
							<tr>
								<th><center>Template Name</center></th>
								<th><center>User</center></th>
								<th><center>Date & Time</center></th>
								<th><center>Status</center></th>
								<th><center>Medium</center></th>
							</tr>
						</thead>
						<tbody>
						<?php
						global $wpdb;
						$get_template_data = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}sm_email_log");
						$all_temp = 1;
						foreach ($get_template_data as $item)
						{
		?>
		<tr>
		<td> <?php echo esc_attr($item->template_Name);?></td>
		<td><?php echo esc_attr($item->user);?></td>
		<td><?php echo esc_attr($item->date);?></td>
		<td><?php echo esc_attr($item->status);?></td>
		<td><?php echo esc_attr($item->medium);?></td>
							</tr>
							<?php
							}
							?>
						</tbody>
					</table>
				
<?php 
}
else{
	require_once(__DIR__.'/sm-template-page.php');
	$templateid = $params['templateid'];
	$themeid = $params['themeid'];
	
	$get_template_details = $wpdb->get_var("SELECT template_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $templateid AND theme_id = $themeid ");

	$unser_template_details = json_decode($get_template_details, true);	
	$customiser_obj = new SMTemplatePage();

	$value = '';
	foreach($unser_template_details as $template_key => $template_value){
		$value .= $customiser_obj->drag_template_details($template_key, 'edit', 'template_details', $templateid, $themeid);
	}

	$get_template_bgcolor = '#FFFFFF';
	

	$get_template_border_details = $wpdb->get_var("SELECT container_details FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = $templateid AND theme_id = $themeid ");
	$unser_template_border_details = json_decode($get_template_border_details, true);	
	
	$border_rwidth = $unser_template_border_details['border_rwidth'];
	$border_lwidth = $unser_template_border_details['border_lwidth'];
	$border_twidth = $unser_template_border_details['border_twidth'];
	$border_bwidth = $unser_template_border_details['border_bwidth'];
	$border_color = $unser_template_border_details['border_color'];
	$border_radius = $unser_template_border_details['border_radius'];
	$border_bgcolor = $unser_template_border_details['border_bgcolor'];
	$border_bgimage = $unser_template_border_details['border_bgimage'];
	$container_width = $unser_template_border_details['container_width'];

	global $wpdb;
	$user=$wpdb->get_results("SELECT  ID FROM {$wpdb->prefix}users ORDER BY ID desc LIMIT 1", ARRAY_A);
	$comment=$wpdb->get_results("SELECT comment_ID FROM {$wpdb->prefix}comments ORDER BY comment_ID desc LIMIT 1",ARRAY_A);
	$order = $wpdb->get_results("SELECT order_id FROM {$wpdb->prefix}wc_order_stats ORDER BY order_id desc LIMIT 1",ARRAY_A);

	foreach($user as $id){
		$user_id=$id['ID'];
	}
	foreach($comment as $id){
		$comment_id=$id['comment_ID'];
	}
	foreach($order as $id){
		$order_id=$id['order_id'];	
	}
	
	if(!empty($order_id)){
		$customer_note =$wpdb->get_results("SELECT comment_content FROM {$wpdb->prefix}comments where comment_post_ID = $order_id ");
		$count=count($customer_note);
		$num=$count-1;
		if(!empty($customer_note[$num]->comment_content)){
			$customer_note = $customer_note[$num]->comment_content; 
		}
		else {
			$customer_note = '';
		}

		$order = new \WC_Order( $order_id );
		$address = $order->get_address( 'billing' ); // returns an array
		$name = $address['first_name'];
		$last_name = $address['last_name'];
		$billing_first_name = $name;
		$billing_last_name = $last_name;
		$billing_email= $address['email'];
		$billing_phone = $address['phone'];
		$billing_country  = $address['country'];
		$billing_state = $address['state'];
		$billing_city = $address['city'];
		$billing_company = $address['company'];
		$billing_address_one = $address['address_1'];
		$billing_address_two = $address['address_2'];
		$billing_postcode = $address['postcode'];

		$saddress = $order->get_address( 'shipping' ); // returns an array

		$sname = $saddress['first_name'];
		$slast_name = $saddress['last_name'];
		$shipping_first_name = $sname;
		$shipping_last_name = $slast_name;
		$shipping_country = $saddress['country'];
		$shipping_state = $saddress['state'];
		$shipping_city = $saddress['city'];
		$shipping_company  = $saddress['company'];
		$shipping_address_one = $saddress['address_1'];
		$shipping_address_two = $saddress['address_2'];
		$shipping_postcode = $saddress['postcode'];
		$shipping_name = $shipping_first_name.''.$shipping_last_name;
		$customer_name = $billing_first_name.' '.$billing_last_name;
	}
	else{
		$customer_note = '';
		$name = $last_name = '';
		$billing_first_name = $billing_last_name = $billing_email = $billing_phone = $billing_country = $billing_state = $billing_city = $billing_company = $billing_address_one = $billing_address_two = $billing_postcode = '';
		$shipping_first_name = $shipping_last_name = $shipping_country = $shipping_state = $shipping_city = $shipping_company = $shipping_address_one = $shipping_address_two = $shipping_postcode = $shipping_name = $customer_name = '';
	}
		

	$login_url=wp_login_url();
	$blog_name = get_bloginfo();
	$userdata=get_userdata($user_id);
	$user_name=$userdata->user_login;
	$user_email=$userdata->user_email;
	$admin_email=get_option('admin_email');
	$site_url=get_option('siteurl');
	$current = wp_get_current_user();
	$admin_name = $current->user_login;

	if(!empty($comment_id)){
		$comment=get_comment($comment_id);
		$comment_author=$comment->comment_author;
		$comment_author_IP=$comment->comment_author_IP;
		if(!empty($comment->comment_author_IP)){
			$comment_author_domain=gethostbyaddr($comment->comment_author_IP);
		}
		else{
			$comment_author_domain ='';
		}
		$comments_counts = $wpdb->get_var( "SELECT COUNT(*) FROM {$wpdb->prefix}comments WHERE comment_approved = '0'" );
		$comment_author_email=$comment->comment_author_email;
		$comment_author_url=$comment->comment_author_url;
		$comment_content=$comment->comment_content;
		$approve_url=admin_url( "comment.php?action=approve&c={$comment_id}#wpbody-content" );
		$trash_url=admin_url( "comment.php?action=trash&c={$comment_id}#wpbody-content" );
		$spam_url=admin_url( "comment.php?action=spam&c={$comment_id}#wpbody-content" );
		$moderation_url=admin_url( 'edit-comments.php?comment_status=moderated#wpbody-content' );
		$post=get_post($comment->comment_post_ID);
		$post_title=$post->post_title;
		$permalink=get_permalink($post->ID);
	}
	else{
		$comment_author_domain=$spam_url=$comments_counts='';
		$comment_author=$comment_author_IP=$comment_author_email=$comment_author_url="";
		$comment_content=$approve_url=$trash_url=$moderation_url=$post=$post_title=$permalink='';
	}
	
	if($templateid==1){
		$key = get_password_reset_key( $userdata);
		$password = network_site_url( "wp-login.php?action=rp&key=$key&login=". rawurlencode($userdata->user_login), 'login' ) ;
		$value = str_replace('{user_name}',$user_name,$value);  
		$value = str_replace('{blog_name}',$blog_name,$value);
		$value = str_replace('{password}',$password,$value);
		$value = str_replace('{user_email}',$user_email,$value);
		$value = str_replace('href="www.google.com"','href="'.$login_url.'"',$value);
		$value = str_replace('{admin_email}',$admin_email,$value);
		$value = str_replace('{login_url}',$login_url,$value);
		$value = str_replace('{admin_name}',$admin_name,$value);
	}
	else if($templateid==2){
		$key = get_password_reset_key( $userdata);
		$password=network_site_url( "wp-login.php?action=rp&key=$key&login=" . rawurlencode( $userdata->user_login ), 'login' ) ;
		$value = str_replace('{user_name}',$user_name,$value); 
		$value = str_replace('{user_login}',$user_name,$value); 
		$value = str_replace('{blog_name}',$blog_name,$value);
		$value = str_replace('{password}',$password,$value);
		$value = str_replace('{resetpassword_url}',$password,$value);
		$value = str_replace('href="www.google.com"','href="'.$password.'"',$value);
		$value = str_replace('{login_url}',$login_url,$value);
		$value = str_replace('{site_url}',$site_url,$value);
		
	}
	else if($templateid==3){

		$value = str_replace('{post_title}',$post_title,$value);  
		$value = str_replace('{permalink}',$permalink,$value);
		$value =str_replace('href="www.google.com"','href="'.$permalink.'"',$value); 
		$value = str_replace('{blog_name}',$blog_name,$value);
		$value = str_replace('{login_url}',$login_url,$value);
		$value = str_replace('{comment_author}',$comment_author,$value);  
		$value = str_replace('{comment_author_IP}',$comment_author_IP,$value);  
		$value = str_replace('{comment_author_domain}',$comment_author_domain,$value);  
		$value= str_replace('{comment_author_email}',$comment_author_email,$value);  
		$value= str_replace('{comment_author_url}',$comment_author_url,$value);  
		$value = str_replace('{comment_content}',$comment_content,$value);
		$value = str_replace('{approve_url}',$approve_url,$value);
		$value = str_replace('{trash_url}',$trash_url,$value);
		$value = str_replace('{spam_url}',$spam_url,$value);
		$value = str_replace('{moderation_url}',$moderation_url,$value);
		$value =str_replace('{comments_counts}',$comments_counts,$value);
		$value = str_replace('{admin_name}',$admin_name,$value);

	}
	else {
		if(!empty($order)){
			$var = $order->get_date_created();
			$order_date = $var."date";
			$orderDate = date_i18n( wc_date_format(), strtotime( $order_date ) );
		}
		else{
			$orderDate = '';
		}

		$value = str_replace('{admin_name}',$admin_name,$value);
		$value = str_replace('{customer_name}',$customer_name,$value);
		$value = str_replace('{customer_note}',$customer_note,$value);
		$value = str_replace('{First_name}',$name,$value);
		$value = str_replace('{Last_name}',$last_name,$value);

		if(!empty($order)){
			$value = str_replace('{order_no}',$order->get_order_number(),$value);
		}
		else{
			$value = str_replace('{order_no}','0',$value);
		}

		$value = str_replace('{order_date}',$orderDate,$value);
		$value = str_replace('{blog_name}',get_bloginfo(),$value);
		$value = str_replace('{user_name}',$user_name,$value);
		$value =str_replace('{site_url}',$site_url,$value);
		$value = str_replace('{billing_email}',$billing_email,$value);
		$value = str_replace('{billing_phone}',$billing_phone,$value);
		$value = str_replace('{billing_country}',$billing_country,$value);
		$value = str_replace('{billing_state}',$billing_state,$value);
		$value = str_replace('{billing_city}',$billing_city,$value);
		$value = str_replace('{billing_company}',$billing_company,$value);
		$value = str_replace('{billing_address_1}',$billing_address_one,$value);
		$value = str_replace('{billing_address_2}',$billing_address_two,$value);
		$value = str_replace('{billing_postcode}',$billing_postcode,$value);
		$value = str_replace('{shipping_name}',$shipping_name,$value);
		$value = str_replace('{shipping_country}',$shipping_country,$value);
		$value = str_replace('{shipping_state}',$shipping_state,$value);
		$value = str_replace('{shipping_city}',$shipping_city,$value);
		$value = str_replace('{shipping_company}',$shipping_company,$value);
		$value = str_replace('{shipping_address_1}',$shipping_address_one,$value);
		$value = str_replace('{shipping_address_2}',$shipping_address_two,$value);
		$value = str_replace('{shipping_postcode}',$shipping_postcode,$value);
	}

	?>

	<head> 
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
	</head>
		<body id='background' style="background: <?php echo esc_html($get_template_bgcolor); ?>">
		<!-- <body style="background:#FFFFFF"> -->
			<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%"> 
				<tr> 
					<td> 
						<!-- <table border="0" cellpadding="0" cellspacing="0" width="100%" id="custom_template_container" style=" max-width:700px; padding: 10px 10px 0; margin: auto;">  -->
						<table border="0" cellpadding="0" cellspacing="0" width="100%" id="custom_template_container" style=" max-width:<?php echo esc_attr($container_width);?>px;padding: 10px 10px 0; margin: auto;">
							<tr> 
								<td align="center" valign="top">
								<?php
									if(!empty($border_bgcolor)){
										?>
											<div id="sm_template_container" style="border-style: solid;border-top-width:<?php echo esc_attr($border_twidth); ?>px;border-right-width:<?php echo esc_attr($border_rwidth); ?>px;border-bottom-width:<?php echo esc_attr($border_bwidth); ?>px;border-left-width:<?php echo esc_attr($border_lwidth); ?>px;border-color:<?php echo esc_attr($border_color); ?>;border-radius:<?php echo esc_attr($border_radius); ?>px;background-color:<?php echo esc_attr($border_bgcolor) ?>;padding:25px;">
										<?php
									}
									else{
										?>
											<div id="sm_template_container" style="border-style: solid;border-top-width:<?php echo esc_attr($border_twidth); ?>px;border-right-width:<?php echo esc_attr($border_rwidth); ?>px;border-bottom-width:<?php echo esc_attr($border_bwidth); ?>px;border-left-width:<?php echo esc_attr($border_lwidth); ?>px;border-color:<?php echo esc_attr($border_color); ?>;border-radius:<?php echo esc_attr($border_radius); ?>px;background-image:url(<?php echo esc_url($border_bgimage); ?>);padding:25px;">
										<?php
									}
								?>
										<?php echo wp_kses_post(stripslashes($value)); ?>
									</div>
								</td> 
							</tr> 
						</table> 
					</td> 
				</tr>
			</table>	
		</body> 
	</html>

<?php
}
//}