<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

class SMTables{

    public function create_sm_plugin_new_table() {
        global $wpdb;

		update_option('sm_mail_selected_theme', 1);
		update_option('sm_mail_last_edited_template', 1);

		update_option("sm_mail_selected_template1", 'new_account');
		update_option("sm_mail_selected_template2", 'new_account');
		update_option("sm_mail_selected_template3", 'new_account');
		update_option("sm_mail_selected_template4", 'new_account');
		update_option("sm_mail_selected_template5", 'new_account');
		update_option("sm_mail_selected_template6", 'new_account');
		update_option("sm_mail_selected_template7", 'new_account');
		update_option("sm_mail_selected_template8", 'new_account');
		update_option("sm_mail_selected_template9", 'new_account');
		update_option("sm_mail_selected_template10", 'new_account');
		update_option("sm_mail_selected_template11", 'contact_form_confirmation_mail');
		update_option("sm_mail_selected_template12", 'contact_form_confirmation_mail');
		update_option("sm_mail_selected_template13", 'contact_form_confirmation_mail');

		update_option('sm_mail_blog_comment_activate_template', 1);
		update_option('sm_mail_cancelled_order_activate_template', 1);
		update_option('sm_mail_completed_order_activate_template', 1);
		update_option('sm_mail_customer_invoice_activate_template', 1);
		update_option('sm_mail_failed_order_activate_template', 1);
		update_option('sm_mail_new_account_activate_template', 1);
		update_option('sm_mail_new_order_activate_template', 1);
		update_option('sm_mail_note_to_customer_activate_template', 1);
		update_option('sm_mail_onhold_order_activate_template', 1);
		update_option('sm_mail_processing_order_activate_template', 1);
		update_option('sm_mail_product_delivered_activate_template', 1);
		update_option('sm_mail_refunded_order_activate_template', 1);
		update_option('sm_mail_reset_password_activate_template', 1);
		update_option('sm_mail_contact_form_confirmation_mail_activate_template',1);
		update_option('sm_mail_wpforms_confirmation_mail_activate_template',1);
		
        $prefix = $wpdb->prefix;

		$wpdb->query("CREATE TABLE IF NOT EXISTS `{$prefix}sm_customiser_pro_table` (
			`id` int(11) NOT NULL AUTO_INCREMENT,
			`template_id` int(11) NOT NULL,
			`template_type` varchar(50) NOT NULL,
			`template_name` varchar(100) NOT NULL,
			`theme_id` int(11) NOT NULL,
			`template_details` longtext,
			`container_details` longtext DEFAULT '',
			`background_color` varchar(100) DEFAULT 'FFFFFF',
			`activate` varchar(50) DEFAULT 'true',
			`subject` longtext DEFAULT '',
			`product_id` int(11) DEFAULT NULL,
			`created_time` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`modified_time` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`status` longtext DEFAULT '',
			PRIMARY KEY (`id`)
			)
		");
		  $wpdb->query("CREATE TABLE IF NOT EXISTS `{$prefix}sm_email_log` (
			`id` int(11) NOT NULL AUTO_INCREMENT,
			`template_Name` varchar(50) NOT NULL,
			`user` varchar(50) NOT NULL,
			`date` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
			`status` longtext,
            `medium` longtext,
			PRIMARY KEY (`id`)
			)
		");

		$get_new_account_table_obj = new SMTablesNewAccount();
    	$get_new_account_table_obj->create_sm_table_new_account();
		
		$get_reset_password_table_obj = new SMTablesResetPassword();
    	$get_reset_password_table_obj->create_sm_table_reset_password();
		
		$get_blog_comment_table_obj = new SMTablesBlogComment();
    	$get_blog_comment_table_obj->create_sm_table_blog_comment();
		
		$get_product_delivered_table_obj = new SMTablesProductDelivered();
    	$get_product_delivered_table_obj->create_sm_table_product_delivered();
		
		$get_new_order_table_obj = new SMTablesNewOrder();
    	$get_new_order_table_obj->create_sm_table_new_order();
		
		$get_completed_order_table_obj = new SMTablesCompletedOrder();
    	$get_completed_order_table_obj->create_sm_table_completed_order();

		$get_note_to_customer_table_obj = new SMTablesProcessingOrder();
    	$get_note_to_customer_table_obj->create_sm_table_processing_order();
		
		$get_onhold_order_table_obj = new SMTablesOnHoldOrder();
    	$get_onhold_order_table_obj->create_sm_table_onhold_order();

		$get_failed_order_table_obj = new SMTablesFailedOrder();
    	$get_failed_order_table_obj->create_sm_table_failed_order();
		
		$get_cancelled_order_table_obj = new SMTablesCancelledOrder();
    	$get_cancelled_order_table_obj->create_sm_table_cancelled_order();
		
		$get_refunded_order_table_obj = new SMTablesRefundedOrder();
    	$get_refunded_order_table_obj->create_sm_table_refunded_order();

		$get_customer_invoice_table_obj = new SMTablesCustomerInvoice();
    	$get_customer_invoice_table_obj->create_sm_table_customer_invoice();

		$get_processing_order_table_obj = new SMTablesNoteToCustomer();
    	$get_processing_order_table_obj->create_sm_table_note_to_customer();

		$get_contact_form_table_obj = new SMTablesContactForm();
    	$get_contact_form_table_obj->create_sm_table_contactform();

		$get_wpforms_table_obj = new SMTablesWPForms();
    	$get_wpforms_table_obj->create_sm_table_wpforms();

		
    }

	public function get_template_border_details($themeid,$templateid){
		
		$swcm_upload_dir = plugins_url();
		$destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images';
		$theme2_bg_img = $destination_folder.'/theme2-background.png';
		$theme12_bg_img = $destination_folder.'/theme2-background12.png';
		$theme3_bg_img =  $destination_folder.'/purple.jpg';	
		
		if($themeid == 1){
			if($templateid == 14 || $templateid == 15){
				$template_border_details = array(
					'border_rwidth' => '1',
					'border_lwidth' => '1',
					'border_twidth' => '1',
					'border_bwidth' => '1',
					'border_color' => '#000000',
					'border_radius' => '1',
					'border_bgcolor' => '#E6E6E6',
					'border_bgimage' => '',
					'container_width' => '660',
				);

			}else{
				$template_border_details = array(
					'border_rwidth' => '1',
					'border_lwidth' => '1',
					'border_twidth' => '1',
					'border_bwidth' => '1',
					'border_color' => '#000000',
					'border_radius' => '1',
					'border_bgcolor' => '#F7F7F7',
					'border_bgimage' => '',
					'container_width' => '660',
				);
			}
		}
		elseif($themeid == 5 || $themeid == 6 || $themeid == 8){
			$template_border_details = array(
				'border_rwidth' => '1',
				'border_lwidth' => '1',
				'border_twidth' => '1',
				'border_bwidth' => '1',
				'border_color' => '#000000',
				'border_radius' => '1',
				'border_bgcolor' => '#F3F3F3',
				'border_bgimage' => '',
				'container_width' => '660',
			);
		}
		elseif($themeid == 7 || $themeid == 9){
			$template_border_details = array(
				'border_rwidth' => '1',
				'border_lwidth' => '1',
				'border_twidth' => '1',
				'border_bwidth' => '1',
				'border_color' => '#000000',
				'border_radius' => '1',
				'border_bgcolor' => '#FFFFFF',
				'border_bgimage' => '',
				'container_width' => '660',
			);
		}
		elseif($themeid == 2){
			if($templateid==14 || $templateid == 15){
				$template_border_details = array(
					'border_rwidth' => '1',
					'border_lwidth' => '1',
					'border_twidth' => '1',
					'border_bwidth' => '1',
					'border_color' => '#000000',
					'border_radius' => '1',
					'border_bgcolor' => '#E6E6E6',
					'border_bgimage' => '',
					'container_width' => '660',
				);
			}
			if($templateid==1 || $templateid == 2){
				$template_border_details = array(
					'border_rwidth' => '1',
					'border_lwidth' => '1',
					'border_twidth' => '1',
					'border_bwidth' => '1',
					'border_color' => '#000000',
					'border_radius' => '32',
					'border_bgcolor' => '',
					'border_bgimage' => $theme12_bg_img,
					'container_width' => '800',
				);
			}
			else{
				$template_border_details = array(
					'border_rwidth' => '1',
					'border_lwidth' => '1',
					'border_twidth' => '1',
					'border_bwidth' => '1',
					'border_color' => '#000000',
					'border_radius' => '44',
					'border_bgcolor' => '',
					'border_bgimage' => $theme2_bg_img,
					'container_width' => '800',
				);
			}
		}
		elseif($themeid == 3){
			if($templateid == 14){
				$template_border_details = array(
					'border_rwidth' => '1',
					'border_lwidth' => '1',
					'border_twidth' => '1',
					'border_bwidth' => '1',
					'border_color' => '#000000',
					'border_radius' => '1',
					'border_bgcolor' => '#0C0C0c',
					'border_bgimage' => '',
					'container_width' => '660',
				);
			}
			elseif($templateid == 15){
				$swcm_upload_dir = plugins_url();
				$destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images/';

				$theme3_bg_img = $destination_folder.'/black-bg.jpg';

				$template_border_details = array(
					'border_rwidth' => '1',
					'border_lwidth' => '1',
					'border_twidth' => '1',
					'border_bwidth' => '1',
					'border_color' => '#000000',
					'border_radius' => '1',
					'border_bgcolor' => '',
					'border_bgimage' => $theme3_bg_img,
					'container_width' => '660',
				);
			}
			else{
				$template_border_details = array(
					'border_rwidth' => '1',
					'border_lwidth' => '1',
					'border_twidth' => '1',
					'border_bwidth' => '1',
					'border_color' => '#000000',
					'border_radius' => '1',
					'border_bgcolor' => '',
					'border_bgimage' => $theme3_bg_img,
					'container_width' => '660',
				);
			}

		}
		elseif($themeid == 4 || $themeid == 10){
			$template_border_details = array(
				'border_rwidth' => '1',
				'border_lwidth' => '1',
				'border_twidth' => '1',
				'border_bwidth' => '1',
				'border_color' => '#000000',
				'border_radius' => '1',
				'border_bgcolor' => '#444444',
				'border_bgimage' => '',
				'container_width' => '660',
			);
		}

		$encode_template_border_details = json_encode($template_border_details);
		return $encode_template_border_details;
	}
}