<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

class SMTablesBlogComment{

    public function create_sm_table_blog_comment() {
        global $wpdb;
        $prefix = $wpdb->prefix;
		$sm_table_obj = new SMTables();	
		$swcm_upload_dir = plugins_url();
		$destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images';
	
		$newuser_img = $destination_folder.'/user-account.png';
		$blogcomment_img = $destination_folder.'/blog.png';
		$theme2_img = $destination_folder . '/Email Template head icon.png';
		$theme1_header_img = $destination_folder.'/your-logo.png';
		$theme2_header_img = $destination_folder.'/logo2.png';
		$theme3_header_img = $destination_folder.'/logo8.png';
		$theme4_header_img = $destination_folder.'/logo10.png';
		$theme5_header_img = $destination_folder.'/logo7.png';
		$theme6_header_img = $destination_folder.'/logo6.png';
		$theme7_header_img = $destination_folder.'/logo12.png';
		$theme8_header_img = $destination_folder.'/logo9.png';
		$theme10_header_img = $destination_folder.'/logo1.png';	

		//theme1
		$new_blogcomment_user_details_theme_1 = array(
			'hr_details_311' => array(
									'width' => '100',
									'height' => '8',
									'color' => '#FFD324',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570'
            ) ,
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme1_header_img,
										'bg_color' => '#FFFFFF',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'hr_details_312' => array(
										'width' => '96',
										'height' => '2',
										'color' => '#F3F3F3',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570'
									) ,
			'maindragtext_311' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Georgia',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '277'
									),
			'imageblockdrag' => array(
										'img_position' => 'Center',
										'img_url' => $blogcomment_img,
										'img_bgcolor' => '#FFFFFF',
										'img_width' => '300',
										'img_height' => '250',
										'rwidth' =>'570',
										'top' => '0',
										'bottom' => '0',
										'rounded' => '1',
										'border' => 'None',
										'bcolor' => '',
										'bsize' => ''
										// 'height' => '82'
									),
			
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Blog Link',
										'color' => '#FFD324',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '1',
										// 'height' => '70',
										'bwidth' => '106',
										'bftcolor' => '#000000'
									),
			'maindragtext_312' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Georgia',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '380'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#474747',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#F7F7F7',
										'rwidth' => '570',
										// 'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#F7F7F7',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										// 'height' => '39'
									)
		);

		$encode_blogcomment_user_details_theme_1 = json_encode($new_blogcomment_user_details_theme_1);
		$encode_blogcomment_template_border_details_theme_1 = $sm_table_obj->get_template_border_details('1','3');
		
		update_option('sm_customizer_maintext_311','<p style=\"text-align: center;\">A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}</p>');
		update_option('sm_customizer_maintext_312','<p style=\"text-align: center;\">Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}</p>');
		
		$check_for_existing_blogtemplate_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 1 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_1,
					'container_details' => $encode_blogcomment_template_border_details_theme_1,
					'background_color' => '#F7F7F7'
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 1,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 1,
					'template_details' => $encode_blogcomment_user_details_theme_1,
					'container_details' => $encode_blogcomment_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s','%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_311','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_permanent_312','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');
		
		$check_for_existing_blogtemplate_permanent_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 1 AND status = 'permanent' ");
		if(!empty($check_for_existing_blogtemplate_permanent_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_1,
					'container_details' => $encode_blogcomment_template_border_details_theme_1,
					'background_color' => '#F7F7F7'
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 1,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 1,
					'template_details' => $encode_blogcomment_user_details_theme_1,
					'container_details' => $encode_blogcomment_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}


	    //theme2
		$new_blogcomment_user_details_theme_2 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme1_header_img,
										'bg_color' => '#FFFFFF',
										'width' => '150',
										'height' => '71',
										'rwidth' =>'570',
										// 'hrheight' => '81'
									),
			'imageblockdrag' => array(
										'img_position' => 'Center',
										'img_url' => $theme2_img,
										'img_bgcolor' => '#FFFFFF',
										'img_width' => '100',
										'img_height' => '41',
										'rwidth' =>'570',
										'top' => '17',
										'bottom' => '0',
										'rounded' => '1',
										'border' => 'None',
										'bcolor' => '',
										'bsize' => ''
										// 'height' => '82'
									),
			'hr_details_321' => array(
										'width' => '100',
										'height' => '2',
										'color' => '#F3F3F3',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570'
									) ,
			'maindragtext_321' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '277'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Blog Link',
										'color' => '#495EC9',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										// 'height' => '70',
										'bwidth' => '106',
										'bftcolor' => '#FFFFFF'
									),
			'maindragtext_322' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '17'
										// 'height' => '360'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => "Open Sans",
										'size' => '16',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#FFFFFF',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										// 'height' => '39'
									)

		);

		$encode_blogcomment_user_details_theme_2 = json_encode($new_blogcomment_user_details_theme_2);
		$encode_blogcomment_template_border_details_theme_2 = $sm_table_obj->get_template_border_details('2','3');
		
		update_option('sm_customizer_maintext_321','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_322','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');

		$check_for_existing_blogtemplate_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 2 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_2,
					'container_details' => $encode_blogcomment_template_border_details_theme_2,
					'background_color' =>  '#FFFFFF'
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 2,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 2,
					'template_details' => $encode_blogcomment_user_details_theme_2,
					'container_details' => $encode_blogcomment_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_321','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_permanent_322','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');

		$check_for_existing_blogtemplate_permanent_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 2 AND status = 'permanent'");
		if(!empty($check_for_existing_blogtemplate_permanent_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_2,
					'container_details' => $encode_blogcomment_template_border_details_theme_2,
					'background_color' =>  '#FFFFFF',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 2,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 2,
					'template_details' => $encode_blogcomment_user_details_theme_2,
					'container_details' => $encode_blogcomment_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

	    //theme3
		$new_blogcomment_user_details_theme_3 = array(
			'header_details' => array(
									'image_position' => 'Left',
									'image_url' => $theme3_header_img,
									'bg_color' => '#711959',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
			'maindragtext_331' => array(
									'ftcolor' => '#000000',
									'ftsize' => '16',
									'ftstyle' => 'Times New Roman',
									'bgcolor' => '#B32E82',
									'rwidth' => '570',
									'top' => '0',
									'bottom' => '0'
									// 'height' => '277'
								),
			'button_details' => array(
									'link' => 'www.google.com',
									'text' => 'Blog Link',
									'color' => '#B32E82',
									'position' => 'Center',
									'bg_color' => '#FFFFFF',
									'rwidth' => '570',
									'bheight' => '12',
									'bradius' => '15',
									// 'height' => '70',
									'bwidth' => '106',
									'bftcolor' => '#000000'
								),
			'maindragtext_332' => array(
									'ftcolor' => '#000000',
									'ftsize' => '16',
									'ftstyle' => 'Times New Roman',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570',
									'top' => '0',
									'bottom' => '0'
									// 'height' => '360'
								),
			'maintext_details' => array(
									'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
									'position' => 'Center',
									'color' => '#000000',
									'style' => "Open Sans",
									'size' => '16',
									'bgcolor' => '#B32E82',
									'rwidth' => '570',
									// 'height' => '71'
								),
			'socialblockdrag' => array(
									'position' => 'Center',
									'bgcolor' => '#B32E82',
									'fb' => 'https://www.facebook.com/smackcoders',
									'twitter' => 'https://twitter.com/smackcoders',
									'google' => 'https://smackcoders.com',
									'linkedin' => 'https://www.linkedin.com/company/smackcoders',
									'skype' => '',
									'instagram' => 'https://www.instagram.com/smackcoders.inc',
									'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
									'rwidth' => '570',
									// 'height' => '39'	
								)
		);

		$encode_blogcomment_user_details_theme_3 = json_encode($new_blogcomment_user_details_theme_3);
		$encode_blogcomment_template_border_details_theme_3 = $sm_table_obj->get_template_border_details('3','3');
		
		update_option('sm_customizer_maintext_331','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_332','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');	
		
		$check_for_existing_blogtemplate_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 3 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_3,
					'container_details' => $encode_blogcomment_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 3,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 3,
					'template_details' => $encode_blogcomment_user_details_theme_3,
					'container_details' => $encode_blogcomment_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_331','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_permanent_332','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');	
		
		$check_for_existing_blogtemplate_permanent_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 3 AND status = 'permanent'");
		if(!empty($check_for_existing_blogtemplate_permanent_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_3,
					'container_details' => $encode_blogcomment_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
					
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 3,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 3,
					'template_details' => $encode_blogcomment_user_details_theme_3,
					'container_details' => $encode_blogcomment_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}


		//theme4
		$new_blogcomment_user_details_theme_4 = array(
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme4_header_img,
										'bg_color' => '#E41F4D',
										'width' => '150',
										'height' => '50',
										'rwidth' =>'570',
										// 'hrheight' => '81'
									),
			'maindragtext_341' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '270'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Blog Link',
										'color' => '#E41F4D',
										'position' => 'Center',
										'bg_color' => '#F3F3F3',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										'bwidth' => '450',
										'bftcolor' => '#FFFFFF',
										// 'height' => '70'
									),
			'maindragtext_342' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '370'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#000000',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#E41F4D',
										'style' => "Open Sans",
										'size' => '16',
										'bgcolor' => '#000000',
										'rwidth' => '570',
										// 'height' => '71'
									)
		);

		$encode_blogcomment_user_details_theme_4 = json_encode($new_blogcomment_user_details_theme_4);
		
		update_option('sm_customizer_maintext_341','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_342','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');

		$encode_blogcomment_template_border_details_theme_4 = $sm_table_obj->get_template_border_details('4','3');
		
		$check_for_existing_blogtemplate_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 4 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_4)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_4,
					'container_details' => $encode_blogcomment_template_border_details_theme_4,
					'background_color' => '#444444',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 4,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 4,
					'template_details' => $encode_blogcomment_user_details_theme_4,
					'container_details' => $encode_blogcomment_template_border_details_theme_4,
					'background_color' => '#444444',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_341','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_permanent_342','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');

		$check_for_existing_blogtemplate_permanent_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 4 AND status = 'permanent'");
		if(!empty($check_for_existing_blogtemplate_permanent_4)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_4,
					'container_details' => $encode_blogcomment_template_border_details_theme_4,
					'background_color' => '#444444',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 4,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 4,
					'template_details' => $encode_blogcomment_user_details_theme_4,
					'container_details' => $encode_blogcomment_template_border_details_theme_4,
					'background_color' => '#444444',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme5
		$new_blogcomment_user_details_theme_5 = array(
			'maindragtext_351'=> array(		
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '',
										'bgimage' => $newuser_img,
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '130'
									),
			'maindragtext_352' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '530'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Blog Link',
										'color' => '#000000',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										// 'height' => '66',
										'bwidth' => '106',
										'bftcolor' => '#FFFFFF'
									),
			'header_details' =>array(
										'image_position' => 'Center',
										'image_url' => $theme5_header_img,
										'bg_color' => '#F3F3F3',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '70'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#777777',
										'style' => 'Times New Roman',
										'size' => '16',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										// 'height' => '65'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#F3F3F3',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										// 'height' => '39'	
									)
		);

		$encode_blogcomment_user_details_theme_5 = json_encode($new_blogcomment_user_details_theme_5);
		$encode_blogcomment_template_border_details_theme_5 = $sm_table_obj->get_template_border_details('5','3');
		
		update_option('sm_customizer_maintext_351','<br><br><br><br><br><p style=\"text-align: center;\"><strong>Blog comment</strong></p><br><br><br><br><br>');
		update_option('sm_customizer_maintext_352','<p style=\"text-align: center;\">A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}<br>Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}</p>');	
		
		$check_for_existing_blogtemplate_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 5 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_5)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_5,
					'container_details' => $encode_blogcomment_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 5,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 5,
					'template_details' => $encode_blogcomment_user_details_theme_5,
					'container_details' => $encode_blogcomment_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_351','<br><br><br><br><br><p style=\"text-align: center;\"><strong>Blog comment</strong></p><br><br><br><br><br>');
		update_option('sm_customizer_maintext_permanent_352','<p style=\"text-align: center;\">A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}<br>Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}</p>');	

		$check_for_existing_blogtemplate_permanent_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 5 AND status = 'permanent'");
		if(!empty($check_for_existing_blogtemplate_permanent_5)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_5,
					'container_details' => $encode_blogcomment_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 5,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 5,
					'template_details' => $encode_blogcomment_user_details_theme_5,
					'container_details' => $encode_blogcomment_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme6
		$new_blogcomment_user_details_theme_6 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme6_header_img,
										'bg_color' => '#F3F3F3',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'maindragtext_361' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '230'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Blog Link',
										'color' => '#2079FF',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '6',
										'bradius' => '2',
										'bwidth' => '300',
										// 'height' => '70',
										'bftcolor' => '#FFFFFF'
									),
            'maindragtext_362' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '300'
									),
			
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#000000',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										// 'height' => '71'
									)
		);
		$encode_blogcomment_user_details_theme_6 = json_encode($new_blogcomment_user_details_theme_6);
		update_option('sm_customizer_maintext_361','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}'
		);

		update_option('sm_customizer_maintext_362','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}'
		);

		$encode_blogcomment_template_border_details_theme_6 = $sm_table_obj->get_template_border_details('6','3');
		
		$check_for_existing_blogtemplate_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 6 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_6)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_6,
					'container_details' => $encode_blogcomment_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 6,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 6,
					'template_details' => $encode_blogcomment_user_details_theme_6,
					'container_details' => $encode_blogcomment_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_361','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}'
		);

		update_option('sm_customizer_maintext_permanent_362','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}'
		);


		$check_for_existing_blogtemplate_permanent_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 6 AND status = 'permanent'");
		if(!empty($check_for_existing_blogtemplate_permanent_6)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_6,
					'container_details' => $encode_blogcomment_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
					
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 6,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 6,
					'template_details' => $encode_blogcomment_user_details_theme_6,
					'container_details' => $encode_blogcomment_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme7
		$new_blogcomment_user_details_theme_7 = array(
			'header_details' =>array(
									'image_position' => 'Right',
									'image_url' => $theme7_header_img,
									'bg_color' => '#FFFFFF',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
			'maindragtext_371' => array(
									'ftcolor' => '#000000',
									'ftsize' => '14',
									'ftstyle' => 'Times New Roman',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570',
									'top' => '0',
									'bottom' => '0'
									// 'height' => '170'
								),

			'maintext_details' => array(
										'text' => 'Comment:<br>{comment_content}<br>Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}',
										'position' => 'Left',
										'color' => '#000000',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '496',
										// 'height' => '180'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Blog Link',
										'color' => '#FACC35',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '2',
										// 'height' => '70',
										'bwidth' => '106',
										'bftcolor' => '#000000'
									),
			'maindragtext_372' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '130'
									),
			
		);

		$encode_blogcomment_user_details_theme_7 = json_encode($new_blogcomment_user_details_theme_7);
		
		$encode_blogcomment_template_border_details_theme_7 = $sm_table_obj->get_template_border_details('7','3');
		
		update_option('sm_customizer_maintext_371','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>');
		update_option('sm_customizer_maintext_372','Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');	
		
		$check_for_existing_blogtemplate_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 7 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_7)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_7,
					'container_details' => $encode_blogcomment_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 7,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 7,
					'template_details' => $encode_blogcomment_user_details_theme_7,
					'container_details' => $encode_blogcomment_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
			
		update_option('sm_customizer_maintext_permanent_371','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>');
		update_option('sm_customizer_maintext_permanent_372','Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');	

		$check_for_existing_blogtemplate_permanent_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 7 AND status = 'permanent'");
		if(!empty($check_for_existing_blogtemplate_permanent_7)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_7,
					'container_details' => $encode_blogcomment_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 7,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 7,
					'template_details' => $encode_blogcomment_user_details_theme_7,
					'container_details' => $encode_blogcomment_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme8
		$new_blogcomment_user_details_theme_8 = array(
			'header_details' =>array(
									'image_position' => 'Left',
									'image_url' => $theme8_header_img,
									'bg_color' => '#7CDCFF',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
			'maindragtext_381' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#7CDCFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '220'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Blog Link',
										'color' => '#000000',
										'position' => 'Left',
										'bg_color' => '#7CDCFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '2',
										//'height' => '66',
										'bftcolor' => '#FFFFFF',
										'bwidth' => '106',
									),
			'maindragtext_382' => array(
										'ftcolor' => '#1E4BFF',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '300'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FEFFEF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#1E4BFF',
										'rwidth' => '570',
										// 'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#1E4BFF',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'	
									)
		);

		$encode_blogcomment_user_details_theme_8 = json_encode($new_blogcomment_user_details_theme_8);
		
		$encode_blogcomment_template_border_details_theme_8 = $sm_table_obj->get_template_border_details('8','3');
		
		update_option('sm_customizer_maintext_381','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_382','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');	
		
		$check_for_existing_blogtemplate_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 8 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_8)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_8,
					'container_details' => $encode_blogcomment_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 8,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 8,
					'template_details' => $encode_blogcomment_user_details_theme_8,
					'container_details' => $encode_blogcomment_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_381','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_permanent_382','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');	

		$check_for_existing_blogtemplate_permanent_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 8 AND status = 'permanent'");
		if(!empty($check_for_existing_blogtemplate_permanent_8)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_8,
					'container_details' => $encode_blogcomment_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 8,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 8,
					'template_details' => $encode_blogcomment_user_details_theme_8,
					'container_details' => $encode_blogcomment_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s','%s')
			);
		}

		//theme9
		$new_blogcomment_user_details_theme_9 = array(
			'header_details' =>array(
										'image_position' => 'Center',
										'image_url' => $theme1_header_img,
										'bg_color' => '#0AD4C0',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),	
			'maindragtext_391' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '220'
									),
			'maindragtext_392' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '320'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#DDDDDD',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'	
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#383838',
										'rwidth' => '570',
										// 'height' => '71'
									),	
		);

		$encode_blogcomment_user_details_theme_9 = json_encode($new_blogcomment_user_details_theme_9);
		
		$encode_blogcomment_template_border_details_theme_9 = $sm_table_obj->get_template_border_details('9','3');
		
		update_option('sm_customizer_maintext_391','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_392','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');	
		
		$check_for_existing_blogtemplate_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 9 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_9)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_9,
					'container_details' => $encode_blogcomment_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 9,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 9,
					'template_details' => $encode_blogcomment_user_details_theme_9,
					'container_details' => $encode_blogcomment_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_391','A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})<br>Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}');
		update_option('sm_customizer_maintext_permanent_392','Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br>Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}');	

		$check_for_existing_blogtemplate_permanent_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 9 AND status = 'permanent'");
		if(!empty($check_for_existing_blogtemplate_permanent_9)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_9,
					'container_details' => $encode_blogcomment_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 9,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 9,
					'template_details' => $encode_blogcomment_user_details_theme_9,
					'container_details' => $encode_blogcomment_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme10
		$new_blogcomment_user_details_theme_10 = array(
			'header_details' =>array(
									'image_position' => 'Center',
									'image_url' => $theme10_header_img,
									'bg_color' => '#000000',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
			'maindragtext_3101' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FABE75',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '100'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Blog Link',
										'color' => '#000000',
										'position' => 'Center',
										'bg_color' => '#FABE75',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										// 'height' => '70',
										'bwidth' => '106',
										'bftcolor' => '#FFFFFF'
									),
			'maindragtext_3102' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '150'
									),
			'maindragtext_3103' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '230'
									),
			'maindragtext_3104' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '140'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#000000',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'	
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#000000',
										'rwidth' => '570',
										// 'height' => '71'
									),
		);

		$encode_blogcomment_user_details_theme_10 = json_encode($new_blogcomment_user_details_theme_10);
		
		$encode_blogcomment_template_border_details_theme_10 = $sm_table_obj->get_template_border_details('10','3');
		
		update_option('sm_customizer_maintext_3101','<p style=\"text-align: center;\">A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})</p>');
		update_option('sm_customizer_maintext_3102','<p style=\"text-align: center;\">Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}</p>');
		update_option('sm_customizer_maintext_3103','<p style=\"text-align: center;\">Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br></p>');
		update_option('sm_customizer_maintext_3104','<p style=\"text-align: center;\">Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}</p>');	
		
		$check_for_existing_blogtemplate_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 10 AND status = 'temporary'");
		if(!empty($check_for_existing_blogtemplate_10)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_10,
					'container_details' => $encode_blogcomment_template_border_details_theme_10,
					'background_color' => '#444444',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 10,
					'status' => 'temporary',
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 10,
					'template_details' => $encode_blogcomment_user_details_theme_10,
					'container_details' => $encode_blogcomment_template_border_details_theme_10,
					'background_color' => '#444444',
					'status' => 'temporary',
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_3101','<p style=\"text-align: center;\">A new comment on the post {post_title} is waiting for your approval<br>Author: {comment_author}(IP address: {comment_author_IP}, {comment_author_domain})</p>');
		update_option('sm_customizer_maintext_permanent_3102','<p style=\"text-align: center;\">Email: {comment_author_email}<br>URL: {comment_author_url}<br>Comment:<br>{comment_content}</p>');
		update_option('sm_customizer_maintext_permanent_3103','<p style=\"text-align: center;\">Approve it: {approve_url}<br>Trash it: {trash_url}<br>Spam it: {spam_url}<br></p>');
		update_option('sm_customizer_maintext_permanent_3104','<p style=\"text-align: center;\">Currently {comments_counts} comment is waiting for approval. Please visit the moderation panel:<br>{moderation_url}</p>');	
		

		$check_for_existing_blogtemplate_permanent_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 3 AND theme_id = 10 AND status = 'permanent'");
		if(!empty($check_for_existing_blogtemplate_permanent_10)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_blogcomment_user_details_theme_10,
					'container_details' => $encode_blogcomment_template_border_details_theme_10,
					'background_color' => '#444444',
				) , 
				array( 
					'template_id' => 3,
					'theme_id' => 10,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 3,
					'template_type' => 'Blog comment',
					'template_name' => 'Blog comment Template',
					'theme_id' => 10,
					'template_details' => $encode_blogcomment_user_details_theme_10,
					'container_details' => $encode_blogcomment_template_border_details_theme_10,
					'background_color' => '#444444',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

    }
}       