<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

class SMTablesCompletedOrder{

    public function create_sm_table_completed_order() {
        global $wpdb;
        $prefix = $wpdb->prefix;
		$sm_table_obj = new SMTables();

		$swcm_upload_dir = plugins_url();
		$destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images';
		$newuser_img = $destination_folder.'/user-account.png';
		$completed_img = $destination_folder.'/completed-order.jpg';
		$theme1_header_img = $destination_folder.'/your-logo.png';
		$theme2_header_img = $destination_folder.'/logo2.png';
		$theme3_header_img = $destination_folder.'/logo8.png';
		$theme4_header_img = $destination_folder.'/logo10.png';
		$theme5_header_img = $destination_folder.'/logo7.png';
		$theme6_header_img = $destination_folder.'/logo6.png';
		$theme7_header_img = $destination_folder.'/logo12.png';
		$theme8_header_img = $destination_folder.'/logo9.png';
		$theme10_header_img = $destination_folder.'/logo1.png';	
		$theme2_img = $destination_folder . '/Email Template head icon.png';
		//theme1
		$completed_order_theme_1 = array(
			'hr_details_611' => array(
									'width' => '100',
									'height' => '8',
									'color' => '#FFD324',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570'
								) ,
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme1_header_img,
										'bg_color' => '#FFFFFF',
										'width' => '100',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'hr_details_612' => array(
										'width' => '96',
										'height' => '2',
										'color' => '#F3F3F3',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570'
									) ,
			'maindragtext_611' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Georgia',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '167'
									),
			'imageblockdrag' => array(
										'img_position' => 'Center',
										'img_url' => $completed_img,
										'img_bgcolor' => '#FFFFFF',
										'img_width' => '71',
										'img_height' => '42',
										'rwidth' =>'570',
										'top' => '0',
										'bottom' => '0',
										'rounded' => '1',
										'border' => 'None',
										'bcolor' => '',
										'bsize' => ''

										// 'height' => '82'
									),
			
			'order_details' => array(
										'ftfamily' => "Arial",
										'ftcolor' => '#000000',
										'hrcolor' => '#FFFFFF',
										'trbgcolor' => '#FFFFFF',
										'orbgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '300'
									),	
			'customer_details' => array(
										'style' => "Arial",
										'ftcolor' => '#000000',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '418'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#474747',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#F7F7F7',
										'rwidth' => '570',
										// 'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#F7F7F7',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										// 'height' => '39'
									)
		);

		$encode_completed_order_theme_1 = json_encode($completed_order_theme_1);
		$encode_completed_order_template_border_details_theme_1 = $sm_table_obj->get_template_border_details('1','6');

		update_option('sm_customizer_maintext_611', '<p style=\"text-align: center;\"><strong>Thanks for shopping with us</strong><br>Hi {customer_name}<br>We have finished processing your order.<br>	Pay with cash upon delivery.</p>');
		
		$check_for_existing_completed_order_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 1 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_1,
					'container_details' => $encode_completed_order_template_border_details_theme_1,
					'background_color' => '#F7F7F7'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 1,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 1,
					'template_details' => $encode_completed_order_theme_1,
					'container_details' => $encode_completed_order_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_611', '<strong>Thanks for shopping with us</strong><br>Hi {customer_name}<br>We have finished processing your order.<br>	Pay with cash upon delivery.');
		$check_for_existing_completed_order_permanent_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 1 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_1,
					'container_details' => $encode_completed_order_template_border_details_theme_1,
					'background_color' => '#F7F7F7'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 1,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 1,
					'template_details' => $encode_completed_order_theme_1,
					'container_details' => $encode_completed_order_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme 2
		$completed_order_theme_2 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme1_header_img,
										'bg_color' => '#FFFFFF',
										'width' => '150',
										'height' => '71',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'imageblockdrag' => array(
										'img_position' => 'Center',
										'img_url' => $theme2_img,
										'img_bgcolor' => '#FFFFFF',
										'img_width' => '150',
										'img_height' => '41',
										'rwidth' =>'570',
										'top' => '0',
										'bottom' => '0',
										'rounded' => '1',
										'border' => 'None',
										'bcolor' => '',
										'bsize' => ''
										// 'height' => '82'
									),
			'hr_details_621' => array(
										'width' => '100',
										'height' => '2',
										'color' => '#F3F3F3',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570'
									) ,
			'maindragtext_621' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '167'
									),
			'order_details' => array(
										'ftfamily' => "Arial",
										'ftcolor' => '#000000',
										'hrcolor' => '#FFFFFF',
										'trbgcolor' => '#FFFFFF',
										'orbgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '274'
									),
		
			'customer_details' => array(
										'style' => "Arial",
										'ftcolor' => '#000000',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '418'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => "Open Sans",
										'size' => '20',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#FFFFFF',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										// 'height' => '39'
									)
		);
		$encode_completed_order_theme_2 = json_encode($completed_order_theme_2);
		$encode_completed_order_template_border_details_theme_2 = $sm_table_obj->get_template_border_details('2','6');

		update_option('sm_customizer_maintext_621', '<strong>Thanks for shopping with us</strong><br>Hi {customer_name},<br>We have finished processing your order.<br>Pay with cash upon delivery.');
	
		$check_for_existing_completed_order_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 2 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_2,
					'container_details' => $encode_completed_order_template_border_details_theme_2,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 2,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 2,
					'template_details' => $encode_completed_order_theme_2,
					'container_details' => $encode_completed_order_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_621', '<strong>Thanks for shopping with us</strong><br>Hi {customer_name},<br>We have finished processing your order.<br>Pay with cash upon delivery.');
		$check_for_existing_completed_order_permanent_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 2 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_2,
					'container_details' => $encode_completed_order_template_border_details_theme_2,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 2,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 2,
					'template_details' => $encode_completed_order_theme_2,
					'container_details' => $encode_completed_order_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme3
		$completed_order_theme_3 = array(
			'header_details' => array(
									'image_position' => 'Left',
									'image_url' => $theme3_header_img,
									'bg_color' => '#711959',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
			'maindragtext_631' => array(
									'ftcolor' => '#000000',
									'ftsize' => '16',
									'ftstyle' => 'Times New Roman',
									'bgcolor' => '#B32E82',
									'rwidth' => '570',
									// 'height' => '167'
								),
			'order_details' => array(
									'ftfamily' => "Arial",
									'ftcolor' => '#000000',
									'hrcolor' => '#FFFFFF',
									'trbgcolor' => '#FFFFFF',
									'orbgcolor' => '#FFFFFF',
									'rwidth' => '570',
									// 'height' => '274'
								),
			
			'customer_details' => array(
									'style' => "Arial",
									'ftcolor' => '#000000',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570',
									// 'height' => '418'
								),
			'maintext_details' => array(
									'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
									'position' => 'Center',
									'color' => '#777777',
									'style' => "Open Sans",
									'size' => '16',
									'bgcolor' => '#B32E82',
									'rwidth' => '570',
									// 'height' => '71'
								),
			'socialblockdrag' => array(
									'position' => 'Center',
									'bgcolor' => '#B32E82',
									'fb' => 'https://www.facebook.com/smackcoders',
									'twitter' => 'https://twitter.com/smackcoders',
									'google' => 'https://smackcoders.com',
									'linkedin' => 'https://www.linkedin.com/company/smackcoders',
									'skype' => '',
									'instagram' => 'https://www.instagram.com/smackcoders.inc',
									'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
									'rwidth' => '570',
									// 'height' => '39'	
								)
		);
		$encode_completed_order_theme_3 = json_encode($completed_order_theme_3);
		
		$encode_completed_order_template_border_details_theme_3 = $sm_table_obj->get_template_border_details('3','6');

		update_option('sm_customizer_maintext_631', '<strong>Thanks for shopping with us</strong><br>Hi {customer_name},<br>We have finished processing your order.<br>Pay with cash upon delivery.');
		
		$check_for_existing_completed_order_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 3 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_3,
					'container_details' => $encode_completed_order_template_border_details_theme_3,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 3,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 3,
					'template_details' => $encode_completed_order_theme_3,
					'container_details' => $encode_completed_order_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}	
		update_option('sm_customizer_maintext_permanent_631', '<strong>Thanks for shopping with us</strong><br>Hi {customer_name},<br>We have finished processing your order.<br>Pay with cash upon delivery.');

		$check_for_existing_completed_order_permanent_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 3 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_3,
					'container_details' => $encode_completed_order_template_border_details_theme_3,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 3,
					'status' => 'permanent',
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 3,
					'template_details' => $encode_completed_order_theme_3,
					'container_details' => $encode_completed_order_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme4
		$completed_order_theme_4 = array(
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme4_header_img,
										'bg_color' => '#E41F4D',
										'width' => '150',
										'height' => '50',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'maindragtext_641' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										// 'height' => '170'
									),
			'order_details' => array(
										'ftfamily' => "Arial",
										'ftcolor' => '#000000',
										'hrcolor' => '#E41F4D',
										'trbgcolor' => '#F3F3F3',
										'orbgcolor' => '#F3F3F3',
										'rwidth' => '570',
										// 'height' => '270'
									),	
			'customer_details' => array(
										'style' => "Arial",
										'ftcolor' => '#E41F4D',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										// 'height' => '400'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#000000',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#E41F4D',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#000000',
										'rwidth' => '570',
										// 'height' => '71'
									),
		);
		$encode_completed_order_theme_4 = json_encode($completed_order_theme_4);

		update_option('sm_customizer_maintext_641', '<strong>Completed Order</strong><br>Thanks for shopping with us<br>Hi {customer_name}<br>We have finished processing your order.<br>Pay with cash upon delivery');

		$encode_completed_order_template_border_details_theme_4 = $sm_table_obj->get_template_border_details('4','6');
		
		$check_for_existing_completed_order_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 4 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_4)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_4,
					'container_details' => $encode_completed_order_template_border_details_theme_4,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 4,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 4,
					'template_details' => $encode_completed_order_theme_4,
					'container_details' => $encode_completed_order_template_border_details_theme_4,
					'background_color' => '#444444',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_641', '<strong>Completed Order</strong><br>Thanks for shopping with us<br>Hi {customer_name}<br>We have finished processing your order.<br>Pay with cash upon delivery');
		$check_for_existing_completed_order_permanent_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 4 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_4)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_4,
					'container_details' => $encode_completed_order_template_border_details_theme_4,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 4,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 4,
					'template_details' => $encode_completed_order_theme_4,
					'container_details' => $encode_completed_order_template_border_details_theme_4,
					'background_color' => '#444444',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme5
		$completed_order_theme_5 = array(
            'maindragtext_651'=> array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '14',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '',
                                        'bgimage' => $newuser_img,
                                        'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
                                        // 'height' => '130'
                                    ),
            'maindragtext_652' => array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '14',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
                                        // 'height' => '130'
                                    ),
            'order_details' => array(
                                        'ftfamily' => "Times New Roman",
                                        'ftcolor' => '#000000',
                                        'hrcolor' => '#FFFFFF',
                                        'trbgcolor' => '#FFFFFF',
                                        'orbgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        // 'height' => '274'
                                    ),            
            'customer_details' => array(
										'style' => "Times New Roman",
										'ftcolor' => '#000000',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '418'
									),
            'maindragtext_653' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '130'
									),
			'header_details' =>array(
										'image_position' => 'Center',
										'image_url' => $theme5_header_img,
										'bg_color' => 'F3F3F3',
										'width' => '150',
										'height'=>'41',
										'rwidth' => '570',
										// 'hrheight' => '81'	
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '777777',
										'style' => 'Arial',
										'size' => '16',
										'bgcolor' => 'F3F3F3',
										'rwidth' => '570',
										// 'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => 'F3F3F3',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										// 'height' => '39'	
									)
		);
		update_option('sm_customizer_maintext_651','<br><br><br><br><br><p style=\"text-align: center;\"><strong>Completed Order</strong></p><br><br><br><br><br>');
		update_option('sm_customizer_maintext_652', '<p style=\"text-align: center;\">Thanks for shopping with us<br>Hi {customer_name},</p>');
		update_option('sm_customizer_maintext_653','<p style=\"text-align: center;\">We have finished processing your order.<br>Pay with cash upon delivery.</p>');

		$encode_completed_order_theme_5 = json_encode($completed_order_theme_5);
		
		$encode_completed_order_template_border_details_theme_5 = $sm_table_obj->get_template_border_details('5','6');
		
		$check_for_existing_completed_order_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 5 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_5)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_5,
					'container_details' => $encode_completed_order_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 5,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 5,
					'template_details' => $encode_completed_order_theme_5,
					'container_details' => $encode_completed_order_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_651','<br><br><br><br><br><p style=\"text-align: center;\"><strong>Completed Order</strong></p><br><br><br><br><br>');
		update_option('sm_customizer_maintext_permanent_652', '<p style=\"text-align: center;\">Thanks for shopping with us<br>Hi {customer_name},</p>');
		update_option('sm_customizer_maintext_permanent_653','<p style=\"text-align: center;\">We have finished processing your order.<br>Pay with cash upon delivery.</p>');

		$check_for_existing_completed_order_permanent_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 5 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_5)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_5,
					'container_details' => $encode_completed_order_template_border_details_theme_5,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 5,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 5,
					'template_details' => $encode_completed_order_theme_5,
					'container_details' => $encode_completed_order_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme6
		$completed_order_theme_6 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme6_header_img,
										'bg_color' => '#F3F3F3',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570'
									),
			'maindragtext_661' => array(
										'ftcolor' => '#000000',
                                        'ftsize' => '14',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
                                        // 'height' => '130'
									),
			'order_details' => array(
										'ftfamily' => "Arial",
										'ftcolor' => '#000000',
										'hrcolor' => '#FFFFFF',
										'trbgcolor' => '#FFFFFF',
										'orbgcolor' => '#FFFFFF',
										'rwidth' => '570',
									),	
			'customer_details' => array(
										'style' => "Arial",
										'ftcolor' => '#000000',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#000000',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570'
									)
		);
		$encode_completed_order_theme_6 = json_encode($completed_order_theme_6);

		update_option('sm_customizer_maintext_661', 'Completed Order<br>Thanks for shopping with us<br>Hi {customer_name}<br>We have finished processing your order.<br>Pay with cash upon delivery');

		$encode_completed_order_template_border_details_theme_6 = $sm_table_obj->get_template_border_details('6','6');
		
		$check_for_existing_completed_order_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 6 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_6)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_6,
					'container_details' => $encode_completed_order_template_border_details_theme_6,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 6,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 6,
					'template_details' => $encode_completed_order_theme_6,
					'container_details' => $encode_completed_order_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_661', 'Completed Order<br>Thanks for shopping with us<br>Hi {customer_name}<br>We have finished processing your order.<br>Pay with cash upon delivery');
		$check_for_existing_completed_order_permanent_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 6 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_6)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_6,
					'container_details' => $encode_completed_order_template_border_details_theme_6,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 6,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 6,
					'template_details' => $encode_completed_order_theme_6,
					'container_details' => $encode_completed_order_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme7
		$completed_order_theme_7 = array(
			'header_details' =>array(
									'image_position' => 'Right',
									'image_url' => $theme7_header_img,
									'bg_color' => '#FFFFFF',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
            'order_details' => array(
                                    'ftfamily' => "Times New Roman",
                                    'ftcolor' => '#000000',
                                    'hrcolor' => '#FFFFFF',
                                    'trbgcolor' => '#FFFFFF',
                                    'orbgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    // 'height' => '270'
                                ),
			'maintext_details' => array(
										'text' => 'Hi {customer_name},<br>We have finished processing your order.<br>',
										'position' => 'Left',
										'color' => '#000000',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '516',
										// 'height' => '80'
									),
	        'customer_details' => array(
                                        'style' => "Times New Roman",
                                        'ftcolor' => '#000000',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        // 'height' => '400'
                                    ),
			'maindragtext_671' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '70'
									),
			
		);
		update_option('sm_customizer_maintext_671','Pay with cash upon delivery.<br>Thanks for shopping with us');
		

		$encode_completed_order_theme_7 = json_encode($completed_order_theme_7);
		
		$encode_completed_order_template_border_details_theme_7 = $sm_table_obj->get_template_border_details('7','6');
		
		$check_for_existing_completed_order_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 7 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_7)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_7,
					'container_details' => $encode_completed_order_template_border_details_theme_7,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 7,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 7,
					'template_details' => $encode_completed_order_theme_7,
					'container_details' => $encode_completed_order_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_671','Pay with cash upon delivery.<br>Thanks for shopping with us');
		$check_for_existing_completed_order_permanent_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 7 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_7)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_7,
					'container_details' => $encode_completed_order_template_border_details_theme_7,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 7,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 7,
					'template_details' => $encode_completed_order_theme_7,
					'container_details' => $encode_completed_order_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme8
		$completed_order_theme_8 = array(
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme8_header_img,
										'bg_color' => '#7CDCFF',
										'width' => '120',
										'height' => '50',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'maindragtext_681' => array(
										'ftcolor' => '#000000',
                                        'ftsize' => '14',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#7CDCFF',
                                        'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
                                        // 'height' => '140'
									),
			'order_details' => array(
										'ftfamily' => "Arial",
										'ftcolor' => '#352FEE',
										'hrcolor' => '#7CDCFF',
										'trbgcolor' => '#7CDCFF',
										'orbgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '270'
									),	
			'customer_details' => array(
										'style' => "Arial",
										'ftcolor' => '#1E4BFF',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '400'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FEFFEF',
										'style' => "Arial",
										'size' => '14',
										'bgcolor' => '#1E4BFF',
										'rwidth' => '570',
										// 'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#1E4BFF',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'
									)
		);
		$encode_completed_order_theme_8 = json_encode($completed_order_theme_8);

		update_option('sm_customizer_maintext_681', '<strong>Thanks for shopping with us</strong><br><strong>Hi {customer_name}</strong><br><strong>We have finished processing your order.</strong><br><strong>Pay with cash upon delivery.</strong>');

		$encode_completed_order_template_border_details_theme_8 = $sm_table_obj->get_template_border_details('8','6');
		
		$check_for_existing_completed_order_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 8 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_8)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_8,
					'container_details' => $encode_completed_order_template_border_details_theme_8,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 8,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 8,
					'template_details' => $encode_completed_order_theme_8,
					'container_details' => $encode_completed_order_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_681', '<strong>Thanks for shopping with us</strong><br><strong>Hi {customer_name}</strong><br><strong>We have finished processing your order.</strong><br><strong>Pay with cash upon delivery.</strong>');
		$check_for_existing_completed_order_permanent_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 8 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_8)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_8,
					'container_details' => $encode_completed_order_template_border_details_theme_8,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 8,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 8,
					'template_details' => $encode_completed_order_theme_8,
					'container_details' => $encode_completed_order_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme9
		$completed_order_theme_9 = array(
			'header_details' =>array(
									'image_position' => 'Center',
									'image_url' => $theme1_header_img,
									'bg_color' => '#0AD4C0',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
			'maindragtext_691' => array(
									'ftcolor' => '#FFFFFF',
									'ftsize' => '22',
									'ftstyle' => 'Times New Roman',
									'bgcolor' => '#0AD4C0',
									'rwidth' => '570',
									'top' => '0',
									'bottom' => '0'
									// 'height' => '70'
								),
			'maindragtext_692' => array(
									'ftcolor' => '#000000',
									'ftsize' => '14',
									'ftstyle' => 'Times New Roman',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570',
									'top' => '0',
									'bottom' => '0'
									// 'height' => '130'
								),
            'order_details' => array(
                                    'ftfamily' => "Times New Roman",
                                    'ftcolor' => '#000000',
                                    'hrcolor' => '#0AD4C0',
                                    'trbgcolor' => '#FFFFFF',
                                    'orbgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    // 'height' => '274'
                                ),
            'customer_details' => array(
                                        'style' => "Times New Roman",
                                        'ftcolor' => '#000000',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        // 'height' => '418'
                                    ),
			'maindragtext_693' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#DDDDDD',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '50'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#DDDDDD',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'	
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#383838',
										'rwidth' => '570',
										// 'height' => '71'
									),
			
		);

		update_option('sm_customizer_maintext_691', '<strong>Thanks for shopping with us</strong>');
		update_option('sm_customizer_maintext_692','Hi {customer_name},<br>We have finished processing your order.');
		update_option('sm_customizer_maintext_693','Pay with cash upon delivery.');

		$encode_completed_order_theme_9 = json_encode($completed_order_theme_9);
		
		$encode_completed_order_template_border_details_theme_9 = $sm_table_obj->get_template_border_details('9','6');
		
		$check_for_existing_completed_order_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 9 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_9)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_9,
					'container_details' => $encode_completed_order_template_border_details_theme_9,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 9,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 9,
					'template_details' => $encode_completed_order_theme_9,
					'container_details' => $encode_completed_order_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_691', '<strong>Thanks for shopping with us</strong>');
		update_option('sm_customizer_maintext_permanent_692','Hi {customer_name},<br>We have finished processing your order.');
		update_option('sm_customizer_maintext_permanent_693','Pay with cash upon delivery.');
		$check_for_existing_completed_order_permanent_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 9 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_9)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_9,
					'container_details' => $encode_completed_order_template_border_details_theme_9,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 9,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 9,
					'template_details' => $encode_completed_order_theme_9,
					'container_details' => $encode_completed_order_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme10
		$completed_order_theme_10 = array(
			'header_details' =>array(
									'image_position' => 'Center',
									'image_url' => $theme10_header_img,
									'bg_color' => '#000000',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
			'maindragtext_6101' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FABE75',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '100'
									),
            'order_details' => array(
                                        'ftfamily' => "Times New Roman",
                                        'ftcolor' => '#000000',
                                        'hrcolor' => '#FFFFFF',
                                        'trbgcolor' => '#FFFFFF',
                                        'orbgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        // 'height' => '270'
                                    ),
            'customer_details' => array(
                                        'style' => "Times New Roman",
                                        'ftcolor' => '#000000',
                                        'bgcolor' => '#F3F3F3',
                                        'rwidth' => '570',
                                        // 'height' => '400'
                                    ),
			'maindragtext_6102' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '100'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#000000',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#000000',
										'rwidth' => '570',
										// 'height' => '71'
									),
			
		);

		update_option('sm_customizer_maintext_6101', '<p style=\"text-align: center;\"><strong>Thanks for shopping with us</strong><br>Hi {customer_name},</p>');
		update_option('sm_customizer_maintext_6102','<p style=\"text-align: center;\">We have finished processing your order.<br>Pay with cash upon delivery.</p>');

		$encode_completed_order_theme_10 = json_encode($completed_order_theme_10);
		
		$encode_completed_order_template_border_details_theme_10 = $sm_table_obj->get_template_border_details('10','6');
		
		$check_for_existing_completed_order_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 10 AND status = 'temporary'");
		if(!empty($check_for_existing_completed_order_10)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_10,
					'container_details' => $encode_completed_order_template_border_details_theme_10,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 10,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 10,
					'template_details' => $encode_completed_order_theme_10,
					'container_details' => $encode_completed_order_template_border_details_theme_10,
					'background_color' => '#444444',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_6101', '<p style=\"text-align: center;\"><strong>Thanks for shopping with us</strong><br>Hi {customer_name},</p>');
		update_option('sm_customizer_maintext_permanent_6102','<p style=\"text-align: center;\">We have finished processing your order.<br>Pay with cash upon delivery.</p>');

		$check_for_existing_completed_order_permanent_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 6 AND theme_id = 10 AND status = 'permanent'");
		if(!empty($check_for_existing_completed_order_permanent_10)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_completed_order_theme_10,
					'container_details' => $encode_completed_order_template_border_details_theme_10,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 6,
					'theme_id' => 10,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 6,
					'template_type' => 'Completed Order',
					'template_name' => 'Completed Order Template',
					'theme_id' => 10,
					'template_details' => $encode_completed_order_theme_10,
					'container_details' => $encode_completed_order_template_border_details_theme_10,
					'background_color' => '#444444',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

    }
}       