<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

class SMTablesContactForm{

    public function create_sm_table_contactform() {
        global $wpdb;
        $prefix = $wpdb->prefix;
		$sm_table_obj = new SMTables();
        $swcm_upload_dir = plugins_url();
        $destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images/';

        $theme1_header_img = $destination_folder.'/your-logo.png';
        $theme1con_header_img = $destination_folder.'/icon.png';
		$theme1conuser_header_img = $destination_folder.'/thank-you.png';
		$theme2con_header_img = $destination_folder.'/thank-you-img.png';
		$theme2conadmin_header_img = $destination_folder.'/envelope.png';
		$theme2_img = $destination_folder . '/Email Template head icon.png';

        $confirmation_mail_user_theme_1 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme1con_header_img,
										'bg_color' => '#0EB7FF',
										'width' => '150',
										'height' => '99',
										'rwidth' => '570'
									),
		
			'maindragtext_1411' => array(
                                        'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#0EB7FF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
									),
            'maindragtext_1412' => array(
                                        'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
									),
			'maintext_details' => array(
                                        'text' => '© 2021 | All Rights Reserved | Smackcoders',
                                        'position' => 'Center',
                                        'color' => '#000000',
                                        'style' => "Arial",
                                        'size' => '16',
                                        'bgcolor' => '#E3E3E3',
                                        'rwidth' => '570',
                                    ),
            'socialblockdrag' => array(
                                        'position' => 'Center',
                                        'bgcolor' => '#E3E3E3',
                                        'fb' => 'https://www.facebook.com/smackcoders',
                                        'twitter' => 'https://twitter.com/smackcoders',
                                        'google' => 'https://smackcoders.com',
                                        'linkedin' => 'https://www.linkedin.com/company/smackcoders',
                                        'skype' => '',
                                        'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                        'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
                                        'rwidth' => '570',
                                    )
		);

        $encode_confirmation_mail_theme_1 = json_encode($confirmation_mail_user_theme_1);

        $encode_confirmation_mail_template_border_details_theme_1 = $sm_table_obj->get_template_border_details('1','14');

		update_option('sm_customizer_maintext_1411', 'Hi {admin_name}<br>we have an incoming lead for you<br>see the detail of the lead below');
        update_option('sm_customizer_maintext_1412', '<table border=\"0\" cellpadding=\"10\" cellspacing=\"10\" style=\"width:100%\">
		<tbody>
			<tr>
				<td><span style=\"font-size:18px\">Name</span></td>
				<td><span style=\"font-size:18px\">Test Name</span></td>
			</tr>
			<tr>
				<td><span style=\"font-size:18px\">Email</span></td>
				<td><span style=\"font-size:18px\">testmail@gmail.com</span></td>
			</tr>
			<tr>
				<td><span style=\"font-size:18px\">Address</span></td>
				<td><span style=\"font-size:18px\">San Francisco, USA</span></td>
			</tr>
            </tbody>
        </table>   
		');

        $check_for_existing_confirmation_mail_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 14 AND theme_id = 11 AND status = 'temporary'");
		if(!empty($check_for_existing_confirmation_mail_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_confirmation_mail_theme_1,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_1,
					'background_color' => '#E3E3E3'
				) , 
				array( 
					'template_id' => 14,
					'theme_id' => 11,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 14,
					'template_type' => 'Confirmation Mail',
					'template_name' => 'Confirmation Mail Template',
					'theme_id' => 11,
					'template_details' => $encode_confirmation_mail_theme_1,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_1,
					'background_color' => '#E3E3E3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_1411', 'Hi {admin_name}<br>we have an incoming lead for you<br>see the detail of the lead below');
        update_option('sm_customizer_maintext_permanent_1412', '<table border=\"0\" cellpadding=\"10\" cellspacing=\"10\" style=\"width:100%\">
		<tbody>
			<tr>
				<td><span style=\"font-size:18px\">Name</span></td>
				<td><span style=\"font-size:18px\">Test Name</span></td>
			</tr>
			<tr>
				<td><span style=\"font-size:18px\">Email</span></td>
				<td><span style=\"font-size:18px\">testmail@gmail.com</span></td>
			</tr>
			<tr>
				<td><span style=\"font-size:18px\">Address</span></td>
				<td><span style=\"font-size:18px\">San Francisco, USA</span></td>
			</tr>
            </tbody>
        </table>   
		');

		$check_for_existing_confirmation_mail_permanent_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 14 AND theme_id = 11 AND status = 'permanent'");
		if(!empty($check_for_existing_confirmation_mail_permanent_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_confirmation_mail_theme_1,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_1,
					'background_color' => '#E3E3E3'
				) , 
				array( 
					'template_id' => 14,
					'theme_id' => 11,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 14,
					'template_type' => 'Confirmation Mail',
					'template_name' => 'Confirmation Mail Template',
					'theme_id' => 11,
					'template_details' => $encode_confirmation_mail_theme_1,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_1,
					'background_color' => '#E3E3E3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

        $confirmation_mail_user_theme_2 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme2conadmin_header_img,
										'bg_color' => '#AF7CB7',
										'width' => '150',
										'height' => '99',
										'rwidth' => '570'
									),
		
			'maindragtext_1421' => array(
										// 'maintextbgcolor' => 'DB7BCF',
										// 'maintextrwidth' => '570'

                                        'ftcolor' => '#FFFFFF',
										'ftsize' => '20',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#DB7BCF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'SEND A REPLY',
										'color' => '#FFFFFF',
										'position' => 'Center',
										'bg_color' => '#DB7BCF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										'bwidth' => '156',
										'bftcolor' => '#8A89CB'
									),
            'maindragtext_1422' => array(
										// 'maintextbgcolor' => '#FFFFFF',
										// 'maintextrwidth' => '570'
                                        'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
									),
			'maindragtext_1423' => array(
										// 'maintextbgcolor' => '#FFFFFF',
										// 'maintextrwidth' => '570'
                                        'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
                                        
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#000000',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#E6E6E6',
										'rwidth' => '570'
									),
		);

        $encode_confirmation_mail_theme_2 = json_encode($confirmation_mail_user_theme_2);

        $encode_confirmation_mail_template_border_details_theme_2 = $sm_table_obj->get_template_border_details('2','14');

        update_option('sm_customizer_maintext_1421', '<p style=\"text-align:center\"><strong>Congratulations</strong><br><span style=\"font-size:16px\">you have new enquiry from your website</span></p>');
        update_option('sm_customizer_maintext_1422', '<p style=\"text-align:center\">Here is the enquiry that you have received from the contact us page</p>');
		update_option('sm_customizer_maintext_1423', '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"style=\"width:100%;background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">
		<tbody>
			<tr style="line-height:20%">
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><p style=\"text-align: center;\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><strong>Name</strong></span></p></td>
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">Test Name</p></span></span></td>
			</tr>
			<tr>
				<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
				<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
			</tr>
			<tr style="line-height:20%">
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\"><strong>Email</strong></p></span></span></td>
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">testmail@gmail.com</p></span></span></td>
			</tr>
			<tr>
				<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
				<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
			</tr">
			<tr style="line-height:20%">
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\"><strong>Address</strong></p></span></span></td>
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">San Francisco, USA</p></span></span></td>
			</tr>
		</tbody>
	</table>
		');

        $check_for_existing_confirmation_mail_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 14 AND theme_id = 12 AND status = 'temporary'");
		if(!empty($check_for_existing_confirmation_mail_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_confirmation_mail_theme_2,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_2,
					'background_color' => '#E6E6E6'
				) , 
				array( 
					'template_id' => 14,
					'theme_id' => 12,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 14,
					'template_type' => 'Confirmation Mail',
					'template_name' => 'Confirmation Mail Template',
					'theme_id' => 12,
					'template_details' => $encode_confirmation_mail_theme_2,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_2,
					'background_color' => '#E6E6E6',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_1421', '<p style=\"text-align:center\"><strong>Congratulations</strong><br><span style=\"font-size:16px\">you have new enquiry from your website</span></p>');
        update_option('sm_customizer_maintext_permanent_1422', '<p style=\"text-align:center\">Here is the enquiry that you have received from the contact us page</p>');
		update_option('sm_customizer_maintext_permanent_1423', '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"style=\"width:100%;background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">
		<tbody>
			<tr style="line-height:20%">
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><p style=\"text-align: center;\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><strong>Name</strong></span></p></td>
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">Test Name</p></span></span></td>
			</tr>
			<tr>
				<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
				<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
			</tr>
			<tr style="line-height:20%">
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\"><strong>Email</strong></p></span></span></td>
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">testmail@gmail.com</p></span></span></td>
			</tr>
			<tr>
				<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
				<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
			</tr">
			<tr style="line-height:20%">
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\"><strong>Address</strong></p></span></span></td>
				<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">San Francisco, USA</p></span></span></td>
			</tr>
		</tbody>
		</table>
		');

		$check_for_existing_confirmation_mail_permanent_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 14 AND theme_id = 12 AND status = 'permanent'");
		if(!empty($check_for_existing_confirmation_mail_permanent_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_confirmation_mail_theme_2,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_2,
					'background_color' => '#E6E6E6'
				) , 
				array( 
					'template_id' => 14,
					'theme_id' => 12,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 14,
					'template_type' => 'Confirmation Mail',
					'template_name' => 'Confirmation Mail Template',
					'theme_id' => 12,
					'template_details' => $encode_confirmation_mail_theme_2,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_2,
					'background_color' => '#E6E6E6',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

        $confirmation_mail_user_theme_3 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme1_header_img,
										'bg_color' => '#0C0C0C',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570'
									),
		
			'maindragtext_1431' => array(
										// 'maintextbgcolor' => '#0C0C0C',
										// 'maintextrwidth' => '570'
                                        'ftcolor' => '#FF8C00',
										'ftsize' => '28',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#0C0C0C',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
									),
            'maindragtext_1432' => array(
										// 'maintextbgcolor' => '#0C0C0C',
										// 'maintextrwidth' => '570'
                                        'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#0C0C0C',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
									),
    		'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#0C0C0C',
										'rwidth' => '570'
									),
		);

        $encode_confirmation_mail_theme_3 = json_encode($confirmation_mail_user_theme_3);

        $encode_confirmation_mail_template_border_details_theme_3 = $sm_table_obj->get_template_border_details('3','14');

        update_option('sm_customizer_maintext_1431', '<p style=\"text-align:center\"><strong>Congratulations</strong><br><span style=\"color:#d3d3d3\"><span style=\"font-size:22px\">you have new enquiry from your website</span></span></p>');
		
		update_option('sm_customizer_maintext_1432', '<table align=\"center\" border=\"0\" cellpadding=\"5\" cellspacing=\"5\" style=\"width:80%\">
		<tbody>
			<tr>
				<td><span style=\"color:#ff8c00\"><span style=\"font-size:18px\">Name</span></span></td>
				<td><span style=\"color:#fff0f5\"><span style=\"font-size:18px\">Test Name</span></span></td>
			</tr>
			<tr>
				<td><span style=\"color:#ff8c00\"><span style=\"font-size:18px\">Email</span></span></td>
				<td><span style=\"color:#fff0f5\"><span style=\"font-size:18px\">testmail@gmail.com</span></span></td>
			</tr>
			<tr>
				<td><span style=\"color:#ff8c00\"><span style=\"font-size:18px\">Address</span></span></td>
				<td><span style=\"color:#fff0f5\"><span style=\"font-size:18px\">San Francisco, USA</span></span></td>
			</tr>
		</tbody>
	</table>
	
	<p>&nbsp;</p>	
		');

        $check_for_existing_confirmation_mail_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 14 AND theme_id = 13 AND status = 'temporary'");
		if(!empty($check_for_existing_confirmation_mail_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_confirmation_mail_theme_3,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_3,
					'background_color' => '#0C0C0C'
				) , 
				array( 
					'template_id' => 14,
					'theme_id' => 13,
					'status' => 'temporary'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 14,
					'template_type' => 'Confirmation Mail',
					'template_name' => 'Confirmation Mail Template',
					'theme_id' => 13,
					'template_details' => $encode_confirmation_mail_theme_3,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_3,
					'background_color' => '#0C0C0C',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_1431', '<p style=\"text-align:center\"><strong>Congratulations</strong><br><span style=\"color:#d3d3d3\"><span style=\"font-size:22px\">you have new enquiry from your website</span></span></p>');
		
		update_option('sm_customizer_maintext_permanent_1432', '<table align=\"center\" border=\"0\" cellpadding=\"5\" cellspacing=\"5\" style=\"width:80%\">
		<tbody>
			<tr>
				<td><span style=\"color:#ff8c00\"><span style=\"font-size:18px\">Name</span></span></td>
				<td><span style=\"color:#fff0f5\"><span style=\"font-size:18px\">Test Name</span></span></td>
			</tr>
			<tr>
				<td><span style=\"color:#ff8c00\"><span style=\"font-size:18px\">Email</span></span></td>
				<td><span style=\"color:#fff0f5\"><span style=\"font-size:18px\">testmail@gmail.com</span></span></td>
			</tr>
			<tr>
				<td><span style=\"color:#ff8c00\"><span style=\"font-size:18px\">Address</span></span></td>
				<td><span style=\"color:#fff0f5\"><span style=\"font-size:18px\">San Francisco, USA</span></span></td>
			</tr>
		</tbody>
	</table>
	
	<p>&nbsp;</p>	
		');

		$check_for_existing_confirmation_mail_permanent_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 14 AND theme_id = 13 AND status = 'permanent'");
		if(!empty($check_for_existing_confirmation_mail_permanent_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_confirmation_mail_theme_3,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_3,
					'background_color' => '#0C0C0C'
				) , 
				array( 
					'template_id' => 14,
					'theme_id' => 13,
					'status' => 'permanent'
				)
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 14,
					'template_type' => 'Confirmation Mail',
					'template_name' => 'Confirmation Mail Template',
					'theme_id' => 13,
					'template_details' => $encode_confirmation_mail_theme_3,
					'container_details' => $encode_confirmation_mail_template_border_details_theme_3,
					'background_color' => '#0C0C0C',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
    }
}