<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

class SMTablesNewAccount{

    public function create_sm_table_new_account() {
        global $wpdb;
        $prefix = $wpdb->prefix;
		$sm_table_obj = new SMTables();		
		$swcm_upload_dir = plugins_url();
		$destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images';
		$newuser_img = $destination_folder.'/user-account.png';
		$theme1_header_img = $destination_folder.'/your-logo.png';
		$theme2_header_img = $destination_folder.'/logo2.png';
		$theme3_header_img = $destination_folder.'/logo8.png';
		$theme4_header_img = $destination_folder.'/logo10.png';
		$theme5_header_img = $destination_folder.'/logo7.png';
		$theme6_header_img = $destination_folder.'/logo6.png';
		$theme7_header_img = $destination_folder.'/logo12.png';
		$theme8_header_img = $destination_folder.'/logo9.png';
		$theme10_header_img = $destination_folder.'/logo1.png';	
		$theme2_img = $destination_folder . '/Email Template head icon.png';

		//theme1
		$new_account_user_details_theme_1 = array(
			'hr_details_111' => array(
									'width' => '100',
									'height' => '8',
									'color' => '#FFD324',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570'
								) ,
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme1_header_img,
										'bg_color' => '#FFFFFF',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'hr_details_112' => array(
									'width' => '96',
									'height' => '2',
									'color' => '#F3F3F3',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570'
								) ,
			'maindragtext_111' => array(
									'ftcolor' => '#000000',
									'ftsize' => '16',
									'ftstyle' => 'Georgia',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570',
									'top' => '0',
									'bottom' => '0'
									// 'height' => '130'
								),
			'imageblockdrag' => array(
										'img_position' => 'Center',
										'img_url' => $newuser_img,
										'img_bgcolor' => '#FFFFFF',
										'img_width' => '250',
										'img_height' => '150',
										'rwidth' =>'570',
										'top' => '0',
										'bottom' => '0',
										'rounded' => '1',
										'border' => 'None',
										'bcolor' => '',
										'bsize' => ''
										// 'height' => '82'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Login',
										'color' => '#FFD324',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '1',
										// 'height' => '66',
										'bwidth' => '40',
										'bftcolor' => '#000000'
									),
			'maindragtext_112' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Georgia',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '230'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#474747',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#F7F7F7',
										'rwidth' => '570',
										// 'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#F7F7F7',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										// 'height' => '39'
									)
		);

		$encode_new_account_user_details_theme_1 = json_encode($new_account_user_details_theme_1);
		$encode_new_account_template_border_details_theme_1 = $sm_table_obj->get_template_border_details('1','1');
		
		update_option('sm_customizer_maintext_111', '<p style=\"text-align: center;\"><strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}</p>');
		update_option('sm_customizer_maintext_112', '<p style=\"text-align: center;\">This email contains your details<br>Email Address -{user_email}<br>Username -{user_name}<br>To set your password, visit the following address:<br>{password}</p>');

		$check_for_existing_template_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 1 AND status = 'temporary'");
		if(!empty($check_for_existing_template_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_1,
					'container_details' => $encode_new_account_template_border_details_theme_1,
					'background_color' => '#F7F7F7'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 1,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 1,
					'template_details' => $encode_new_account_user_details_theme_1,
					'container_details' => $encode_new_account_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_111', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_permanent_112', 'This email contains your details<br>Email Address -{user_email}<br>Username -{user_name}<br>To set your password, visit the following address:<br>{password}');


		$check_for_existing_template_permanent_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 1 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_1,
					'container_details' => $encode_new_account_template_border_details_theme_1,
					'background_color' => '#F7F7F7'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 1,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 1,
					'template_details' => $encode_new_account_user_details_theme_1,
					'container_details' => $encode_new_account_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme2
		$new_account_user_details_theme_2 = array(
				'header_details' => array(
											'image_position' => 'Center',
											'image_url' => $theme1_header_img,
											'bg_color' => '#FFFFFF',
											'width' => '150',
											'height' => '71',
											'rwidth' =>'570',
											// 'hrheight' => '81'
										),
				'imageblockdrag' => array(
											'img_position' => 'Center',
											'img_url' => $theme2_img,
											'img_bgcolor' => '#FFFFFF',
											'img_width' => '100',
											'img_height' => '41',
											'rwidth' =>'570',
											'top' => '17',
											'bottom' => '0',
											'rounded' => '1',
											'border' => 'None',
											'bcolor' => '',
											'bsize' => ''
											// 'height' => '82'
										),
				'hr_details_121' => array(
											'width' => '100',
											'height' => '2',
											'color' => '#F3F3F3',
											'bgcolor' => '#FFFFFF',
											'rwidth' => '570'
										) ,
				'maindragtext_121' => array(
											'ftcolor' => '#000000',
											'ftsize' => '16',
											'ftstyle' => 'Times New Roman',
											'bgcolor' => '#FFFFFF',
											'rwidth' => '570',
											'top' => '0',
											'bottom' => '0'
											// 'height' => '130'
										),
				'button_details' => array(
											'link' => 'www.google.com',
											'text' => 'Login',
											'color' => '#495EC9',
											'position' => 'Center',
											'bg_color' => '#FFFFFF',
											'rwidth' => '570',
											'bheight' => '12',
											'bradius' => '1',
											// 'height' => '66',
											'bwidth' => '40',
											'bftcolor' => '#FFFFFF'
										),
				'maindragtext_122' => array(
											'ftcolor' => '#000000',
											'ftsize' => '16',
											'ftstyle' => 'Times New Roman',
											'bgcolor' => '#FFFFFF',
											'rwidth' => '570',
											'top' => '0',
											'bottom' => '17'
											// 'height' => '220'
										),
				'maintext_details' => array(
											'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
											'position' => 'Center',
											'color' => '#FFFFFF',
											'style' => "Open Sans",
											'size' => '16',
											'bgcolor' => '#FFFFFF',
											'rwidth' => '570',
											// 'height' => '71'
										),
				'socialblockdrag' => array(
											'position' => 'Center',
											'bgcolor' => '#FFFFFF',
											'fb' => 'https://www.facebook.com/smackcoders',
											'twitter' => 'https://twitter.com/smackcoders',
											'google' => 'https://smackcoders.com',
											'linkedin' => 'https://www.linkedin.com/company/smackcoders',
											'skype' => '',
											'instagram' => 'https://www.instagram.com/smackcoders.inc',
											'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
											'rwidth' => '570',
											// 'height' => '39'
										)
		);

		update_option('sm_customizer_maintext_121', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_122', 'This email contains your details<br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:<br>{password}');

		$encode_new_account_user_details_theme_2 = json_encode($new_account_user_details_theme_2);

		$encode_new_account_template_border_details_theme_2 = $sm_table_obj->get_template_border_details('2','1');
		
		$check_for_existing_template_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 2 AND status = 'temporary'");
		if(!empty($check_for_existing_template_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_2,
					'container_details' => $encode_new_account_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 2,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 2,
					'template_details' => $encode_new_account_user_details_theme_2,
					'container_details' => $encode_new_account_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_121', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_permanent_122', 'This email contains your details<br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:<br>{password}');


		$check_for_existing_template_permanent_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 2 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_2,
					'container_details' => $encode_new_account_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 2,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 2,
					'template_details' => $encode_new_account_user_details_theme_2,
					'container_details' => $encode_new_account_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

	    //theme3
		$new_account_user_details_theme_3 = array(
			'header_details' => array(
									'image_position' => 'Left',
									'image_url' => $theme3_header_img,
									'bg_color' => '#711959',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
			'maindragtext_131' => array(
									'ftcolor' => '#d3d3d3',
									'ftsize' => '16',
									'ftstyle' => 'Times New Roman',
									'bgcolor' => '#B32E82',
									'rwidth' => '570',
									'top' => '0',
									'bottom' => '0'
									// 'height' => '130'
								),
			'button_details' => array(
									'link' => 'www.google.com',
									'text' => 'Login',
									'color' => '#FFFFFF',
									'position' => 'Center',
									'bg_color' => '#FFFFFF',
									'rwidth' => '570',
									'bheight' => '12',
									'bradius' => '15',
									// 'height' => '66',
									'bwidth' => '40',
									'bftcolor' => '#000000'
								),
			'maindragtext_132' => array(
									'ftcolor' => '#000000',
									'ftsize' => '16',
									'ftstyle' => 'Times New Roman',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570',
									'top' => '0',
									'bottom' => '0'
									// 'height' => '225'
								),
			'maintext_details' => array(
									'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
									'position' => 'Center',
									'color' => '#777777',
									'style' => 'Open Sans',
									'size' => '16',
									'bgcolor' => '#B32E82',
									'rwidth' => '570',
									// 'height' => '71'
								),
			'socialblockdrag' => array(
									'position' => 'Center',
									'bgcolor' => '#B32E82',
									'fb' => 'https://www.facebook.com/smackcoders',
									'twitter' => 'https://twitter.com/smackcoders',
									'google' => 'https://smackcoders.com',
									'linkedin' => 'https://www.linkedin.com/company/smackcoders',
									'skype' => '',
									'instagram' => 'https://www.instagram.com/smackcoders.inc',
									'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
									'rwidth' => '570',
									// 'height' => '39'	
								)
		);
		$encode_new_account_user_details_theme_3 = json_encode($new_account_user_details_theme_3);
		$encode_new_account_template_border_details_theme_3 = $sm_table_obj->get_template_border_details('3','1');
		
        update_option('sm_customizer_maintext_131', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_132', 'This email contains your details</br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:<br>{password}');
		
		$check_for_existing_template_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 3 AND status = 'temporary'");
		if(!empty($check_for_existing_template_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_3,
					'container_details' => $encode_new_account_template_border_details_theme_3,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 3,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 3,
					'template_details' => $encode_new_account_user_details_theme_3,
					'container_details' => $encode_new_account_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_131', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_permanent_132', 'This email contains your details</br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:<br>{password}');
		
		$check_for_existing_template_permanent_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 3 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_3,
					'container_details' => $encode_new_account_template_border_details_theme_3,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 3,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 3,
					'template_details' => $encode_new_account_user_details_theme_3,
					'container_details' => $encode_new_account_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme4
		$new_account_user_details_theme_4 = array(
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme4_header_img,
										'bg_color' => '#E41F4D',
										'width' => '150',
										'height' => '50',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'maindragtext_141' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '130'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Login',
										// 'color' => 'E41638',
										'color' => '#E41F4D',
										'position' => 'Center',
										'bg_color' => '#F3F3F3',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										// 'height' => '66',
										// 'ftcolor' => 'FFFFFF',
										'bwidth' => '450',
										'bftcolor' => '#FFFFFF'
									),
			'maindragtext_142' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '250'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#000000',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#E41F4D',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#000000',
										'rwidth' => '570',
										// 'height' => '71'
									)
		);

		$encode_new_account_user_details_theme_4 = json_encode($new_account_user_details_theme_4);
	
		//update main text 1 for new account user template
		update_option('sm_customizer_maintext_141', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');

		//update main text 2 for new account user template
		update_option('sm_customizer_maintext_142', 'This email contains your details<br>Email Address -{user_email}<br>Username -{user_name}<br>To set your password, visit the following address:<br>{password}');

		$encode_new_account_template_border_details_theme_4 = $sm_table_obj->get_template_border_details('4','1');
		
		$check_for_existing_template_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 4 AND status = 'temporary'");
		if(!empty($check_for_existing_template_4)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_4,
					'container_details' => $encode_new_account_template_border_details_theme_4,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 4,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 4,
					'template_details' => $encode_new_account_user_details_theme_4,
					'container_details' => $encode_new_account_template_border_details_theme_4,
					'background_color' => '#444444',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s','%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_141', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');

		//update main text 2 for new account user template
		update_option('sm_customizer_maintext_permanent_142', 'This email contains your details<br>Email Address -{user_email}<br>Username -{user_name}<br>To set your password, visit the following address:<br>{password}');

		$check_for_existing_template_permanent_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 4 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_4)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_4,
					'container_details' => $encode_new_account_template_border_details_theme_4,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 4,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 4,
					'template_details' => $encode_new_account_user_details_theme_4,
					'container_details' => $encode_new_account_template_border_details_theme_4,
					'background_color' => '#444444',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}


		//theme5
		$new_account_user_details_theme_5 = array(
			'maindragtext_151'=> array(	
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '',
										'bgimage' => $newuser_img,
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '130'
									),
			'maindragtext_152' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '275'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Login',
										'color' => '#000000',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										// 'height' => '66',
										'bwidth' => '40',
										'bftcolor' => '#FFFFFF'
									),
			'header_details' =>array(
										'image_position' => 'Center',
										'image_url' => $theme5_header_img,
										'bg_color' => '#F3F3F3',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '70'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#777777',
										'style' => 'Times New Roman',
										'size' => '16',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										// 'height' => '65'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#F3F3F3',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										// 'height' => '39'
									)
		);

		$encode_new_account_user_details_theme_5 = json_encode($new_account_user_details_theme_5);
		$encode_new_account_template_border_details_theme_5 = $sm_table_obj->get_template_border_details('5','1');
	
		update_option('sm_customizer_maintext_151', '<br><br><br><br><br><p style=\"text-align: center;\"><strong>New User Registration</strong></p><br><br><br><br><br>');
		update_option('sm_customizer_maintext_152', '<p style=\"text-align: center;\">Hello {user_name},<br>Your Registration successful on {blog_name}<br>This email contains your details</br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:<br>{password}</p>');

		$check_for_existing_template_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 5 AND status = 'temporary'");
		if(!empty($check_for_existing_template_5)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_5,
					'container_details' => $encode_new_account_template_border_details_theme_5,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 5,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 5,
					'template_details' => $encode_new_account_user_details_theme_5,
					'container_details' => $encode_new_account_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_151', '<br><br><br><br><br><p style=\"text-align: center;\"><strong>New User Registration</strong></p><br><br><br><br><br>');
		update_option('sm_customizer_maintext_permanent_152', '<p style=\"text-align: center;\">Hello {user_name},<br>Your Registration successful on {blog_name}<br>This email contains your details</br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:<br>{password}</p>');

		$check_for_existing_template_permanent_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 5 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_5)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_5,
					'container_details' => $encode_new_account_template_border_details_theme_5,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 5,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 5,
					'template_details' => $encode_new_account_user_details_theme_5,
					'container_details' => $encode_new_account_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
	
		//theme6
		$new_account_user_details_theme_6 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme6_header_img,
										'bg_color' => '#F3F3F3',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'maindragtext_161' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '110'
									),
			'maindragtext_162' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '230'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Login',
										'color' => '#2079FF',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '6',
										'bradius' => '2',
										// 'height' => '70',
										'bwidth'  =>'300',
										'bftcolor' => '#FFFFFF'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#000000',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										// 'height' => '71'
									)
		);

		$encode_new_account_user_details_theme_6 = json_encode($new_account_user_details_theme_6);

		update_option('sm_customizer_maintext_161', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_162', 'This email contains your details<br>Email Address -{user_email}<br>Username -{user_name}<br>To set your password, visit the following address:<br>{password}');

		$encode_new_account_template_border_details_theme_6 = $sm_table_obj->get_template_border_details('6','1');
		
		$check_for_existing_template_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 6 AND status = 'temporary'");
		if(!empty($check_for_existing_template_6)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_6,
					'container_details' => $encode_new_account_template_border_details_theme_6,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 6,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 6,
					'template_details' => $encode_new_account_user_details_theme_6,
					'container_details' => $encode_new_account_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_161', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_permanent_162', 'This email contains your details<br>Email Address -{user_email}<br>Username -{user_name}<br>To set your password, visit the following address:<br>{password}');


		$check_for_existing_template_permanent_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 6 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_6)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_6,
					'container_details' => $encode_new_account_template_border_details_theme_6,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 6,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 6,
					'template_details' => $encode_new_account_user_details_theme_6,
					'container_details' => $encode_new_account_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme7
		$new_account_user_details_theme_7 = array(
			'header_details' =>array(
										'image_position' => 'Right',
										'image_url' => $theme7_header_img,
										'bg_color' => '#FFFFFF',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'maindragtext_171' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '120'
									),
			'maintext_details' => array(
										'text' => 'This email contains your details<br><br>Email Address - {user_email}<br><br>Username - {user_name}',
										'position' => 'Left',
										'color' => '#000000',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '496',
										// 'height' => '80'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Login',
										'color' => '#FACC35',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '2',
										// 'height' => '70',
										'bwidth' => '60',
										'bftcolor' => '#000000'
									),
			'maindragtext_172' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '120'
									),
		);

		$encode_new_account_user_details_theme_7 = json_encode($new_account_user_details_theme_7);
		$encode_new_account_template_border_details_theme_7 = $sm_table_obj->get_template_border_details('7','1');
	
		update_option('sm_customizer_maintext_171', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_172', 'To set your password, visit the following address:<br>{password}');
	
		$check_for_existing_template_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 7 AND status = 'temporary'");
		if(!empty($check_for_existing_template_7)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_7,
					'container_details' => $encode_new_account_template_border_details_theme_7,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 7,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 7,
					'template_details' => $encode_new_account_user_details_theme_7,
					'container_details' => $encode_new_account_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_171', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_permanent_172', 'To set your password, visit the following address:<br>{password}');
	
		$check_for_existing_template_permanent_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 7 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_7)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_7,
					'container_details' => $encode_new_account_template_border_details_theme_7,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 7,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 7,
					'template_details' => $encode_new_account_user_details_theme_7,
					'container_details' => $encode_new_account_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}


		//theme8
		$new_account_user_details_theme_8 = array(
			'header_details' =>array(
									'image_position' => 'Left',
									'image_url' => $theme8_header_img,
									'bg_color' => '#7CDCFF',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									// 'hrheight' => '81'
								),
			'maindragtext_181' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#7CDCFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '110'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Login',
										'color' => '#000000',
										'position' => 'Left',
										'bg_color' => '#7CDCFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '2',
										//'height' => '66',
										'bftcolor' => '#FFFFFF',
										'bwidth' => '60',
									),
			'maindragtext_182' => array(
										'ftcolor' => '#1E4BFF',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '230'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FEFFEF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#1E4BFF',
										'rwidth' => '570',
										// 'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#1E4BFF',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'	
									)
		);

		$encode_new_account_user_details_theme_8 = json_encode($new_account_user_details_theme_8);
		$encode_new_account_template_border_details_theme_8 = $sm_table_obj->get_template_border_details('8','1');
	
		update_option('sm_customizer_maintext_181', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_182', 'This email contains your details</br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:<br>{password}');
	
		$check_for_existing_template_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 8 AND status = 'temporary'");
		if(!empty($check_for_existing_template_8)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_8,
					'container_details' => $encode_new_account_template_border_details_theme_8,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 8,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 8,
					'template_details' => $encode_new_account_user_details_theme_8,
					'container_details' => $encode_new_account_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_181', '<strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}');
		update_option('sm_customizer_maintext_permanent_182', 'This email contains your details</br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:<br>{password}');
	
		$check_for_existing_template_permanent_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 8 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_8)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_8,
					'container_details' => $encode_new_account_template_border_details_theme_8,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 8,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 8,
					'template_details' => $encode_new_account_user_details_theme_8,
					'container_details' => $encode_new_account_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme9
		$new_account_user_details_theme_9 = array(
			'header_details' =>array(
										'image_position' => 'Center',
										'image_url' => $theme1_header_img,
										'bg_color' => '#0AD4C0',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			// 'maintext_details' => array(
			// 						'text' => 'New User Registered',
			// 						'position' => 'Left',
			// 						'color' => '#FFFFFF',
			// 						'style' => 'Times New Roman',
			// 						'size' => '14',
			// 						'bgcolor' => '#0AD4C0',
			// 						'rwidth' => '570',
			// 						'height' => '71'
			// 					),
			'maindragtext_191' => array(
										'ftcolor' => '#FFFFFF',
										'ftsize' => '22',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#0AD4C0',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '70'
									),
			'maindragtext_192' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '285'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#DDDDDD',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'	
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#383838',
										'rwidth' => '570',
										// 'height' => '71'
									),	
		);

		$encode_new_account_user_details_theme_9 = json_encode($new_account_user_details_theme_9);
		$encode_new_account_template_border_details_theme_9 = $sm_table_obj->get_template_border_details('9','1');
	
		update_option('sm_customizer_maintext_191', '<strong>New User Registration</strong>');
		update_option('sm_customizer_maintext_192', 'Hello {user_name},<br>Your Registration successful on {blog_name}<br>This email contains your details</br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:{password}');
	
		$check_for_existing_template_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 9 AND status = 'temporary'");
		if(!empty($check_for_existing_template_9)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_9,
					'container_details' => $encode_new_account_template_border_details_theme_9,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 9,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 9,
					'template_details' => $encode_new_account_user_details_theme_9,
					'container_details' => $encode_new_account_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
		update_option('sm_customizer_maintext_permanent_191', '<strong>New User Registration</strong>');
		update_option('sm_customizer_maintext_permanent_192', 'Hello {user_name},<br>Your Registration successful on {blog_name}<br>This email contains your details</br>Email Address - {user_email}<br>Username - {user_name}<br>To set your password, visit the following address:{password}');
	
		$check_for_existing_template_permanent_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 9 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_9)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_9,
					'container_details' => $encode_new_account_template_border_details_theme_9,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 9,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 9,
					'template_details' => $encode_new_account_user_details_theme_9,
					'container_details' => $encode_new_account_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme10
		$new_account_user_details_theme_10 = array(
			'header_details' =>	array(
										'image_position' => 'Center',
										'image_url' => $theme10_header_img,
										'bg_color' => '#000000',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '81'
									),
			'maindragtext_1101' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FABE75',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '130'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Login',
										'color' => '#000000',
										'position' => 'Center',
										'bg_color' => '#FABE75',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										// 'height' => '66',
										'bwidth' => '40',
										'bftcolor' => '#FFFFFF'
									),
			'maindragtext_1102' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '130'
									),
			'maindragtext_1103' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '90'
									),
			'maindragtext_1104' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										// 'height' => '160'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#000000',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										// 'height' => '39'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#000000',
										'rwidth' => '570',
										// 'height' => '71'
									),
			
		);
		$encode_new_account_user_details_theme_10 = json_encode($new_account_user_details_theme_10);

		$encode_new_account_template_border_details_theme_10 = $sm_table_obj->get_template_border_details('10','1');
	
		update_option('sm_customizer_maintext_1101', '<p style=\"text-align: center;\"><strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}</p>');
		update_option('sm_customizer_maintext_1102','<p style=\"text-align: center;\">you have been&nbsp; added to our user list<br>and will now be among the first to hear about new arrivals,<br>bigevents and special offers</p>');
		update_option('sm_customizer_maintext_1103', '<p style=\"text-align: center;\">Email Address - {user_email}<br>Username - {user_name}</p>');
		update_option('sm_customizer_maintext_1104','<p style=\"text-align: center;\">Confirmed! You&rsquo;re on the user list<br>To set your password, visit the following address:<br>{password}</p>');
	
		$check_for_existing_template_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 10 AND status = 'temporary'");
		if(!empty($check_for_existing_template_10)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_10,
					'container_details' => $encode_new_account_template_border_details_theme_10,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 10,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 10,
					'template_details' => $encode_new_account_user_details_theme_10,
					'container_details' => $encode_new_account_template_border_details_theme_10,
					'background_color' => '#444444',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}


		update_option('sm_customizer_maintext_permanent_1101', '<p style=\"text-align: center;\"><strong>New User Registration</strong><br>Hello {user_name},<br>Your Registration successful on {blog_name}</p>');
		update_option('sm_customizer_maintext_permanent_1102','<p style=\"text-align: center;\">you have been&nbsp; added to our user list<br>and will now be among the first to hear about new arrivals,<br>bigevents and special offers</p>');
		update_option('sm_customizer_maintext_permanent_1103', '<p style=\"text-align: center;\">Email Address - {user_email}<br>Username - {user_name}</p>');
		update_option('sm_customizer_maintext_permanent_1104','<p style=\"text-align: center;\">Confirmed! You&rsquo;re on the user list<br>To set your password, visit the following address:<br>{password}</p>');
	
		$check_for_existing_template_permanent_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 1 AND theme_id = 10 AND status = 'permanent'");
		if(!empty($check_for_existing_template_permanent_10)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_new_account_user_details_theme_10,
					'container_details' => $encode_new_account_template_border_details_theme_10,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 1,
					'theme_id' => 10,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 1,
					'template_type' => 'New Account',
					'template_name' => 'New Account Template',
					'theme_id' => 10,
					'template_details' => $encode_new_account_user_details_theme_10,
					'container_details' => $encode_new_account_template_border_details_theme_10,
					'background_color' => '#444444',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
	}
}