<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

class SMTablesProductDelivered{

    public function create_sm_table_product_delivered() {
        global $wpdb;
        $prefix = $wpdb->prefix;
        $sm_table_obj = new SMTables();
        $swcm_upload_dir = plugins_url();
        $destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images';
        $newuser_img = $destination_folder.'/user-account.png';
        $product_img = $destination_folder.'/productDelivered.png';
        $theme1_header_img = $destination_folder.'/your-logo.png';
        $theme2_header_img = $destination_folder.'/logo2.png';
        $theme3_header_img = $destination_folder.'/logo8.png';
        $theme4_header_img = $destination_folder.'/logo10.png';
        $theme5_header_img = $destination_folder.'/logo7.png';
        $theme6_header_img = $destination_folder.'/logo6.png';
        $theme7_header_img = $destination_folder.'/logo12.png';
        $theme8_header_img = $destination_folder.'/logo9.png';
        $theme10_header_img = $destination_folder.'/logo1.png';	
        $theme2_img = $destination_folder . '/Email Template head icon.png';


        //theme1
        $product_delivered_details_theme_1 = array(
            'hr_details_411' => array(
                                    'width' => '100',
                                    'height' => '8',
                                    'color' => '#FFD324',
                                    'bgcolor' => '#FFFFFF',
                                    'rwidth' => '570'
                                ) ,
            'header_details' => array(
                                        'image_position' => 'Left',
                                        'image_url' => $theme1_header_img,
                                        'bg_color' => '#FFFFFF',
                                        'width' => '150',
                                        'height' => '41',
                                        'rwidth' => '570',
                                        //'hrheight' => '81'
                                    ),
            'hr_details_412' => array(
										'width' => '96',
										'height' => '2',
										'color' => '#F3F3F3',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570'
									) ,
            'maindragtext_411' => array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Georgia',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        //'height' => '88'
                                    ),
            'imageblockdrag' => array(
                                        'img_position' => 'Center',
                                        'img_url' => $product_img,
                                        'img_bgcolor' => '#FFFFFF',
                                        'img_width' => '71',
                                        'img_height' => '42',
                                        'rwidth' =>'570',
                                        'top' => '0',
										'bottom' => '0',
                                        'rounded' => '1',
                                        'border' => 'None',
                                        'bcolor' => '',
                                        'bsize' => ''

                                        //'height' => '82'
                                    ),
            'order_details' => array(
                                        'ftfamily' => "Arial",
                                        'ftcolor' => '#000000',
                                        'hrcolor' => '#FFFFFF',
                                        'trbgcolor' => '#FFFFFF',
                                        'orbgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '300'
                                    ),         
            'customer_details' => array(
                                        'style' => "Arial",
                                        'ftcolor' => '#000000',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '418'
                                    ),
            'maintext_details' => array(
                                        'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
                                        'position' => 'Center',
                                        'color' => '#474747',
                                        'style' => "Arial",
                                        'size' => '16',
                                        'bgcolor' => '#F7F7F7',
                                        'rwidth' => '570',
                                        //'height' => '71'
                                    ),
            'socialblockdrag' => array(
                                        'position' => 'Center',
                                        'bgcolor' => '#F7F7F7',
                                        'fb' => 'https://www.facebook.com/smackcoders',
                                        'twitter' => 'https://twitter.com/smackcoders',
                                        'google' => 'https://smackcoders.com',
                                        'linkedin' => 'https://www.linkedin.com/company/smackcoders',
                                        'skype' => '',
                                        'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                        'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
                                        'rwidth' => '570',
                                        //'height' => '39'
                                    )
        );

        update_option('sm_customizer_maintext_411','<p style=\"text-align: center;\">Your Product has been delivered.</p>');
        
        $encode_product_details_theme_1 = json_encode($product_delivered_details_theme_1);
        $encode_product_details_template_border_details_theme_1 = $sm_table_obj->get_template_border_details('1','4');
		
        $check_for_existing_producttemplate_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 1 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_1)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_1,
                    'container_details' => $encode_product_details_template_border_details_theme_1,
                    'background_color' => '#F7F7F7',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 1,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 1,
                    'template_details' => $encode_product_details_theme_1,
                    'container_details' => $encode_product_details_template_border_details_theme_1,
                    'background_color' => '#F7F7F7',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        $check_for_existing_producttemplate_permanent_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 1 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_1)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_1,
                    'container_details' => $encode_product_details_template_border_details_theme_1,
                    'background_color' => '#F7F7F7',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 1,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 1,
                    'template_details' => $encode_product_details_theme_1,
                    'container_details' => $encode_product_details_template_border_details_theme_1,
                    'background_color' => '#F7F7F7',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        //theme 2
        $product_delivered_details_theme_2 = array(
            'header_details' => array(
                                        'image_position' => 'Center',
                                        'image_url' => $theme1_header_img,
                                        'bg_color' => '#FFFFFF',
                                        'width' => '150',
                                        'height' => '71',
                                        'rwidth' => '570',
                                        //'hrheight' => '81'
                                    ),
            'imageblockdrag' => array(
										'img_position' => 'Center',
										'img_url' => $theme2_img,
										'img_bgcolor' => '#FFFFFF',
										'img_width' => '100',
										'img_height' => '41',
										'rwidth' =>'570',
                                        'top' => '0',
										'bottom' => '0',
                                        'rounded' => '1',
                                        'border' => 'None',
                                        'bcolor' => '',
                                        'bsize' => ''

										// 'height' => '82'
									),
			'hr_details_421' => array(
										'width' => '100',
										'height' => '2',
										'color' => '#F3F3F3',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570'
									) ,
            'order_details' => array(
                                        'ftfamily' => "Arial",
                                        'ftcolor' => '#000000',
                                        'hrcolor' => '#FFFFFF',
                                        'trbgcolor' => '#FFFFFF',
                                        'orbgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '274'
                                    ),
           'maindragtext_421' => array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        //'height' => '88'
                                    ),
            'customer_details' => array(
                                        'style' => "Arial",
                                        'ftcolor' => '#000000',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '400'
                                    ),
            'maintext_details' => array(
                                        'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
                                        'position' => 'Center',
                                        'color' => '#FFFFFF',
                                        'style' => "Open Sans",
                                        'size' => '20',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '71'
                                     ),
            'socialblockdrag' => array(
                                        'position' => 'Center',
                                        'bgcolor' => '#FFFFFF',
                                        'fb' => 'https://www.facebook.com/smackcoders',
                                        'twitter' => 'https://twitter.com/smackcoders',
                                        'google' => 'https://smackcoders.com',
                                        'linkedin' => 'https://www.linkedin.com/company/smackcoders',
                                        'skype' => '',
                                        'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                        'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
                                        'rwidth' => '570',
                                        // 'height' => '39'
                                    )
        );
        update_option('sm_customizer_maintext_421','<p style=\"text-align: center;\">Your Product has been delivered.</p>');
        
        $encode_product_details_theme_2 = json_encode($product_delivered_details_theme_2);
        $encode_product_details_template_border_details_theme_2 = $sm_table_obj->get_template_border_details('2','4');
		
        $check_for_existing_producttemplate_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 2 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_2)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_2,
                    'container_details' => $encode_product_details_template_border_details_theme_2,
                    'background_color' => '#FFFFFF',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 2,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 2,
                    'template_details' => $encode_product_details_theme_2,
                    'container_details' => $encode_product_details_template_border_details_theme_2,
                    'background_color' => '#FFFFFF',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }
        update_option('sm_customizer_maintext_permanent_421','<p style=\"text-align: center;\">Your Product has been delivered.</p>');

        $check_for_existing_producttemplate_permanent_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 2 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_2)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_2,
                    'container_details' => $encode_product_details_template_border_details_theme_2,
                    'background_color' => '#FFFFFF',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 2,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 2,
                    'template_details' => $encode_product_details_theme_2,
                    'container_details' => $encode_product_details_template_border_details_theme_2,
                    'background_color' => '#FFFFFF',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        //theme3
        $product_delivered_details_theme_3 = array(
            'header_details' => array(
                                    'image_position' => 'Left',
                                    'image_url' => $theme3_header_img,
                                    'bg_color' => '#711959',
                                    'width' => '150',
                                    'height' => '41',
                                    'rwidth' => '570',
                                    //'hrheight' => '81'
                                ),
            'order_details' => array(
                                    'ftfamily' => "Arial",
                                    'ftcolor' => '#000000',
                                    'hrcolor' => '#FFFFFF',
                                    'trbgcolor' => '#FFFFFF',
                                    'orbgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    //'height' => '274'
                                ),
            'maindragtext_431' => array(
                                    'ftcolor' => '#000000',
                                    'ftsize' => '16',
                                    'ftstyle' => 'Times New Roman',
                                    'bgcolor' => '#B32E82',
                                    'rwidth' => '570',
                                    'top' => '0',
									'bottom' => '0'
                                   //'height' => '88'
                                ),
            'customer_details' => array(
                                    'style' => "Arial",
                                    'ftcolor' => '#000000',
                                    'bgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    //'height' => '418'
                                ),
            'maintext_details' => array(
                                    'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
                                    'position' => 'Center',
                                    'color' => '#777777',
                                    'style' => "Open Sans",
                                    'size' => '16',
                                    'bgcolor' => '#B32E82',
                                    'rwidth' => '570',
                                    //'height' => '71'
                                ),
            'socialblockdrag' => array(
                                    'position' => 'Center',
                                    'bgcolor' => '#B32E82',
                                    'fb' => 'https://www.facebook.com/smackcoders',
                                    'twitter' => 'https://twitter.com/smackcoders',
                                    'google' => 'https://smackcoders.com',
                                    'linkedin' => 'https://www.linkedin.com/company/smackcoders',
                                    'skype' => '',
                                    'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                    'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
                                    'rwidth' => '570',
                                    //'height' => '39'	
                                )
        );
        update_option('sm_customizer_maintext_431','<p style=\"text-align: center;\">Your Product has been delivered.</p>');
        
        $encode_product_details_theme_3 = json_encode($product_delivered_details_theme_3);
        $encode_product_details_template_border_details_theme_3 = $sm_table_obj->get_template_border_details('3','4');
		
        $check_for_existing_producttemplate_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 3 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_3)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_3,
                    'container_details' => $encode_product_details_template_border_details_theme_3,
                    'background_color' => '#F3F3F3',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 3,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 3,
                    'template_details' => $encode_product_details_theme_3,
                    'container_details' => $encode_product_details_template_border_details_theme_3,
                    'background_color' => '#F3F3F3',
                    'status' =>  'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        $check_for_existing_producttemplate_permanent_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 3 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_3)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_3,
                    'container_details' => $encode_product_details_template_border_details_theme_3,
                    'background_color' => '#F3F3F3',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 3,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 3,
                    'template_details' => $encode_product_details_theme_3,
                    'container_details' => $encode_product_details_template_border_details_theme_3,
                    'background_color' => '#F3F3F3',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        //theme4
        $product_delivered_details_theme_4 = array(
            'header_details' => array(
                                        'image_position' => 'Left',
                                        'image_url' => $theme4_header_img,
                                        'bg_color' => '#E41F4D',
                                        'width' => '150',
										'height' => '50',
                                        'rwidth' => '570',
                                        //'hrheight' => '81'
                                    ),
            'order_details' => array(
                                        'ftfamily' => "Arial",
                                        'ftcolor' => '#000000',
                                        'hrcolor' => '#E41F4D',
                                        'trbgcolor' => '#F3F3F3',
                                        'orbgcolor' => '#F3F3F3',
                                        'rwidth' => '570',
                                        //'height' => '270'
                                    ),
            'maindragtext_441'=> array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#F3F3F3',
                                        'bgimage' => '',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        //'height' => '70'
                                    ),
            'customer_details' => array(
                                        'style' => "Arial",
                                        'ftcolor' => '#E41F4D',
                                        'bgcolor' => '#F3F3F3',
                                        'rwidth' => '570',
                                        //'height' => '400'
                                    ),
            'socialblockdrag' => array(
                                        'position' => 'Center',
                                        'bgcolor' => '#000000',
                                        'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                        'youtube' => '',
                                        'rwidth' => '570',
                                        //'height' => '39'
                                    ),
            'maintext_details' => array(
                                        'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
                                        'position' => 'Center',
                                        'color' => '#E41F4D',
                                        'style' => "Open Sans",
                                        'size' => '20',
                                        'bgcolor' => '#000000',
                                        'rwidth' => '570',
                                        //'height' => '71'
                                    )
        );

        $encode_product_details_theme_4 = json_encode($product_delivered_details_theme_4);
        $encode_product_details_template_border_details_theme_4 = $sm_table_obj->get_template_border_details('4','4');
       
        update_option('sm_customizer_maintext_441', 'Your Product has been delivered.');
		
        $check_for_existing_producttemplate_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 4 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_4)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_4,
                    'container_details' => $encode_product_details_template_border_details_theme_4,
                    'background_color' => '#444444',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 4,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 4,
                    'template_details' => $encode_product_details_theme_4,
                    'container_details' => $encode_product_details_template_border_details_theme_4,
                    'background_color' => '#444444',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }
        update_option('sm_customizer_maintext_permanent_441', 'Your Product has been delivered.');

        $check_for_existing_producttemplate_permanent_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 4 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_4)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_4,
                    'container_details' => $encode_product_details_template_border_details_theme_4,
                    'background_color' => '#444444',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 4,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 4,
                    'template_details' => $encode_product_details_theme_4,
                    'container_details' => $encode_product_details_template_border_details_theme_4,
                    'background_color' => '#444444',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        //theme5
        $product_delivered_details_theme_5 = array(
            'maindragtext_451'=> array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '14',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '',
                                        'bgimage' => $newuser_img,
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        //'height' => '130'
                                    ),
            'order_details' => array(
                                        'ftfamily' => "Times New Roman",
                                        'ftcolor' => '#000000',
                                        'hrcolor' => '#FFFFFF',
                                        'trbgcolor' => '#FFFFFF',
                                        'orbgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '315'
                                    ),
            'maindragtext_452' => array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '14',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        //'height' => '50'
                                    ),
            'customer_details' => array(
                                        'style' => "Times New Roman",
                                        'ftcolor' => '#000000',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '418'
                                    ),
			'header_details' =>array(
                                        'image_position' => 'Center',
                                        'image_url' => $theme5_header_img,
                                        'bg_color' => '#F3F3F3',
                                        'width' => '150',
                                        'height'=>'41',
                                        'rwidth' => '570',
                                        //'hrheight' => '70'
                                    ),
			'maintext_details' => array(
                                        'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
                                        'position' => 'Center',
                                        'color' => '#777777',
                                        'style' => 'Arial',
                                        'size' => '16',
                                        'bgcolor' => '#F3F3F3',
                                        'rwidth' => '570',
                                        //'height' => '65'
                                    ),
			'socialblockdrag' => array(
                                        'position' => 'Center',
                                        'bgcolor' => '#F3F3F3',
                                        'fb' => 'https://www.facebook.com/smackcoders',
                                        'twitter' => 'https://twitter.com/smackcoders',
                                        'google' => 'https://smackcoders.com',
                                        'linkedin' => 'https://www.linkedin.com/company/smackcoders',
                                        'skype' => '',
                                        'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                        'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
                                        'rwidth' => '570',
                                        //'height' => '39'	
                                    )
		);

        update_option('sm_customizer_maintext_451','<br><br><br><br><br><p style=\"text-align: center;\"><strong>Product Delivered</strong></p><br><br><br><br><br>');
        update_option('sm_customizer_maintext_452','<p style=\"text-align: center;\">Your Product has been delivered.</p>');
        
        $encode_product_details_theme_5 = json_encode($product_delivered_details_theme_5);
        $encode_product_details_template_border_details_theme_5 = $sm_table_obj->get_template_border_details('5','4');
		
        $check_for_existing_producttemplate_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 5 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_5)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_5,
                    'container_details' => $encode_product_details_template_border_details_theme_5,
                    'background_color' => '#F3F3F3',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 5,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 5,
                    'template_details' => $encode_product_details_theme_5,
                    'container_details' => $encode_product_details_template_border_details_theme_5,
                    'background_color' => '#F3F3F3',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }
        update_option('sm_customizer_maintext_permanent_451','<br><br><br><br><br><p style=\"text-align: center;\"><strong>Product Delivered</strong></p><br><br><br><br><br>');
        update_option('sm_customizer_maintext_permanent_452','<p style=\"text-align: center;\">Your Product has been delivered.</p>');
        

        $check_for_existing_producttemplate_permanent_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 5 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_5)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_5,
                    'container_details' => $encode_product_details_template_border_details_theme_5,
                    'background_color' => '#F3F3F3',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 5,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 5,
                    'template_details' => $encode_product_details_theme_5,
                    'container_details' => $encode_product_details_template_border_details_theme_5,
                    'background_color' => '#F3F3F3',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

         //theme6
         $product_delivered_details_theme_6 = array(
            'header_details' => array(
                                        'image_position' => 'center',
                                        'image_url' => $theme6_header_img,
                                        'bg_color' => '#F3F3F3',
                                        'width' => '150',
                                        'height' => '41',
                                        'rwidth' => '570',
                                        //'hrheight' => '81'
                                    ),
            'order_details' => array(
                                        'ftfamily' => "Arial",
                                        'ftcolor' => '#000000',
                                        'hrcolor' => '#FFFFFF',
                                        'trbgcolor' => '#FFFFFF',
                                        'orbgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '270'
                                    ),
                        
            'maindragtext_461' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
										//'height' => '70'
									),
            'customer_details' => array(
                                        'style' => "Arial",
                                        'ftcolor' => '#000000',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '400'
                                    ),
            'maintext_details' => array(
                                        'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
                                        'position' => 'Center',
                                        'color' => '#000000',
                                        'style' => "Arial",
                                        'size' => '16',
                                        'bgcolor' => '#F3F3F3',
                                        'rwidth' => '570',
                                        //'height' => '71'
                                    )
        );

        $encode_product_details_theme_6 = json_encode($product_delivered_details_theme_6);
        $encode_product_details_template_border_details_theme_6 = $sm_table_obj->get_template_border_details('6','4');
		
        update_option('sm_customizer_maintext_461', 'Your Product has been delivered.');
		
        $check_for_existing_producttemplate_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 6 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_6)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_6,
                    'container_details' => $encode_product_details_template_border_details_theme_6,
                    'background_color' => '#F3F3F3',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 6,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 6,
                    'template_details' => $encode_product_details_theme_6,
                    'container_details' => $encode_product_details_template_border_details_theme_6,
                    'background_color' => '#F3F3F3',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        	
        update_option('sm_customizer_maintext_permanent_461', 'Your Product has been delivered.');
		
        $check_for_existing_producttemplate_permanent_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 6 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_6)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_6,
                    'container_details' => $encode_product_details_template_border_details_theme_6,
                    'background_color' => '#F3F3F3',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 6,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 6,
                    'template_details' => $encode_product_details_theme_6,
                    'container_details' => $encode_product_details_template_border_details_theme_6,
                    'background_color' => '#F3F3F3',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        //theme7
        $product_delivered_details_theme_7 = array(
			'header_details' =>array(
									'image_position' => 'Right',
									'image_url' => $theme7_header_img,
									'bg_color' => '#FFFFFF',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									//'hrheight' => '81'
								),
            'order_details' => array(
                                    'ftfamily' => "Times New Roman",
                                    'ftcolor' => '#000000',
                                    'hrcolor' => '#FFFFFF',
                                    'trbgcolor' => '#FFFFFF',
                                    'orbgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    //'height' => '270'
                                ),
			'maintext_details' => array(
                                    'text' => 'Your Product has been delivered.',
                                    'position' => 'Left',
                                    'color' => '#000000',
                                    'style' => 'Times New Roman',
                                    'size' => '14',
                                    'bgcolor' => '#F3F3F3',
                                    'rwidth' => '516',
                                    //'height' => '70'
                                ),
	        'customer_details' => array(
                                    'style' => "Times New Roman",
                                    'ftcolor' => '#000000',
                                    'bgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    //'height' => '400'
                                ),
		);

        update_option('sm_customizer_maintext_472','<p style=\"text-align: center;\">Your Product has been delivered.</p>');

        $encode_product_details_theme_7 = json_encode($product_delivered_details_theme_7);
        $encode_product_details_template_border_details_theme_7 = $sm_table_obj->get_template_border_details('7','4');
		
        $check_for_existing_producttemplate_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 7 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_7)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_7,
                    'container_details' => $encode_product_details_template_border_details_theme_7,
                    'background_color' => '#FFFFFF',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 7,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 7,
                    'template_details' => $encode_product_details_theme_7,
                    'container_details' => $encode_product_details_template_border_details_theme_7,
                    'background_color' => '#FFFFFF',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }
        update_option('sm_customizer_maintext_permanent_472','<p style=\"text-align: center;\">Your Product has been delivered.</p>');
        $check_for_existing_producttemplate_permanent_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 7 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_7)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_7,
                    'container_details' => $encode_product_details_template_border_details_theme_7,
                    'background_color' => '#FFFFFF',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 7,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 7,
                    'template_details' => $encode_product_details_theme_7,
                    'container_details' => $encode_product_details_template_border_details_theme_7,
                    'background_color' => '#FFFFFF',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        //theme8
        $product_delivered_details_theme_8 = array(
			'header_details' =>array(
									'image_position' => 'Left',
									'image_url' => $theme8_header_img,
									'bg_color' => '#7CDCFF',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									//'hrheight' => '81'
								),
            'order_details' => array(
                                    'ftfamily' => "Times New Roman",
                                    'ftcolor' => '#352FEE',
                                    'hrcolor' => '#7CDCFF',
                                    'trbgcolor' => '#7CDCFF',
                                    'orbgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    //'height' => '305'
                                ),
			'maindragtext_481' => array(
                                    'ftcolor' => '#000000',
                                    'ftsize' => '14',
                                    'ftstyle' => 'Times New Roman',
                                    'bgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    'top' => '0',
									'bottom' => '0'
                                    //'height' => '60'
                                ),
            'customer_details' => array(
                                    'style' => "Times New Roman",
                                    'ftcolor' => '#1E4BFF',
                                    'bgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    //'height' => '400'
                                ),	
			'maintext_details' => array(
                                    'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
                                    'position' => 'Center',
                                    'color' => '#FEFFEF',
                                    'style' => 'Times New Roman',
                                    'size' => '14',
                                    'bgcolor' => '#1E4BFF',
                                    'rwidth' => '570',
                                    //'height' => '71'
                                ),
			'socialblockdrag' => array(
                                    'position' => 'Center',
                                    'bgcolor' => '#1E4BFF',
                                    'fb' => 'https://www.facebook.com/smackcoders',
                                    'twitter' => 'https://twitter.com/smackcoders',
                                    'google' => 'https://smackcoders.com',
                                    'linkedin' => 'https://www.linkedin.com/company/smackcoders',
                                    'skype' => '',
                                    'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                    'youtube' => '',
                                    'rwidth' => '570',
                                    //'height' => '39'
                                )
		);

        update_option('sm_customizer_maintext_481','<p style=\"text-align: center;\">Your Product has been delivered.</p>');
        
        $encode_product_details_theme_8 = json_encode($product_delivered_details_theme_8);
        $encode_product_details_template_border_details_theme_8 = $sm_table_obj->get_template_border_details('8','4');
		
        $check_for_existing_producttemplate_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 8 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_8)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_8,
                    'container_details' => $encode_product_details_template_border_details_theme_8,
                    'background_color' => '#F3F3F3',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 8,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 8,
                    'template_details' => $encode_product_details_theme_8,
                    'container_details' => $encode_product_details_template_border_details_theme_8,
                    'background_color' => '#F3F3F3',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        update_option('sm_customizer_maintext_permanent_481','<p style=\"text-align: center;\">Your Product has been delivered.</p>'); 
		
        $check_for_existing_producttemplate_permanent_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 8 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_8)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_8,
                    'container_details' => $encode_product_details_template_border_details_theme_8,
                    'background_color' => '#F3F3F3',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 8,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 8,
                    'template_details' => $encode_product_details_theme_8,
                    'container_details' => $encode_product_details_template_border_details_theme_8,
                    'background_color' => '#F3F3F3',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }
        //theme9
        $product_delivered_details_theme_9 = array(
			'header_details' =>array(
									'image_position' => 'Center',
									'image_url' => $theme1_header_img,
									'bg_color' => '#0AD4C0',
									'width' => '150',
									'height' => '41',
									'rwidth' => '570',
									//'hrheight' => '81'
								),
            'maindragtext_491' => array(
                                    'ftcolor' => '#FFFFFF',
                                    'ftsize' => '22',
                                    'ftstyle' => 'Times New Roman',
                                    'bgcolor' => '#0AD4C0',
                                    'rwidth' => '570',
                                    'top' => '0',
									'bottom' => '0'
                                    //'height' => '70'
                                ),
            'order_details' => array(
                                    'ftfamily' => "Times New Roman",
                                    'ftcolor' => '#000000',
                                    'hrcolor' => '#0AD4C0',
                                    'trbgcolor' => '#FFFFFF',
                                    'orbgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    //'height' => '270'
                                ),
            'customer_details' => array(
                                    'style' => "Times New Roman",
                                    'ftcolor' => '#000000',
                                    'bgcolor' => '#FFFFFF',
                                    'rwidth' => '570',
                                    //'height' => '400'
                                ),
			'socialblockdrag' => array(
                                    'position' => 'Center',
                                    'bgcolor' => '#DDDDDD',
                                    'fb' => 'https://www.facebook.com/smackcoders',
                                    'twitter' => 'https://twitter.com/smackcoders',
                                    'google' => 'https://smackcoders.com',
                                    'linkedin' => 'https://www.linkedin.com/company/smackcoders',
                                    'skype' => '',
                                    'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                    'youtube' => '',
                                    'rwidth' => '570',
                                    //'height' => '39'
                                ),
			'maintext_details' => array(
                                    'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
                                    'position' => 'Center',
                                    'color' => '#FFFFFF',
                                    'style' => 'Times New Roman',
                                    'size' => '14',
                                    'bgcolor' => '#383838',
                                    'rwidth' => '570',
                                    //'height' => '71'
                                ),
		);

        update_option('sm_customizer_maintext_491','Your Product has been delivered.');
  
        $encode_product_details_theme_9 = json_encode($product_delivered_details_theme_9);
        $encode_product_details_template_border_details_theme_9 = $sm_table_obj->get_template_border_details('9','4');
		
        $check_for_existing_producttemplate_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 9 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_9)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_9,
                    'container_details' => $encode_product_details_template_border_details_theme_9,
                    'background_color' => '#FFFFFF',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 9,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 9,
                    'template_details' => $encode_product_details_theme_9,
                    'container_details' => $encode_product_details_template_border_details_theme_9,
                    'background_color' => '#FFFFFF',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }
        update_option('sm_customizer_maintext_permanent_491','Your Product has been delivered.');

        $check_for_existing_producttemplate_permanent_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 9 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_9)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_9,
                    'container_details' => $encode_product_details_template_border_details_theme_9,
                    'background_color' => '#FFFFFF',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 9,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 9,
                    'template_details' => $encode_product_details_theme_9,
                    'container_details' => $encode_product_details_template_border_details_theme_9,
                    'background_color' => '#FFFFFF',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }


        //theme10
        $product_delivered_details_theme_10 = array(
			'header_details' =>array(
                                        'image_position' => 'Center',
                                        'image_url' => $theme10_header_img,
                                        'bg_color' => '#000000',
                                        'width' => '150',
                                        'height' => '41',
                                        'rwidth' => '570',
                                        //'hrheight' => '81'
                                    ),
			'maindragtext_4101' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FABE75',
										'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
										//'height' => '100'
									),
            'order_details' => array(
                                        'ftfamily' => "Times New Roman",
                                        'ftcolor' => '#000000',
                                        'hrcolor' => '#FFFFFF',
                                        'trbgcolor' => '#FFFFFF',
                                        'orbgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        //'height' => '270'
                                    ),
            'customer_details' => array(
                                        'style' => "Times New Roman",
                                        'ftcolor' => '#000000',
                                        'bgcolor' => '#F3F3F3',
                                        'rwidth' => '570',
                                        //'height' => '400'
                                    ),
			'maindragtext_4102' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
										//'height' => '70'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#000000',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',	
                                        //'height' => '39'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#000000',
										'rwidth' => '570',
                                        //'height' => '71'
									),
		);

        update_option('sm_customizer_maintext_4101','<p style=\"text-align: center;\">Hello {customer_name},<br>Your Product has been delivered.</p>');
        update_option('sm_customizer_maintext_4102','<p style=\"text-align: center;\">Thanks for shopping with us!</p>'); 
        
        $encode_product_details_theme_10 = json_encode($product_delivered_details_theme_10);
        $encode_product_details_template_border_details_theme_10 = $sm_table_obj->get_template_border_details('10','4');
		
        $check_for_existing_producttemplate_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 10 AND status = 'temporary'");
        if(!empty($check_for_existing_producttemplate_10)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_10,
                    'container_details' => $encode_product_details_template_border_details_theme_10,
                    'background_color' => '#444444',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 10,
                    'status' => 'temporary'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 10,
                    'template_details' => $encode_product_details_theme_10,
                    'container_details' => $encode_product_details_template_border_details_theme_10,
                    'background_color' => '#444444',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        update_option('sm_customizer_maintext_permanent_4101','<p style=\"text-align: center;\">Hello {customer_name},<br>Your Product has been delivered.</p>');
        update_option('sm_customizer_maintext_permanent_4102','<p style=\"text-align: center;\">Thanks for shopping with us!</p>'); 
        

        $check_for_existing_producttemplate_permanent_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 4 AND theme_id = 10 AND status = 'permanent'");
        if(!empty($check_for_existing_producttemplate_permanent_10)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_product_details_theme_10,
                    'container_details' => $encode_product_details_template_border_details_theme_10,
                    'background_color' => '#444444',
                ) , 
                array( 
                    'template_id' => 4,
                    'theme_id' => 10,
                    'status' => 'permanent'
                )
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 4,
                    'template_type' => 'Product Delivered',
                    'template_name' => 'Deliver Template',
                    'theme_id' => 10,
                    'template_details' => $encode_product_details_theme_10,
                    'container_details' => $encode_product_details_template_border_details_theme_10,
                    'background_color' => '#444444',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }
    }
}       