<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

class SMTablesResetPassword{

    public function create_sm_table_reset_password() {
        global $wpdb;
        $prefix = $wpdb->prefix;
		$sm_table_obj = new SMTables();
		$swcm_upload_dir = plugins_url();
		$destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images';
		$newuser_img = $destination_folder.'/user-account.png';
		$reset_pwd_img =  $destination_folder.'/forgot-password.png';
		$theme1_header_img = $destination_folder.'/your-logo.png';
		$theme2_header_img = $destination_folder.'/logo2.png';
		$theme3_header_img = $destination_folder.'/logo8.png';
		$theme4_header_img = $destination_folder.'/logo10.png';
		$theme5_header_img = $destination_folder.'/logo7.png';
		$theme6_header_img = $destination_folder.'/logo6.png';
		$theme7_header_img = $destination_folder.'/logo12.png';
		$theme8_header_img = $destination_folder.'/logo9.png';
		$theme10_header_img = $destination_folder.'/logo1.png';	
		$theme2_img = $destination_folder . '/Email Template head icon.png';

		//theme1
		$new_resetpassword_user_details_theme_1 = array(
			'hr_details_211' => array(
									'width' => '100',
									'height' => '8',
									'color' => '#FFD324',
									'bgcolor' => '#FFFFFF',
									'rwidth' => '570'
								) ,
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme1_header_img,
										'bg_color' => '#FFFFFF',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										//'hrheight' => '81'
									),
			'hr_details_212' => array(
										'width' => '96',
										'height' => '2',
										'color' => '#F3F3F3',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570'
									) ,
			'maindragtext_211' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Georgia',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '167'
									),
			'imageblockdrag' => array(
										'img_position' => 'Center',
										'img_url' => $reset_pwd_img,
										'img_bgcolor' => '#FFFFFF',
										'img_width' => '250',
										'img_height' => '150',
										'rwidth' =>'570',
										'top' => '0',
										'bottom' => '0',
										'rounded' => '1',
										'border' => 'None',
										'bcolor' => '',
										'bsize' => ''
										//'height' => '82'
									),
			
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Reset password',
										'color' => '#FFD324',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '1',
										//'height' => '70',
										'bwidth' => '200',
										'bftcolor' => '#000000',
									),
			'maindragtext_212' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Georgia',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '130'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#F7F7F7',
										'style' => "Arial",
										'size' => '16',
										'bgcolor' => '#F7F7F7',
										'rwidth' => '570',
										//'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#F7F7F7',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										//'height' => '39'
									)
		);

		$encode_reset_user_details_theme_1 = json_encode($new_resetpassword_user_details_theme_1);
		$encode_reset_template_border_details_theme_1 = $sm_table_obj->get_template_border_details('1','2');
		
        update_option('sm_customizer_maintext_211', '<p style=\"text-align: center;\">Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:</p>');
		update_option('sm_customizer_maintext_212', '<p style=\"text-align: center;\">Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.</p>');
		
		$check_for_existing_resettemplate_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 1 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_1,
					'container_details' => $encode_reset_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 1,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 1,
					'template_details' => $encode_reset_user_details_theme_1,
					'container_details' => $encode_reset_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_211', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:');
		update_option('sm_customizer_maintext_permanent_212', 'Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');
		
		$check_for_existing_resettemplate_permanent_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 1 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_1)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_1,
					'container_details' => $encode_reset_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 1,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 1,
					'template_details' => $encode_reset_user_details_theme_1,
					'container_details' => $encode_reset_template_border_details_theme_1,
					'background_color' => '#F7F7F7',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

	    //theme2
		$new_resetpassword_user_details_theme_2 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme1_header_img,
										'bg_color' => '#FFFFFF',
										'width' => '150',
										'height' => '71',
										'rwidth' =>'570',
										//'hrheight' => '81'
									),
			'imageblockdrag' => array(
										'img_position' => 'Center',
										'img_url' => $theme2_img,
										'img_bgcolor' => '#FFFFFF',
										'img_width' => '100',
										'img_height' => '41',
										'rwidth' =>'570',
										'top' => '17',
										'bottom' => '0',
										'rounded' => '1',
										'border' => 'None',
										'bcolor' => '',
										'bsize' => ''
										// 'height' => '82'
									),
			'hr_details_221' => array(
										'width' => '100',
										'height' => '2',
										'color' => '#F3F3F3',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570'
									) ,	
			'maindragtext_221' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '167'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Reset password',
										'color' => '#495EC9',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '1',
										//'height' => '70',
										'bwidth' => '200',
										'bftcolor' => '#FFFFFF',
									),
			'maindragtext_222' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '17'
										//'height' => '130'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => "Open Sans",
										'size' => '16',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										//'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#FFFFFF',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										// 'height' => '39'
									)
		);

		$encode_reset_user_details_theme_2 = json_encode($new_resetpassword_user_details_theme_2);
		$encode_reset_template_border_details_theme_2 = $sm_table_obj->get_template_border_details('2','2');
		
        update_option('sm_customizer_maintext_221', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:');
		update_option('sm_customizer_maintext_222', 'Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');
		
		$check_for_existing_resettemplate_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 2 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_2,
					'container_details' => $encode_reset_template_border_details_theme_2,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 2,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 2,
					'template_details' => $encode_reset_user_details_theme_2,
					'container_details' => $encode_reset_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_221', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:');
		update_option('sm_customizer_maintext_permanent_222', 'Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');
		
		$check_for_existing_resettemplate_permanent_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 2 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_2)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_2,
					'container_details' => $encode_reset_template_border_details_theme_2,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 2,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 2,
					'template_details' => $encode_reset_user_details_theme_2,
					'container_details' => $encode_reset_template_border_details_theme_2,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme3
		$new_resetpassword_user_details_theme_3 = array(
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme3_header_img,
										'bg_color' => '#711959',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										//'hrheight' => '81'
									),
			'maindragtext_231' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#B32E82',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '167'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Reset password',
										'color' => '#FFFFFF',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										//'height' => '70',
										'bwidth' => '200',
										'bftcolor' => '#000000',
									),
			'maindragtext_232' => array(
										'ftcolor' => '#000000',
										'ftsize' => '16',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '130'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#777777',
										'style' => "Open Sans",
										'size' => '16',
										'bgcolor' => '#B32E82',
										'rwidth' => '570',
										//'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#B32E82',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										//'height' => '39'	
									)
		);

		$encode_reset_user_details_theme_3 = json_encode($new_resetpassword_user_details_theme_3);
		$encode_reset_template_border_details_theme_3 = $sm_table_obj->get_template_border_details('3','2');
		
		update_option('sm_customizer_maintext_231', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:');
		update_option('sm_customizer_maintext_232', 'Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 3 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_3,
					'container_details' => $encode_reset_template_border_details_theme_3,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 3,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 3,
					'template_details' => $encode_reset_user_details_theme_3,
					'container_details' => $encode_reset_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_231', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:');
		update_option('sm_customizer_maintext_permanent_232', 'Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_permanent_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 3 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_3)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_3,
					'container_details' => $encode_reset_template_border_details_theme_3,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 3,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 3,
					'template_details' => $encode_reset_user_details_theme_3,
					'container_details' => $encode_reset_template_border_details_theme_3,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme4
		$new_resetpassword_user_details_theme_4 = array(
			'header_details' => array(
										'image_position' => 'Left',
										'image_url' => $theme4_header_img,
										'bg_color' => '#E41F4D',
										'width' => '150',
										'height' => '50',
										'rwidth' =>'570',
										//'hrheight' => '81'
									),
			'maindragtext_241' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '120'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Reset password',
										'color' => '#E41F4D',
										'position' => 'Center',
										'bg_color' => '#F3F3F3',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										'bwidth' => '450',
										'bftcolor' => '#FFFFFF',
										//'height' => '70',	
									),
			'maindragtext_242' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '150'
									),
            'socialblockdrag' => array(
                                        'position' => 'Center',
                                        'bgcolor' => '#000000',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                        'youtube' => '',
                                        'rwidth' => '570',
										//'height' => '39'	
                                    ),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#E41F4D',
										'style' => "Open Sans",
										'size' => '16',
										'bgcolor' => '#000000',
										'rwidth' => '570',
										//'height' => '71'
									)
		);

		$encode_reset_user_details_theme_4 = json_encode($new_resetpassword_user_details_theme_4);
		$encode_reset_template_border_details_theme_4 = $sm_table_obj->get_template_border_details('4','2');

		update_option('sm_customizer_maintext_241', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.');
		update_option('sm_customizer_maintext_242', 'To reset your password, visit the following address:<br>Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 4 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_4)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_4,
					'container_details' => $encode_reset_template_border_details_theme_4,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 4,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 4,
					'template_details' => $encode_reset_user_details_theme_4,
					'container_details' => $encode_reset_template_border_details_theme_4,
					'background_color' => '#444444',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_241', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.');
		update_option('sm_customizer_maintext_permanent_242', 'To reset your password, visit the following address:<br>Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_permanent_4 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 4 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_4)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_4,
					'container_details' => $encode_reset_template_border_details_theme_4,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 4,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 4,
					'template_details' => $encode_reset_user_details_theme_4,
					'container_details' => $encode_reset_template_border_details_theme_4,
					'background_color' => '#444444',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}


		//theme5
		$new_resetpassword_user_details_theme_5 = array(
			'maindragtext_251'=> array(	
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '',
										'bgimage' => $newuser_img,
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '130'
									),
			'maindragtext_252' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '260'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Reset Password',
										'color' => '#000000',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										//'height' => '70',
										'bwidth' => '200',
										'bftcolor' => '#FFFFFF',
									),
			'header_details' =>array(
										'image_position' => 'Center',
										'image_url' => $theme5_header_img,
										'bg_color' => '#F3F3F3',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										// 'hrheight' => '60'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#777777',
										'style' => 'Times New Roman',
										'size' => '16',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										//'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#F3F3F3',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
										'rwidth' => '570',
										//'height' => '39'	
									)
		);

		$encode_reset_user_details_theme_5 = json_encode($new_resetpassword_user_details_theme_5);
		$encode_reset_template_border_details_theme_5 = $sm_table_obj->get_template_border_details('5','2');

		update_option('sm_customizer_maintext_251', '<br><br><br><br><br><p style=\"text-align: center;\"><strong>Forgot Password</strong></p><br><br><br><br><br>');
		update_option('sm_customizer_maintext_252', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:<br>Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 5 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_5)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_5,
					'container_details' => $encode_reset_template_border_details_theme_5,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 5,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 5,
					'template_details' => $encode_reset_user_details_theme_5,
					'container_details' => $encode_reset_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_251', '<br><br><br><br><br><p style=\"text-align: center;\"><strong>Forgot Password</strong></p><br><br><br><br><br>');
		update_option('sm_customizer_maintext_permanent_252', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:<br>Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_permanent_5 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 5 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_5)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_5,
					'container_details' => $encode_reset_template_border_details_theme_5,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 5,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 5,
					'template_details' => $encode_reset_user_details_theme_5,
					'container_details' => $encode_reset_template_border_details_theme_5,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme6
		$new_resetpassword_user_details_theme_6 = array(
			'header_details' => array(
										'image_position' => 'Center',
										'image_url' => $theme6_header_img,
										'bg_color' => '#F3F3F3',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										//'hrheight' => '81'
									),
			'maindragtext_261' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '120'
									),
			'maindragtext_262' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '130'
									),
            'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Reset password',
										'color' => '#2079FF',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '6',
										'bradius' => '2',
										'bwidth' => '300',
										'bftcolor' => '#FFFFFF',
										//'height' => '70'
									),
			'maintext_details' => array(
										'text' => '© 2021 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#000000',
										'style' => "Arial",
										'size' => '14',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										//'height' => '71'
									),
		);

		$encode_reset_user_details_theme_6 = json_encode($new_resetpassword_user_details_theme_6);
		$encode_reset_template_border_details_theme_6 = $sm_table_obj->get_template_border_details('6','2');

		update_option('sm_customizer_maintext_261', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.');
		update_option('sm_customizer_maintext_262', 'To reset your password, visit the following address:<br>Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 6 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_6)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_6,
					'container_details' => $encode_reset_template_border_details_theme_6,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 6,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 6,
					'template_details' => $encode_reset_user_details_theme_6,
					'container_details' => $encode_reset_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_261', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.');
		update_option('sm_customizer_maintext_permanent_262', 'To reset your password, visit the following address:<br>Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_permanent_6 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 6 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_6)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_6,
					'container_details' => $encode_reset_template_border_details_theme_6,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 6,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 6,
					'template_details' => $encode_reset_user_details_theme_6,
					'container_details' => $encode_reset_template_border_details_theme_6,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}


		//theme7
		$new_resetpassword_user_details_theme_7 = array(
			'header_details' =>array(
										'image_position' => 'Right',
										'image_url' => $theme7_header_img,
										'bg_color' => '#FFFFFF',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										//'hrheight' => '81'
									),
			'maindragtext_271' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										//'height' => '90'
									),
			'maintext_details' => array(
										'text' => 'If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:',
										'position' => 'Left',
										'color' => '#000000',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '496',
										'top' => '0',
										'bottom' => '0'
										//'height' => '71'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Reset Password',
										'color' => '#FACC35',
										'position' => 'Center',
										'bg_color' => '#FFFFFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '2',
										// 'height' => '70',
										'bwidth' => '200',
										'bftcolor' => '#000000',
									),
			'maindragtext_272' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '130'
									),
		);

		$encode_reset_user_details_theme_7 = json_encode($new_resetpassword_user_details_theme_7);
		$encode_reset_template_border_details_theme_7 = $sm_table_obj->get_template_border_details('7','2');

		update_option('sm_customizer_maintext_271', 'Hello {user_name},<br>Someone has requested a password reset for the following account.');
		update_option('sm_customizer_maintext_272', 'Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 7 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_7)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_7,
					'container_details' => $encode_reset_template_border_details_theme_7,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 7,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 7,
					'template_details' => $encode_reset_user_details_theme_7,
					'container_details' => $encode_reset_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_271', 'Hello {user_name},<br>Someone has requested a password reset for the following account.');
		update_option('sm_customizer_maintext_permanent_272', 'Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_permanent_7 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 7 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_7)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_7,
					'container_details' => $encode_reset_template_border_details_theme_7,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 7,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 7,
					'template_details' => $encode_reset_user_details_theme_7,
					'container_details' => $encode_reset_template_border_details_theme_7,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}


		//theme8
		$new_resetpassword_user_details_theme_8 = array(
			'header_details' =>array(
										'image_position' => 'Left',
										'image_url' => $theme8_header_img,
										'bg_color' => '#7CDCFF',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'hrheight' => '81'
									),
			'maindragtext_281' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#7CDCFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '130'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Reset Password',
										'color' => '#000000',
										'position' => 'Left',
										'bg_color' => '#7CDCFF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '2',
										//'height' => '66',
										'bftcolor' => '#FFFFFF',
										'bwidth' => '200',
									),
			'maindragtext_282' => array(
										'ftcolor' => '#1E4BFF',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										//'height' => '130'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FEFFEF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#1E4BFF',
										'rwidth' => '570',
										//'height' => '71'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#1E4BFF',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										//'height' => '39'
									)
		);

		$encode_reset_user_details_theme_8 = json_encode($new_resetpassword_user_details_theme_8);
		$encode_reset_template_border_details_theme_8 = $sm_table_obj->get_template_border_details('8','2');

		update_option('sm_customizer_maintext_281', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:');
		update_option('sm_customizer_maintext_282', 'Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 8 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_8)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_8,
					'container_details' => $encode_reset_template_border_details_theme_8,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 8,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 8,
					'template_details' => $encode_reset_user_details_theme_8,
					'container_details' => $encode_reset_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_281', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:');
		update_option('sm_customizer_maintext_permanent_282', 'Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_permanent_8 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 8 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_8)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_8,
					'container_details' => $encode_reset_template_border_details_theme_8,
					'background_color' => '#F3F3F3'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 8,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 8,
					'template_details' => $encode_reset_user_details_theme_8,
					'container_details' => $encode_reset_template_border_details_theme_8,
					'background_color' => '#F3F3F3',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme9
		$new_resetpassword_user_details_theme_9 = array(
			'header_details' =>array(
										'image_position' => 'Center',
										'image_url' => $theme1_header_img,
										'bg_color' => '#0AD4C0',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										//'hrheight' => '81'
									),
			// 'maintext_details' => array(
			// 						'text' => 'Forgot Password',
			// 						'position' => 'Left',
			// 						'color' => '#FFFFFF',
			// 						'style' => 'Times New Roman',
			// 						'size' => '14',
			// 						'bgcolor' => '#0AD4C0',
			// 						'rwidth' => '570',
			// 						'height' => '71'
			// 					),
			'maindragtext_291' => array(
										'ftcolor' => '#FFFFFF',
										'ftsize' => '22',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#0AD4C0',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '70'
									),
			'maindragtext_292' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '315'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#DDDDDD',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										//'height' => '39'	
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#383838',
										'rwidth' => '570',
										//'height' => '71'
									),	
		);

		$encode_reset_user_details_theme_9 = json_encode($new_resetpassword_user_details_theme_9);
		$encode_reset_template_border_details_theme_9 = $sm_table_obj->get_template_border_details('9','2');

		update_option('sm_customizer_maintext_291', '<strong>Password Changed');
		update_option('sm_customizer_maintext_292', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:{resetpassword_url}<br>Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 9 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_9)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_9,
					'container_details' => $encode_reset_template_border_details_theme_9,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 9,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 9,
					'template_details' => $encode_reset_user_details_theme_9,
					'container_details' => $encode_reset_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		update_option('sm_customizer_maintext_permanent_291', '<strong>Password Changed');
		update_option('sm_customizer_maintext_permanent_292', 'Hello {user_name},<br>Someone has requested a password reset for the following account.<br>If this was a mistake, ignore this email and nothing will happen.<br>To reset your password, visit the following address:{resetpassword_url}<br>Site Name: {blog_name}<br>Username: {user_name}<br>This password reset request originated from the IP address {IPaddress}.');

		$check_for_existing_resettemplate_permanent_9 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 9 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_9)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_9,
					'container_details' => $encode_reset_template_border_details_theme_9,
					'background_color' => '#FFFFFF'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 9,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 9,
					'template_details' => $encode_reset_user_details_theme_9,
					'container_details' => $encode_reset_template_border_details_theme_9,
					'background_color' => '#FFFFFF',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}

		//theme10
		$new_resetpassword_user_details_theme_10 = array(
			'header_details' =>array(
										'image_position' => 'Center',
										'image_url' => $theme10_header_img,
										'bg_color' => '#000000',
										'width' => '150',
										'height' => '41',
										'rwidth' => '570',
										//'hrheight' => '81'
									),
			'maindragtext_2101' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FABE75',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '90'
									),
			'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'Reset Password',
										'color' => '#000000',
										'position' => 'Center',
										'bg_color' => '#FABE75',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										//'height' => '70',
										'bwidth' => '200',
										'bftcolor' => '#FFFFFF',
									),
			'maindragtext_2102' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '130'
									),
			'maindragtext_2103' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#F3F3F3',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '150'
									),
			'maindragtext_2104' => array(
										'ftcolor' => '#000000',
										'ftsize' => '14',
										'ftstyle' => 'Times New Roman',
										'bgcolor' => '#FFFFFF',
										'rwidth' => '570',
										'top' => '0',
										'bottom' => '0'
										//'height' => '100'
									),
			'socialblockdrag' => array(
										'position' => 'Center',
										'bgcolor' => '#000000',
										'fb' => 'https://www.facebook.com/smackcoders',
										'twitter' => 'https://twitter.com/smackcoders',
										'google' => 'https://smackcoders.com',
										'linkedin' => 'https://www.linkedin.com/company/smackcoders',
										'skype' => '',
										'instagram' => 'https://www.instagram.com/smackcoders.inc',
										'youtube' => '',
										'rwidth' => '570',
										//'height' => '39'
									),
			'maintext_details' => array(
										'text' => '© 2020 | All Rights Reserved | Smackcoders, Inc',
										'position' => 'Center',
										'color' => '#FFFFFF',
										'style' => 'Times New Roman',
										'size' => '14',
										'bgcolor' => '#000000',
										'rwidth' => '570',
										//'height' => '71'
									),
		);

		$encode_reset_user_details_theme_10 = json_encode($new_resetpassword_user_details_theme_10);
		$encode_reset_template_border_details_theme_10 = $sm_table_obj->get_template_border_details('10','2');

		update_option('sm_customizer_maintext_2101', '<p style=\"text-align: center;\">FORGOT YOUR PASSWORD?<br>Hello {user_name},</p>');
		update_option('sm_customizer_maintext_2102','<p style=\"text-align: center;\">To reset your password, click the above button:<br>Someone has requested a password reset for<br>the following account.</p>');
		update_option('sm_customizer_maintext_2103','<p style=\"text-align: center;\">If this was a mistake, ignore this email<br> and nothing will happen.<br>Site Name: {blog_name}<br>Username: {user_name}<br></p>');
		update_option('sm_customizer_maintext_2104', '<p style=\"text-align: center;\">This password reset request originated from the<br> IP address {IPaddress}.</p>');

		$check_for_existing_resettemplate_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 10 AND status = 'temporary'");
		if(!empty($check_for_existing_resettemplate_10)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_10,
					'container_details' => $encode_reset_template_border_details_theme_10,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 10,
					'status' => 'temporary'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 10,
					'template_details' => $encode_reset_user_details_theme_10,
					'container_details' => $encode_reset_template_border_details_theme_10,
					'background_color' => '#444444',
					'status' => 'temporary'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}


		update_option('sm_customizer_maintext_permanent_2101', '<p style=\"text-align: center;\">FORGOT YOUR PASSWORD?<br>Hello {user_name},</p>');
		update_option('sm_customizer_maintext_permanent_2102','<p style=\"text-align: center;\">To reset your password, click the above button:<br>Someone has requested a password reset for<br>the following account.</p>');
		update_option('sm_customizer_maintext_permanent_2103','<p style=\"text-align: center;\">If this was a mistake, ignore this email<br> and nothing will happen.<br>Site Name: {blog_name}<br>Username: {user_name}<br></p>');
		update_option('sm_customizer_maintext_permanent_2104', '<p style=\"text-align: center;\">This password reset request originated from the<br> IP address {IPaddress}.</p>');

		$check_for_existing_resettemplate_permanent_10 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 2 AND theme_id = 10 AND status = 'permanent'");
		if(!empty($check_for_existing_resettemplate_permanent_10)){
			$wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
				array( 
					'template_details' => $encode_reset_user_details_theme_10,
					'container_details' => $encode_reset_template_border_details_theme_10,
					'background_color' => '#444444'
				) , 
				array( 
					'template_id' => 2,
					'theme_id' => 10,
					'status' => 'permanent'
				) 
			);
		}
		else{
			$wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
				array('template_id' => 2,
					'template_type' => 'Reset Password',
					'template_name' => 'Reset Password Template',
					'theme_id' => 10,
					'template_details' => $encode_reset_user_details_theme_10,
					'container_details' => $encode_reset_template_border_details_theme_10,
					'background_color' => '#444444',
					'status' => 'permanent'
				),
				array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
			);
		}
    }
}       