<?php
/**
* Email Design Studio plugin file. 
*
* Copyright (C) 2010-2020, Smackcoders Inc - info@smackcoders.com 
*/

namespace Smackcoders\SMEMAILCUSTOM;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

class SMTablesWPForms{

    public function create_sm_table_wpforms() {
        global $wpdb;
        $prefix = $wpdb->prefix;
		$sm_table_obj = new SMTables();
        $class_obj = new SMTablesWPForms();

        $swcm_upload_dir = plugins_url();
        $destination_folder =  $swcm_upload_dir.'/email-design-studio/assets/images';
    
        $wpform_header_img = $destination_folder.'/icon.png';
        $theme3_bg_img = $destination_folder.'/black-bg.jpg';
        $theme2_header_img = $destination_folder.'/envelope.png';
        $theme3_header_img = $destination_folder.'/wpformlogo.png';
        
        //theme 1
        $wpforms_user_details_theme_1 = array(
            'header_details' => array(
                                        'image_position' => 'Center',
                                        'image_url' => $wpform_header_img,
                                        'bg_color' => '#0EB7FF',
                                        'width' => '150',
                                        'height' => '99',
                                        'rwidth' => '570',
                                        // 'hrheight' => '81'
                                    ),
            'maindragtext_1511' => array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#0EB7FF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        // 'height' => '93'
                                    ),
            'maindragtext_1512' => array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        // 'height' => '93'
                                    ),
            'maintext_details' => array(
                                        'text' => '© 2021 | All Rights Reserved | Smackcoders',
                                        'position' => 'Center',
                                        'color' => '#000000',
                                        'style' => "Arial",
                                        'size' => '16',
                                        'bgcolor' => '#E3E3E3',
                                        'rwidth' => '570',
                                        // 'height' => '71'
                                    ),
            'socialblockdrag' => array(
                                        'position' => 'Center',
                                        'bgcolor' => '#E3E3E3',
                                        'fb' => 'https://www.facebook.com/smackcoders',
                                        'twitter' => 'https://twitter.com/smackcoders',
                                        'google' => 'https://smackcoders.com',
                                        'linkedin' => 'https://www.linkedin.com/company/smackcoders',
                                        'skype' => '',
                                        'instagram' => 'https://www.instagram.com/smackcoders.inc',
                                        'youtube' => 'https://www.youtube.com/channel/UCfYqv2h-7SqW5lETxoloOeQ',
                                        'rwidth' => '570',
                                        // 'height' => '39'
                                    )
        );

        $encode_wpforms_user_details_theme_1 = json_encode($wpforms_user_details_theme_1);
        $encode_wpforms_template_border_details_theme_1 = $sm_table_obj->get_template_border_details('1','15');

        update_option('sm_customizer_maintext_1511', '<strong>Congratulations</strong><br>You have a new inquiry from your website.');
        update_option('sm_customizer_maintext_permanent_1511', '<strong>Congratulations</strong><br>You have a new inquiry from your website.');
        $active_plugins = get_option('active_plugins');
		if ( in_array( 'wpforms/wpforms.php', $active_plugins ) ) {
			$check_for_existing_entry = $wpdb->get_var("SELECT entry_id FROM {$wpdb->prefix}wpforms_entries ORDER BY entry_id DESC LIMIT 1");
			if(!empty($check_for_existing_entry)){
				$get_fields = $wpdb->get_var("SELECT fields FROM {$wpdb->prefix}wpforms_entries WHERE entry_id = $check_for_existing_entry");
				$decode_fields = json_decode($get_fields, true);

				$wpforms_pro_table = '';
				$wpforms_pro_table .= '<table border=\"0\" cellpadding=\"10\" cellspacing=\"10\" style=\"width:100%\">
											<tbody>';

				foreach($decode_fields as $decode_field_values){
					$wpforms_pro_table .= '<tr>
							<td><span style=\"font-size:18px\">'.$decode_field_values['name'].'</span></td>
							<td><span style=\"font-size:18px\">'.$decode_field_values['value'].'</span></td>
						</tr>';
				}
				$wpforms_pro_table .= '</tbody></table>';
				update_option('sm_customizer_maintext_1512', $wpforms_pro_table);
                update_option('sm_customizer_maintext_permanent_1512', $wpforms_pro_table);
			}
			else{
				$class_obj->wpforms_dummy_data_entry('sm_customizer_maintext_1512', 1);
			}	
		}
		else{
			$class_obj->wpforms_dummy_data_entry('sm_customizer_maintext_1512', 1);
		}

        $check_for_existing_wpforms_template_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 15 AND theme_id = 11 AND status = 'temporary'");
        if(!empty($check_for_existing_wpforms_template_1)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_wpforms_user_details_theme_1,
                    'container_details' => $encode_wpforms_template_border_details_theme_1,
                    'background_color' => '#E3E3E3',
                ) , 
                array( 
                    'template_id' => 15,
                    'theme_id' => 11,
                    'status' => 'temporary'
                ) 
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 15,
                    'template_type' => 'WP Forms Confirmation Mail',
                    'template_name' => 'WP Forms Confirmation Mail Template',
                    'theme_id' => 11,
                    'template_details' => $encode_wpforms_user_details_theme_1,
                    'container_details' => $encode_wpforms_template_border_details_theme_1,
                    'background_color' => '#E3E3E3',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }


        $check_for_existing_wpforms_template_permanent_1 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 15 AND theme_id = 11 AND status = 'permanent'");
        if(!empty($check_for_existing_wpforms_template_permanent_1)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_wpforms_user_details_theme_1,
                    'container_details' => $encode_wpforms_template_border_details_theme_1,
                    'background_color' => '#E3E3E3',
                ) , 
                array( 
                    'template_id' => 15,
                    'theme_id' => 11,
                    'status' => 'permanent'
                ) 
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 15,
                    'template_type' => 'WP Forms Confirmation Mail',
                    'template_name' => 'WP Forms Confirmation Mail Template',
                    'theme_id' => 11,
                    'template_details' => $encode_wpforms_user_details_theme_1,
                    'container_details' => $encode_wpforms_template_border_details_theme_1,
                    'background_color' => '#E3E3E3',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }


        //theme 2
        $wpforms_user_details_theme_2 = array(
            'header_details' => array(
                                        'image_position' => 'Center',
                                        'image_url' => $theme2_header_img,
                                        'bg_color' => '#AF7CB7',
                                        'width' => '150',
                                        'height' => '99',
                                        'rwidth' => '570',
                                        // 'hrheight' => '81'
                                    ),
            'maindragtext_1521' => array(
                                        'ftcolor' => '#FFFFFF',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#DB7BCF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        // 'height' => '93'
                                    ),
            'button_details' => array(
										'link' => 'www.google.com',
										'text' => 'SEND A REPLY',
										'color' => '#FFFFFF',
										'position' => 'Center',
										'bg_color' => '#DB7BCF',
										'rwidth' => '570',
										'bheight' => '12',
										'bradius' => '15',
										'bwidth' => '156',
										'bftcolor' => '#8A89CB'
									),
            'maindragtext_1522' => array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        // 'height' => '93'
                                    ),
            'maindragtext_1523' => array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        // 'height' => '93'
                                    ),
            'maintext_details' => array(
                                        'text' => '© 2021 | All Rights Reserved | Smackcoders',
                                        'position' => 'Center',
                                        'color' => '#000000',
                                        'style' => "Arial",
                                        'size' => '16',
                                        'bgcolor' => '#E6E6E6',
                                        'rwidth' => '570',
                                        // 'height' => '71'
                                    )
        );

        $encode_wpforms_user_details_theme_2 = json_encode($wpforms_user_details_theme_2);
        $encode_wpforms_template_border_details_theme_2 = $sm_table_obj->get_template_border_details('2','15');

        update_option('sm_customizer_maintext_1521', '<p style=\"text-align:center\"><strong>Congratulations</strong><br><span style=\"font-size:16px\">you have new enquiry from your website</span></p>');
        update_option('sm_customizer_maintext_1522', '<p style=\"text-align:center\">Here is the enquiry that you have received from the contact us page</p>');
       
        update_option('sm_customizer_maintext_permanent_1521', '<p style=\"text-align:center\"><strong>Congratulations</strong><br><span style=\"font-size:16px\">you have new enquiry from your website</span></p>');
        update_option('sm_customizer_maintext_permanent_1522', '<p style=\"text-align:center\">Here is the enquiry that you have received from the contact us page</p>');
       

        $active_plugins = get_option('active_plugins');
		if ( in_array( 'wpforms/wpforms.php', $active_plugins ) ) {
			$check_for_existing_entry = $wpdb->get_var("SELECT entry_id FROM {$wpdb->prefix}wpforms_entries ORDER BY entry_id DESC LIMIT 1");
			if(!empty($check_for_existing_entry)){
				$get_fields = $wpdb->get_var("SELECT fields FROM {$wpdb->prefix}wpforms_entries WHERE entry_id = $check_for_existing_entry");
				$decode_fields = json_decode($get_fields, true);

				$wpforms_pro_table = '';
				$wpforms_pro_table .= '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\">
											<tbody>';

				foreach($decode_fields as $decode_field_values){
					$wpforms_pro_table .= '<tr style="line-height:20%">
                                <td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><p style=\"text-align: center;\"><span style=\"font-family:Times New Roman,Times,serif\"><strong>'.$decode_field_values['name'].'</strong></span></p></td>
                                <td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:14px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">'.$decode_field_values['value'].'</p></span></span></td>
                            </tr>
                            <tr>
                                <td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
                                <td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
                            </tr>';
				}
				$wpforms_pro_table .= '</tbody></table>';
				update_option('sm_customizer_maintext_1523', $wpforms_pro_table);
                update_option('sm_customizer_maintext_permanent_1523', $wpforms_pro_table);
			}
			else{
				$class_obj->wpforms_dummy_data_entry('sm_customizer_maintext_1523', 2);
			}	
		}
		else{
			$class_obj->wpforms_dummy_data_entry('sm_customizer_maintext_1523', 2);
		}

        $check_for_existing_wpforms_template_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 15 AND theme_id = 12 AND status = 'temporary'");
        if(!empty($check_for_existing_wpforms_template_2)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_wpforms_user_details_theme_2,
                    'container_details' => $encode_wpforms_template_border_details_theme_2,
                    'background_color' => '#E6E6E6',
                ) , 
                array( 
                    'template_id' => 15,
                    'theme_id' => 12,
                    'status' => 'temporary'
                ) 
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 15,
                    'template_type' => 'WP Forms Confirmation Mail',
                    'template_name' => 'WP Forms Confirmation Mail Template',
                    'theme_id' => 12,
                    'template_details' => $encode_wpforms_user_details_theme_2,
                    'container_details' => $encode_wpforms_template_border_details_theme_2,
                    'background_color' => '#E6E6E6',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }

        $check_for_existing_wpforms_template_permanent_2 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 15 AND theme_id = 12 AND status = 'permanent'");
        if(!empty($check_for_existing_wpforms_template_permanent_2)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_wpforms_user_details_theme_2,
                    'container_details' => $encode_wpforms_template_border_details_theme_2,
                    'background_color' => '#E6E6E6',
                ) , 
                array( 
                    'template_id' => 15,
                    'theme_id' => 12,
                    'status' => 'permanent'
                ) 
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 15,
                    'template_type' => 'WP Forms Confirmation Mail',
                    'template_name' => 'WP Forms Confirmation Mail Template',
                    'theme_id' => 12,
                    'template_details' => $encode_wpforms_user_details_theme_2,
                    'container_details' => $encode_wpforms_template_border_details_theme_2,
                    'background_color' => '#E6E6E6',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }


         //theme 3
         $wpforms_user_details_theme_3 = array(
            'header_details' => array(
                                        'image_position' => 'Center',
                                        'image_url' => $theme3_header_img,
                                        'bg_color' => '#0EB7FF',
                                        'width' => '150',
                                        'height' => '65',
                                        'rwidth' => '570',
                                        // 'hrheight' => '81'
                                    ),
            'maindragtext_1531' => array(
                                        'ftcolor' => '#d3d3d3',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#0EB7FF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        // 'height' => '93'
                                    ),
            'maindragtext_1532' => array(
                                        'ftcolor' => '#000000',
                                        'ftsize' => '16',
                                        'ftstyle' => 'Times New Roman',
                                        'bgcolor' => '#FFFFFF',
                                        'rwidth' => '570',
                                        'top' => '0',
										'bottom' => '0'
                                        // 'height' => '93'
                                    ),
            'maintext_details' => array(
                                        'text' => '© 2021 | All Rights Reserved | Smackcoders',
                                        'position' => 'Center',
                                        'color' => '#d3d3d3',
                                        'style' => "Arial",
                                        'size' => '16',
                                        'bgcolor' => '#E3E3E3',
                                        'rwidth' => '570',
                                        // 'height' => '71'
                                    )
        );

        $encode_wpforms_user_details_theme_3 = json_encode($wpforms_user_details_theme_3);
        $encode_wpforms_template_border_details_theme_3 = $sm_table_obj->get_template_border_details('3','15');

        update_option('sm_customizer_maintext_1531', '<p style=\"text-align:center\"><strong>Congratulations</strong><br><span style=\"color:#d3d3d3\"><span style=\"font-size:22px\">you have new enquiry from your website</span></span></p>');
       
        update_option('sm_customizer_maintext_permanent_1531', '<p style=\"text-align:center\"><strong>Congratulations</strong><br><span style=\"color:#d3d3d3\"><span style=\"font-size:22px\">you have new enquiry from your website</span></span></p>');

        $active_plugins = get_option('active_plugins');
		if ( in_array( 'wpforms/wpforms.php', $active_plugins ) ) {
			$check_for_existing_entry = $wpdb->get_var("SELECT entry_id FROM {$wpdb->prefix}wpforms_entries ORDER BY entry_id DESC LIMIT 1");
			if(!empty($check_for_existing_entry)){
				$get_fields = $wpdb->get_var("SELECT fields FROM {$wpdb->prefix}wpforms_entries WHERE entry_id = $check_for_existing_entry");
				$decode_fields = json_decode($get_fields, true);

				$wpforms_pro_table = '';
				$wpforms_pro_table .= '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"width:100%\">
											<tbody>';

				foreach($decode_fields as $decode_field_values){
					$wpforms_pro_table .= '<tr>
                                                <td><span style=\"color:#daa520\"><span style=\"font-size:18px\">'.$decode_field_values['name'].'</span></span></td>
                                                <td><span style=\"color:#d3d3d3\"><span style=\"font-size:18px\">'.$decode_field_values['value'].'</span></span></td>
                                            </tr>';
				}
				$wpforms_pro_table .= '</tbody></table>';
				update_option('sm_customizer_maintext_1532', $wpforms_pro_table);
                update_option('sm_customizer_maintext_permanent_1532', $wpforms_pro_table);
			}
			else{
				$class_obj->wpforms_dummy_data_entry('sm_customizer_maintext_1532', 3);
			}	
		}
		else{
			$class_obj->wpforms_dummy_data_entry('sm_customizer_maintext_1532', 3);
		}

        $check_for_existing_wpforms_template_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 15 AND theme_id = 13 AND status = 'temporary'");
        if(!empty($check_for_existing_wpforms_template_3)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_wpforms_user_details_theme_3,
                    'container_details' => $encode_wpforms_template_border_details_theme_3,
                    'background_color' => '#E6E6E6',
                ) , 
                array( 
                    'template_id' => 15,
                    'theme_id' => 13,
                    'status' => 'temporary'
                ) 
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 15,
                    'template_type' => 'WP Forms Confirmation Mail',
                    'template_name' => 'WP Forms Confirmation Mail Template',
                    'theme_id' => 13,
                    'template_details' => $encode_wpforms_user_details_theme_3,
                    'container_details' => $encode_wpforms_template_border_details_theme_3,
                    'background_color' => '#E6E6E6',
                    'status' => 'temporary'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }


        $check_for_existing_wpforms_template_permanent_3 = $wpdb->get_var("SELECT id FROM {$wpdb->prefix}sm_customiser_pro_table WHERE template_id = 15 AND theme_id = 13 AND status = 'permanent'");
        if(!empty($check_for_existing_wpforms_template_permanent_3)){
            $wpdb->update( $wpdb->prefix . 'sm_customiser_pro_table' , 
                array( 
                    'template_details' => $encode_wpforms_user_details_theme_3,
                    'container_details' => $encode_wpforms_template_border_details_theme_3,
                    'background_color' => '#E6E6E6',
                ) , 
                array( 
                    'template_id' => 15,
                    'theme_id' => 13,
                    'status' => 'permanent'
                ) 
            );
        }
        else{
            $wpdb->insert($wpdb->prefix.'sm_customiser_pro_table',
                array('template_id' => 15,
                    'template_type' => 'WP Forms Confirmation Mail',
                    'template_name' => 'WP Forms Confirmation Mail Template',
                    'theme_id' => 13,
                    'template_details' => $encode_wpforms_user_details_theme_3,
                    'container_details' => $encode_wpforms_template_border_details_theme_3,
                    'background_color' => '#E6E6E6',
                    'status' => 'permanent'
                ),
                array('%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s')
            );
        }
    }

    public function wpforms_dummy_data_entry($option_name, $themeid){
		if($themeid == 1){
			update_option( $option_name, '<table border=\"0\" cellpadding=\"10\" cellspacing=\"10\" style=\"width:100%\">
					<tbody>
						<tr>
							<td><span style=\"font-size:18px\">Name</span></td>
							<td><span style=\"font-size:18px\">Test Name</span></td>
						</tr>
						<tr>
							<td><span style=\"font-size:18px\">Email</span></td>
							<td><span style=\"font-size:18px\">testmail@gmail.com</span></td>
						</tr>
						<tr>
							<td><span style=\"font-size:18px\">Address</span></td>
							<td><span style=\"font-size:18px\">San Francisco, USA</span></td>
						</tr>
					</tbody>
				</table>'
			);
		}
		elseif($themeid == 2){
			update_option($option_name, '<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\"style=\"width:100%;background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">
					<tbody >
						<tr style="line-height:20%">
							<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><p style=\"text-align: center;\"><span style=\"font-size:16px\"><span style=\"font-family:Times New Roman,Times,serif\"><strong>Name</strong></span></span></p></td>
							<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:16px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">Test Name</p></span></span></td>
						</tr>
						<tr>
							<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
							<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
						</tr>
						<tr style="line-height:20%">
							<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:16px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\"><strong>Email</strong></p></span></span></td>
							<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:16px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">testmail@gmail.com</p></span></span></td>
						</tr>
						<tr>
							<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
							<td style=\"background-color: rgb(255, 255, 255); border-color: rgb(255, 255, 255);\">&nbsp;</td>
						</tr>
						<tr style="line-height:20%">
							<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:16px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\"><strong>Address</strong></p></span></span></td>
							<td style=\"background-color: rgb(242, 242, 242); border-color: rgb(242, 242, 242);\"><span style=\"font-size:16px\"><span style=\"font-family:Times New Roman,Times,serif\"><p style=\"text-align: center;\">San Francisco, USA</p></span></span></td>
						</tr>
					</tbody>
				</table>
			');
		}
		elseif($themeid == 3){
			update_option( $option_name, '<table border=\"0\" cellpadding=\"10\" cellspacing=\"10\" style=\"width:100%\">
					<tbody>
						<tr>
							<td><span style=\"color:#daa520\"><span style=\"font-size:18px\">Name</span></span></td>
							<td><span style=\"color:#d3d3d3\"><span style=\"font-size:18px\">Test Name</span></span></td>
						</tr>
						<tr>
							<td><span style=\"color:#daa520\"><span style=\"font-size:18px\">Email</span></span></td>
							<td><span style=\"color:#d3d3d3\"><span style=\"font-size:18px\">testmail@gmail.com</span></span></td>
						</tr>
						<tr>
							<td><span style=\"color:#daa520\"><span style=\"font-size:18px\">Address</span></span></td>
							<td><span style=\"color:#d3d3d3\"><span style=\"font-size:18px\">San Francisco, USA</span></span></td>
						</tr>
					</tbody>
				</table>'
			);
		}
	}
}